OrgPlus User Guide

OrgPlus 7 User Help

Release 7.0.0


Program License Agreement

PLEASE READ THE FOLLOWING DESKTOP SOFTWARE LICENSE AGREEMENT ("AGREEMENT") CAREFULLY. THIS AGREEMENT FORMS A LEGALLY BINDING AGREEMENT BETWEEN YOU, THE INDIVIDUAL OR ENTITY THAT DOWNLOADED OR INSTALLED THE SOFTWARE ("CUSTOMER") AND HUMANCONCEPTS LLC ("HUMANCONCEPTS"). BY CLICKING THE "I ACCEPT THE TERMS OF THIS LICENSE" BUTTON DURING SOFTWARE INSTALLATION OR BY USING THE SOFTWARE PROVIDED WITH THIS AGREEMENT, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS AND CONDITIONS OF THIS AGREEMENT. IF YOU DO NOT AGREE WITH THE TERMS OF THIS AGREEMENT, YOU SHOULD NOT INSTALL OR USE THE SOFTWARE, AND YOU SHOULD PROMPTLY DESTROY ALL COPIES OF THE SOFTWARE THAT YOU DOWNLOADED OR COPIED.

1 Grant of License. Subject to the terms and conditions of this Agreement, HumanConcepts grants to Customer a non-exclusive license to install the object code version of the software provided with this Agreement (the "Software"), on a single computer, and to use the Software on that computer, to create organizational charts relating to your organization. Customer agrees that it shall not use the Software in any other manner. Customer shall not install the Software on a network server; allow any other computer, terminal or device to access or use the Software; or install or use the Software concurrently on more than one computer except as expressly authorized by the level of license you purchased. Customer shall not copy the Software except to make one copy for backup purposes. Customer shall not sublicense its rights under this Agreement, rent or lease the Software, or give anyone else access to the Software.

2 Maximum Number of Employees Charted Depends Upon License Key. Customer acknowledges that HumanConcepts distributes several versions of the Software and that the version of the Software to which Customer has acquired a license key is intended to allow Customer to access certain features. The OrgPlus Express Software limits the number of boxes that can be added to a single chart. The OrgPlus Professional Software is limited to charting the maximum number of employees indicated in HumanConcepts’ price list at the time you purchased the applicable license key. Customer agrees not to use the OrgPlus Professional Software to chart more than the total maximum number of employees applicable to the particular license key you purchased. Customer agrees that if it uses the OrgPlus Professional Software to chart more than such total maximum number of employees, (a) Customer will pay to HumanConcepts it’s then-current license fee for the version of the Software that would permit Customer to chart that number of employees (less the fee already paid pursuant to this Agreement), and (b) if Customer does not pay such additional fee to HumanConcepts within fifteen (15) days of demand, HumanConcepts may terminate your license to use the Software without refunding any license fees.

3 Copyright. Customer acknowledges that HumanConcepts or its licensors own the copyright and all other intellectual property rights relating to the Software, and that no title to the Software or such intellectual property rights is transferred to Customer. Customer will not acquire any rights to the Software except the limited license to use the Software as expressly set forth above, and HumanConcepts and its licensors retain all other rights. Customer agrees not to alter or remove the copyright notice, or any other notices of proprietary rights, that appear on and in the Software. In the event HumanConcepts provides services to Customer, including without limitation support or installation services, all right, title and interest in the work product of the services shall vest exclusively in HumanConcepts.

4 Restrictions; Reverse Engineering; Modification. Customer agrees not to reverse engineer, decompile, or disassemble the Software in whole or in part, or otherwise reconstruct or discover any source code to the Software, or attempt to do so, except and only to the extent that such activity cannot be restricted under applicable law. Customer agrees not to translate or modify the Software in any way or create derivative works of the Software, or attempt to do so. Customer agrees not to use the Software on a service bureau, application service provider, or time sharing basis. Customer shall not use any license key with the Software other than the key provided by HumanConcepts to Customer.

5 Transfer of License. Customer may not assign or transfer its rights or obligations under this Agreement, except that Customer may assign the Agreement to a successor to its business that results from a sale of substantially all of Customer’s assets, merger, or similar transaction, provided that the assignee agrees in writing to be bound by this Agreement and provided that Customer transfers all copies of the Software and related documentation to the third party or destroys any copies not transferred. HumanConcepts may assign or novate this Agreement freely without notice to Customer.

6 Reporting and Privacy Policy. The Software automatically reports information such as Customer’s Software license key and Software version number, without notice. This information may be associated with personally identifiable information acquired by HumanConcepts. By using the Software you consent to the collection of such information. The information and this Agreement are subject to the terms and conditions of the HumanConcepts’ privacy policy located at http://www.humanconcepts.com/privacy-policy/ ("Privacy Policy"). The terms and conditions of the Privacy Policy are incorporated herein by reference, and Customer hereby agrees to such terms. HumanConcepts reserves the right to modify the terms of the Privacy Policy from time to time, and Customer’s continued use of the Service shall indicate its agreement to such changes.

7 Term of License. The license granted by this Agreement shall continue until terminated, as provided in this Agreement. Customer may terminate the license at any time. HumanConcepts may terminate the license (a) if Customer fails to comply with this Agreement, (b) if Customer does not pay the full license fee when that fee is due, or (c) Customer does not pay any additional license fees that may become due pursuant to Section 2 of this Agreement. Customer agrees, upon any termination of the license, to destroy the Software and all copies thereof in any form. If the Agreement is terminated, the sections related to copyright, liability, disclaimer of warranty, and fees shall remain in effect, in addition to other sections that by their terms are intended to survive. Termination shall not result in a return of fees.

8 Limited Warranty on CD. If the Software was delivered to you on a CD, HumanConcepts warrants that the CD will be free of defects in material and workmanship under normal use for 30 days after purchase. During the 30-day period, Customer may return a defective CD to HumanConcepts with proof of purchase, and it will be replaced without charge, unless the disk is damaged by accident or misuse. REPLACEMENT OF A DISK IS CUSTOMER’S SOLE REMEDY PURSUANT TO THIS WARRANTY.

9 DISCLAIMER OF OTHER WARRANTIES. TO THE FULLEST EXTENT ALLOWED BY LAW, EXCEPT AS EXPRESSLY STATED HEREIN, THE SOFTWARE AND SERVICES ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND. HUMANCONCEPTS, AND ITS LICENSORS AND SUPPLIERS, HEREBY DISCLAIM ALL ADDITIONAL WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, AND NON-INFRINGEMENT. HUMANCONCEPTS DOES NOT WARRANT THAT THE SOFTWARE WILL OPERATE WITHOUT ERROR OR INTERRUPTION.

10 Limitation of Liability. TO THE FULLEST EXTENT ALLOWED BY LAW, IN NO EVENT SHALL HUMANCONCEPTS (OR ITS SUPPLIERS OR LICENSORS) BE LIABLE TO CUSTOMER OR ANY OTHER PARTY FOR ANY INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES OF ANY KIND, INCLUDING WITHOUT LIMITATION LOSS OF PROFITS, LOSS OF USE, BUSINESS INTERRUPTION, LOSS OF DATA, OR COST OF COVER, WHETHER ALLEGED AS A BREACH OF CONTRACT, TORTIOUS CONDUCT OR OTHERWISE, INCLUDING WITHOUT LIMITATION NEGLIGENCE, ARISING OUT OF OR RELATED TO THIS AGREEMENT EVEN IF HUMANCONCEPTS (OR ITS SUPPLIERS OR LICENSORS) HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL HUMANCONCEPTS’ (OR ITS LICENSORS OR SUPPLIERS) AGGREGATE LIABILITY ARISING OUT OF OR IN CONNECTION WITH THIS AGREEMENT EXCEED THE LICENSE FEES PAID BY CUSTOMER TO HUMANCONCEPTS DURING THE ONE-YEAR PERIOD PRECEDING THE EVENT GIVING RISE TO SUCH LIABILITY, AND IF THE SOFTWARE WAS PROVIDED TO CUSTOMER FREE OF CHARGE, IN NO EVENT SHALL SUCH AGGREGATE LIABILITY EXCEED FIVE DOLLARS (US$5.00). IN THE EVENT OF LIABILITY ARISING OUT OF ANY SERVICES, INCLUDING WITHOUT LIMITATION SUPPORT, IN NO EVENT WILL HUMANCONCEPTS’ AGGREGATE LIABILITY ARISING OUT OF OR IN CONNECTION WITH THIS AGREEMENT EXCEED THE FEES PAID BY CUSTOMER TO HUMANCONCEPTS FOR THE EFFECTED SERVICES FOR THAT QUARTER. CUSTOMER IS SOLELY RESPONSIBLE FOR BACKING UP ALL DATA ASSOCIATED WITH ITS USE OF THE SOFTWARE, AND HUMANCONCEPTS (AND ITS LICENSORS AND SUPPLIERS) SHALL NOT BE LIABLE FOR ANY LOST DATA OR ERRORS IN DATA CAUSED BY THE SOFTWARE.

11 Support Agreement. Customer acknowledges that HumanConcepts shall not be obligated to provide support or maintenance related to Customer’s use of the Software. In the event HumanConcepts in its discretion provides support and/or maintenance to the Customer, such support and/or maintenance shall be provided pursuant to HumanConcepts’ then-current current support terms.

12 General Provisions.
a) Severability. In the event any provision of this Agreement is determined to be invalid or unenforceable, that provision shall be enforced to the maximum extent permitted, and the Parties agree that the other provisions of this Agreement shall not be affected and shall continue to be enforced. The Parties agree that this Agreement is the entire agreement between Customer and HumanConcepts relating to its subject matter, and it supersedes any prior agreements, representations, or communications, whether written or oral, relating to that subject matter.
b) Choice of Law and Venue. This Agreement shall be governed by the internal laws of the State of California, without respect to its conflicts of law rules. The Parties agree that this Agreement shall not be governed by the United Nations Convention on Contracts for the International Sale of Goods. The Parties agree that any suit or proceeding arising out of or relating to this Agreement will be brought only in the US District Court for the Northern District of California or the California Superior Court for Marin County, and each shall submit to the exclusive personal and subject matter jurisdiction and venue of such courts.
c) Export. Customer acknowledges that United States (including without limitation US Export Administration Regulations) and foreign laws prohibit the export/re-export or transfer of products and technical data of US origin, including software, and Customer agrees not to export or re-export the Software or related technology without the appropriate US and foreign government clearance.
d) Waiver. No term or provision hereof will be considered waived by either Party, and no breach excused by either party, unless such waiver or consent is in writing signed by both Parties. No consent by either party to, or waiver of, a breach by either party, whether express or implied, will constitute a consent to, waiver of, or excuse of any other, different, or subsequent breach by either Party.
e) Force Majeure. Neither Party will be liable for any failure or delay in performance under this Agreement which might be due, in whole or in part, directly or indirectly, to any contingency, delay, failure, or cause of, any nature beyond the reasonable control of such party, including, without limitation, fire, explosion, earthquake, storm, flood, strike, war, insurrection, riot, act of God, epidemic, government action, network outage, or acts or failures to act on the part of any third party. In the event of the happening of such a cause, the party whose performance is so affected will give prompt, written notice to the other Party, stating the period of time the same is expected to continue.
f) Notices. Any notice provided for or permitted under this Agreement will be treated as having been given when (a) delivered personally, (b) sent by confirmed telex or telecopy, (c) sent by commercial overnight courier with written verification of receipt, or (d) mailed postage prepaid by certified or registered mail, return receipt requested, to the party to be notified. Notices to HumanConcepts shall be sent to its then-current principal place of business and notices to Customer shall be sent to Customer’s address appearing in HumanConcepts’ records, or to such other place of which the other party has been notified in accordance with the provisions of this section. Any notices will be treated as having been received upon the earlier of actual receipt or five (5) days after posting.
g) Relationship of Parties. There is no relationship of agency, partnership, joint venture, employment or franchise between the parties. Neither party has the authority to bind the other or to incur any obligation on its behalf. No other party except HumanConcepts and Customer shall be construed as a third party beneficiary to this Agreement or in privity to enforce the provisions of this Agreement at law or in equity.


About This Guide

This guide provides an in-depth description of how to use OrgPlus 7. This guide is intended for new and experienced users. It includes both step‑by‑step tutorials and a detailed reference to all functionality.

Introduction, provides an overview of OrgPlus.

Installation and Registration, describes how to install and register OrgPlus on your PC.

Tutorials, provides step-by-steps lessons on how to use OrgPlus.

Working with Charts: Basic Charting, provides an introduction to OrgPlus functionality.

Working with Charts: Navigation and Visualization, provides further charting instruction and explains how to navigate within your charts and define their visual appearance.

Working with Charts: Utilities, provides detailed description and instructions for using the tools available in OrgPlus.

Working with Charts: Advanced Charting, describes advanced OrgPlus charting techniques.

OrgPlus Panels, describes the OrgPlus panels designed to help you navigate, search and analyze your organizational charts.

Importing and Exporting Data, describes how to build charts using data imported from external sources such as Excel spreadsheets or relational databases.

Publishing, describes how to publish charts to standard desktop and web formats such as Microsoft Word, Microsoft PowerPoint, Adobe PDF, and HTML. Charts can also be published to the OrgPlus web browser plug-in.

Automation, explains how to automate some of the tasks you perform with OrgPlus.

Window Structure and Command Reference, describes the OrgPlus main window and provides an overview for all menu and toolbar options.

Keyboard and Mouse Shortcuts, describes keyboard and mouse shortcuts.

Tips and Tricks, reviews time saving functions and techniques.

Troubleshooting, presents possible solutions should you encounter problems using OrgPlus.

Off-line Registration, describes how to register OrgPlus by email, by fax or by phone.

Command Line Reference, discusses how to use OrgPlus from the command prompt, which enables you to build scripts and complex automation tasks.

Glossary, provides definitions of terms used in this guide.

Additional documentation can also be found at our website: www.orgplus.com.


Typographic Conventions

The following typographic conventions appear in this guide:

· Names of keyboard keys are enclosed by angle brackets (<>), (for example, Press <Enter>). Press <Alt>+<A> means to simultaneously hold down the <Alt> key on the keyboard and press the letter <A>).

· Buttons and tabs on the screen are shown in bold (for example, Click OK).

· Information that you enter appears in bold face, (for example, Type A:\setup).

· Sub-menu instructions are separated by a pipe (|), (for example, Show | Hidden Boxes means to select the Show menu item and select the Hidden Boxes sub-menu item).

· Sections that describe functionality available to OrgPlus Express users are marked with this icon [image] .


OrgPlus Desktop Products

Whether you work in a small company or large institution, OrgPlus is the easiest and most powerful way to chart and manage the structure of your organization. The OrgPlus family of products is designed to meet the needs of a variety of different types of users.

OrgPlus Standard

OrgPlus Standard allows users to manually create professional organizational charts of any size and includes intelligent tools for easy drag-and-drop scenario planning.

OrgPlus Professional

OrgPlus Professional includes features that are not available in OrgPlus Standard. These features allow you hook OrgPlus Professional into an external data source and then automatically distribute organizational chart to your company. The key features in OrgPlus Professional are:

· Import: The ability to import data from external files or databases.

· Publish: The ability to publish charts to other formats including PDF, PowerPoint, Word, HTML and the OrgPlus Web Browser Plug-in.

· Automation: The ability to schedule data refresh and chart publishing to automate the distribution and maintenance of charts.

OrgPlus Express

OrgPlus Express is a basic organizational charting application that does not include many of the powerful features found in OrgPlus Standard and Professional. Consequently not all the sections in this guide are applicable to OrgPlus Express users. The sections in this guide that are applicable to OrgPlus Express users are indicated by the OrgPlus Express icon [image] .


OrgPlus Enterprise Products

HumanConcepts also offers products intended for enterprise customers. Contact sales@orgplus.com for more information.

OrgPlus Enterprise

OrgPlus Enterprise is a web-based solution for organizational charting. Any person in your organization can access organizational information using nothing more than a web browser. OrgPlus Enterprise solves the deployment, security, visualization and distribution issues associated with enterprise level organizational charting and is designed to integrate into your existing enterprise infrastructure.

OrgPlus Enterprise Hosted

OrgPlus Enterprise is available as a hosted solution. OrgPlus Enterprise Hosted provides the industry's leading enterprise-class organizational charting solution, without the cost of installing, upgrading, and maintaining a server in-house. Using our secure server, OrgPlus Enterprise Hosted enables organizations of all sizes to instantly create, view, share, and manage organizational charts.


OrgPlus Reader

OrgPlus Reader is a free application that allows anyone to open, view and print OrgPlus documents. OrgPlus Reader is a read-only version of OrgPlus that allows you to share charts with other people in your organization. OrgPlus Reader is downloadable from our website (http://www.orgplus.com).


OrgPlus User Guide

Introduction

OrgPlus is the industry leader in organizational charting software. For over a decade, OrgPlus has been used for managing organizational charts and supporting critical business decisions.

With over 30 new features OrgPlus 7 is the most powerful organizational charting tool available.

In this book…

About OrgPlus

The OrgPlus Solution

OrgPlus Features

OrgPlus 7 Highlights


About OrgPlus

Whether you work in a small company or large institution, OrgPlus is the easiest way to chart and manage the structure of your organization. OrgPlus helps you create professional looking organization charts quickly and easily. You can also use OrgPlus to create almost any tree diagram, such as a work breakdown or a parts explosion.

OrgPlus has become an essential management tool for millions of professionals throughout the world. Over 400 of the Fortune 500 have selected OrgPlus to meet their charting needs.

OrgPlus is designed from the ground up to help you create and manage hierarchical charts. OrgPlus gives you:

· High performance handling of large data sets

· Sophisticated formatting

· Drawing tools that enable you to add pictures and annotations

· Data visualization tools, such as reports and directories

· Sophisticated printing, exporting and publishing features

· Easy navigation of complex charts

· Robust data import from external sources, such as Excel, ODBC, OLE DB, SQL Server, Oracle, PeopleSoft, SAP, and LDAP (Active Directory)

Sample charts, included with the OrgPlus installation, illustrate interesting ways in which OrgPlus can be used.


The OrgPlus Solution

OrgPlus is designed to handle each step in the organizational charting process. OrgPlus handles data import from external systems and automates distribution of data to standard desktop formats (Microsoft PowerPoint or Word), to the web, or to hard copy. OrgPlus can even be used to feed updated data back into business systems.

The following diagram illustrates how OrgPlus can be used in the HR environment.

OrgPlus empowers organizations to create reliable business processes around the discipline of managing and communicating organizational structure and change. The benefits of OrgPlus are as follows:

Communicate Organizational Information to Managers

Human Resource or IT departments can create organizational charts automatically from HR databases and distribute them to management. This process is automated using OrgPlus Professional. Charts may contain sensitive information such as salary, gender, tenure and other information needed for decision-making purposes.

Communicate Organizational Information to Employees

OrgPlus Professional is used for communicating organizational charts and corporate directories to the company intranet or shared network. OrgPlus Professional creates pre-defined charts directly from an HR database, either on a scheduled basis, or whenever initiated by a chart administrator.

Sensitive information can be distributed securely to managers using existing network security.

Non-sensitive information is presented in both an organizational chart format and as a corporate directory that can be shared across the organization. Charts are communicated to employees by publishing them for web or shared-network viewing. Employees with OrgPlus Standard or Professional can select specific chart branches and save to the OPX file format, where they can be used for planning or publishing to MS-Word, PowerPoint, or HTML or PDF formats. Organizational chart or corporate directory information can also be exported to Excel.

OrgPlus is the ideal way to distribute corporate information. Posting charts to the web, your corporate intranet or a shared network drive makes them a company-wide information source that connects every employee.

Organizational Planning and What If Scenario Analysis

Managers select the charts published by HR or IT specific to their departments and use them as a baseline for planning, budgets and scenarios. Managers may need to communicate and solicit feedback from their employees to build a future plan. They use OrgPlus Professional or OrgPlus Standard . They then provide scenarios back to executive management for approval. This may take multiple iterations, and OrgPlus integrates with MS-Excel to easily translate organizational chart data into budgets, and with MS-Word and PowerPoint software for communicating.

OrgPlus has built-in tools for performing spreadsheet functions, such as rollup summaries of salaries and headcount. When boxes include salary information, moving an employee between departments automatically updates budget totals.

Analysis Tool

By adding additional information such as office asset allocations, you can use OrgPlus to help you with asset management.


OrgPlus Features

OrgPlus has many powerful features including:

Fast Chart Creation

You can import data from a database, spreadsheet, or start from scratch using OrgPlus' intelligent drawing tools.

OrgPlus completely automates chart creation.

Powerful Chart Formatting

With OrgPlus, your charts keep pace with your changing organization. You can rearrange boxes by cutting and pasting, or dragging and dropping. You can rearrange the information within boxes manually, or save time by applying pre‑defined templates. OrgPlus automatically preserves uniform sizing and spacing, and shows you an accurate print preview.

Compare Charts

OrgPlus allows you to compare two charts. After comparison, OrgPlus generates a report containing the differences between the two charts.

Master Page

The Master Page feature enables you to define a transparent background page that is used for all the chart pages (similar to the feature available in Microsoft PowerPoint). The master page can include, for example, a corporate logo or photographs, and elements such as page numbers and the date the chart was last updated.

Sophisticated Box Layout

Data fields including pictures and photos can be rearranged and formatted within a box to meet almost any design or reporting requirements. OrgPlus also allows you to set the background color and border style for any cell within a box. Field labels in boxes can be placed anywhere in a box (above, below, left, or right of the corresponding field). OrgPlus also allows you to create fixed size boxes and fixed size columns within boxes.

Multi-Record Boxes

You can create boxes that contain more then one record. For example, the entire sales team for an organization can be represented in a single box:

Mapped Fields

Mapped fields allow you to map from one value to another value. For example, USA = www.mycompany.com/flags/usflag.jpg.

Value | Maps to | Result
US | /images/usflag.jpg |
CA | /images/caflag.jpg |
NL | /images/nlflag.jpg |
CN | /images/cnflag.jpg |

Symbols Library

The My Charts folder contains a library of images that you can use in your charts. The image library is located in the My Documents/My Charts/Symbols folder on your computer.

Hotspots

OrgPlus enables you to define any area within a box as a hotspot. When a user moves the cursor over a hotspot a profile is dynamically displayed.

Quick Chart Creator

The fastest way to get started with OrgPlus is to use the Quick Chart panel. The Quick Chart feature provides all the controls you need to create basic organizational charts in one easy to use panel.

Templates

Templates provide a pre-defined starting point for setting up the look and feel of new or existing charts.

OrgPlus supplies a variety of design, box and branch templates that can be used to quickly create professional looking charts.

Legends

You can add legends to your charts. Each legend contains one or more color coded legend entries to help end users understand your charts.

OrgUnit Charts

Create a chart of Org Units (or departments) from the hierarchy shown in the sub-charts panel.

Optimized Charts

Charts can be optimized to fit on one or more pages, making charts easier to read, copy, and distribute. OrgPlus can automatically create compact charts by arranging boxes in the most space-efficient manner.

Chart Orientation

OrgPlus supports inverted charts and charts that are oriented left to right and right to left.

Multi-column Chart Styles

OrgPlus supports multiple subordinate rows under a single manager including the ability to maintain banding of employees within rows.

Chart Style Rules

Chart Style Rules enable you to change chart branch styles based on you own rules. For example, any box containing an employee with the word Assistant in their title can automatically be reformatted to an assistant style.

Style Rules also enable you to group and demote boxes based on user defined rules.

Consolidation

Some organizations want to combine multiple organizational charts into a single chart. One common scenario is that each division within a company is responsible for maintaining their own organizational chart using OrgPlus. Using the consolidation feature, each division’s chart can be combined into a single master chart.

Note: This feature is available only in OrgPlus Professional.

Conditional Formatting

Conditional formatting enables you to dynamically apply formatting to a subset of a chart that meets a set of user-defined criteria. After importing data, conditional formats can be applied to a chart to format any boxes meeting the criteria. For example, any box containing an employee who has more than 10 vacation days could have a thick red border.

Free Form Tool

OrgPlus automatically positions chart boxes based on the selected branch style. From time to time, automatic positioning of chart boxes may not meet your charting requirements. The free form tool [image] allows you to arbitrarily position boxes within your chart.

Sub-charting

OrgPlus includes sub-charting as an integral part of the charting process. Previewing and checking sub-charts prior to publishing ensures that published charts are always right the first time.

Dotted Line reporting

In many companies, a single individual may appear in an organizational chart multiple times. Individuals of this type have dotted line reporting relationships to one or more managers. OrgPlus enables you to easily navigate through all occurrences of a dotted line report.

Groups

The Groups feature enables you to define a subset of a chart that meets a set of user-defined criteria. All boxes that do not belong to this subset (or group) are then shaded when this group is selected. This enhances both chart presentation and analysis. For example, a group of all sales people who have met sales goals can easily be visualized.

Conditional Formulas

You can specify which boxes are to be included or excluded from a calculation by using a conditional formula. For example, you can specify the inclusion of only permanent (versus temporary) employees in a calculation.

Managing Large Amounts of Complex Data

Large charts can be subdivided into sub-charts. For example, an organization with ten divisions can be presented as eleven sub-charts – one for the executive team, and one for each division.

This picture shows a chart before and after sub-charting, and how sub‑charts are navigated.

Importing Data from External Sources

OrgPlus ensures that you are always working with the latest information. OrgPlus connects directly to your existing databases using an LDAP, SQL Server, ODBC or Oracle Connection Wizard, or to a spreadsheet or text file. Data can be refreshed at any time, either manually or on a scheduled basis.

Orphan Management

If your data does not contain hierarchy information or your data contains a large number of unassigned positions, OrgPlus makes orphan management easy by allowing you to drag and drop employee records into your charts or sub-charts.

OLE DB Support

OrgPlus supports data import from any OLE DB compatible data source.

Note: This feature is available only in OrgPlus Professional.

Direct Access to SAP

OrgPlus allows you to import data directly from SAP using the SAP HR-OCI (Organizational Charting Interface). SAP HR-OCI guarantees compatibility with all future versions of SAP and does not require you to load custom software into your SAP environment.

Note: SAP integration requires purchase of the OrgPlus SAP HR-OCI adapter.

Data Synchronization

OrgPlus can refresh data from an underlying data source, such as an Excel spreadsheet, LDAP or relational database. No matter how an organization changes, OrgPlus can maintain chart formatting and publishing parameters.

Advanced Search

Perform advanced search functions. The Search Panel displays a tabular list all records based on a user defined query. The search panel is useful for finding any set of employees, data mining and succession planning.

Reports

OrgPlus enables you to create both static and dynamic reports from your underlying data. Reports can include summaries and allow you to sort and group data as required. Navigating through the chart dynamically updates the report based on current cursor position.

Constants (what-if analysis)

OrgPlus allows you to define constants that you can use in formulas, conditional formats and chart rules. Changing the value of a constant will update every chart element that references that constant. For example, you can define a conditional format that sets the color of a box based upon whether an employee was hired before or after a specific date. If you reference a constant called “cutoff date” in the conditional format, you can now easily visualize the impact of changing the “cutoff date” to different values.

Multiple Charts per Project and Matrix Reporting

OrgPlus projects can now contain multiple charts – similar to the Microsoft Excel workbook and worksheet concept. Each chart within a project can show a unique view that displays different data fields, contains different formatting, and may even contain a different hierarchy. For example, in an organization that uses matrix reporting, each chart within a project may contain a different project team with its own unique hierarchy.

Directories

Directories provide a tabular list of information for a selected box and its descendants. Clicking a box in the chart displays a directory. Conversely, selecting an entry in a directory locates the corresponding box in the chart. You can use the directory to send an email or you can update data in the directory (in the same way that you edit data in a spreadsheet).

Profiles

The Profile View is a great place to show additional information about a box without cluttering the organizational chart, for example, an employee photo or additional contact information such as mobile phone or pager numbers can be shown in a profile.

Find by Photo and Photo Manager

The Find by Photo feature enables you to find any employee by browsing photo thumbnails.

Selecting a photo displays the corresponding box in the chart.

Photo Manager intelligently inserts photos into chart boxes. With Photo Manager, the process of managing photos in a chart is almost effortless.

XML Support

Developers can generate XML files that can be loaded directly into OrgPlus Plug-in. Please contact op.support@orgplus.com for a detailed specification.

Publishing to and Integration with Microsoft Office

OrgPlus is the only organizational charting program that works seamlessly with Microsoft products, such as PowerPoint and Word. Charts can also be embedded in Microsoft products. Embedded charts can be edited via a double click and/or set to automatically update whenever the underlying chart is updated in OrgPlus.

Microsoft Office Toolbar

You can create OrgPlus charts in Microsoft Office applications (Word, Excel, PowerPoint and Visio). The OrgPlus toolbar in Microsoft Office applications enables you to create and edit charts directly in Office documents.

Automation

You can set the Import and Publish processes to run automatically according to a schedule. For example, you can automatically refresh the data every Friday and publish updated charts to established locations on Monday morning.

Web Integration

Posting your charts to the web, your corporate intranet or a shared network drive helps to reduce the involvement of your IT department.

Once posted, your charts become a company-wide information source that connects every employee. Anyone with network or intranet access rights can easily view, search and print published charts using OrgPlus Plug-in. If you prefer, you can publish your charts directly to HTML.

Localization

OrgPlus is Unicode enabled; data from almost any language can be imported into OrgPlus.

508 Compliance

OrgPlus desktop products are 508 compliant (U.S. Government standard for designing software to meet the needs of people with disabilities).

OrgPlus Enterprise Integration

The automation features of OrgPlus and Push Data functionality make it easy push charts to OrgPlus Enterprise. See Chapter 11, Automation for more details.


OrgPlus 7 Highlights

Microsoft Vista and Office 2007 Compatibility

OrgPlus 7 is fully compatible with Microsoft’s latest operating system, Vista, and Microsoft Office 2007. In fact, OrgPlus 7 has earned the Certified for Windows Vista logo. The Certified for Windows Vista logo is a compatibility designation for applications and devices that have passed a rigorous testing program on computers running Windows Vista.

Add Comments

Annotate your organization charts with comments. Comments are useful when collaborating with other OrgPlus users. OrgPlus 7 Reader also supports viewing of comments.

Enhanced HTML Publishing

OrgPlus 7 HTML publishing has been significantly improved. Now with more sophisticated toolbars and panels, sharing your organization charts on the web is easier than ever. HTML publishing includes better printing quality and even optionally allows users to download an OrgPlus project file directly from any HTML page.

Tree Panel

The new tree panel is a fast and easy way to change your organizational structure or edit chart data. Quickly add, delete, and edit records. Move records across departments with ease.

Automatic E-mail Distribution

OrgPlus 7 can automatically email up-to-date published organization charts (PDF, PowerPoint and Word) to a designated list of email recipients on a scheduled basis or at the push of a button. Define different distribution lists per organization chart file, and keep everyone up to date on the latest organization structure additions, changes, and open positions.

Improved Profiles

You can now edit data directly in profiles. You can also navigate from box to box using next and previous buttons. In addition, you can apply conditional formats to fields within profiles to highlight or hide fields as necessary. Conditional formatting in profiles allows you to dynamically format your data to bring attention to certain employee information based on specific conditions. For example, a significantly improved rating can be indicated by a gold star.

Composite Profiles

Combine multiple profile views into a single, multi-tab profile view to provide detailed information about any box. You can also conditionally show or hide any individual profile tabs based on the selected box. For example, show benefits detail only for permanent employees.

Enhanced Chart Printing

OrgPlus 7 printing is better than ever. You now have more control over how master page elements are scaled when printing charts. Make logos and titles the perfect size no matter how much your chart is scaled up or down to fit on a page. Use rulers to save formatting time when outputting to large format printers and plotters.

Improved Templates and Sample Charts

OrgPlus 7 contains new sample charts and chart templates to help you create professional looking charts quickly and easily.

Off-page References

You can now include hyperlinks in your chart that allow you to navigate from any box to another box, sub-chart, chart tab or even to an entirely separate OrgPlus project file.

Sub-chart Arrow Labels

You can label sub-chart arrows with names or numbers to make navigation easier and improve the value of printed and published charts.

Improved Duplicate Reporting Management

You can now include a list of alternate (matrix or dotted-line) managers directly in chart boxes. In addition, OrgPlus 7 also allows you to easily navigate directly to a specific occurrence of an employee that appears multiple times in a chart.

Improved Conditional Formats

With OrgPlus 7 you can define conditional formatting at a more granular level. For example, you can base the box border style on one condition and the border color on another condition.

Automatic Legends

OrgPlus 7 can now automatically create legends from any sub-set of defined conditional formats.

Improved Picture Formatting

OrgPlus 7 gives you more control over picture scaling and even allows you to add borders and shadows to pictures in chart boxes.

Improved Hotspots

OrgPlus 7 improves hotspot interaction. You can edit the data directly in a hotspot. You can also configure a hotspot for an entire box or for just a field in the box.

Rulers and Grids

You can turn on the rulers and grid display to more accurately place free-floating objects such as pictures, shapes, and text in your chart. Rulers allow you to more accurately position chart elements for printed output especially to large format printers and plotters.

Improved Orphan Handling

OrgPlus 7 makes handling orphan records (records that have no or missing reporting relationship), easier than ever. Simply drag your orphan records into the chart and OrgPlus maintains their positioning.

Enhanced Groups

OrgPlus 7 now supports creating groups based off of formula calculations. For example, create a group of all managers with 5 or more direct subordinates.

Improved Formatting for Number Fields

You now have greater control over the formatting of number fields with the ability to specify any number of leading zeros.

Word Wrap Enhancements

OrgPlus now gives you more control over text wrapping and truncation

Shared Conditions

Define conditions once and use them in conditional formats, chart rules, groups and profiles.

Group Peers

You can group peers automatically during data import. For example, peers can be grouped by title, job code or location.


Installation and Registration

This chapter covers installing, registering, and starting OrgPlus.

If you did not download OrgPlus, your package should contain:

· OrgPlus CD

· OrgPlus User Guide (this book)

· Product Registration Card

In this book…

System Requirements

Standard vs. Professional

OrgPlus Express

Installation

Installation Options

Registration

Starting OrgPlus

Customer Support


System Requirements

Your system must meet the following requirements for OrgPlus to operate properly.

Processor:

· A modern processor (at least 500MHz)

Minimum Memory:

· For Windows 2000/XP: 256MB

· For Windows Vista: 512MB (1GB recommended)

Minimum Hard Disk Space:

· 80MB of free disk space

CD-ROM or DVD Drive:

· Required to install from CD-ROM

Operating System:

· Windows 2000 (SP4)

· Windows XP (SP2)

· Windows Vista

Environment:

· Administrator rights required to install OrgPlus

· Internet connection recommended for product activation

Minimum Graphics Requirements:

· 1024X768 resolution (1280 x 1024 recommended)

Microsoft Office:

· Office 2000 (SP3)

· Office XP (SP3)

· Office 2003 (SP2)

· Office 2007

Internet Browser:

· Internet Explorer 6

· Internet Explorer 7


Standard vs. Professional

OrgPlus Professional includes features that are not available in OrgPlus Standard.

The following functions are available only with an OrgPlus Professional license:

· Import: The ability to import data from external files or databases.

· Publish: The ability to publish charts to other formats including PDF, PowerPoint, Word, HTML, and OrgPlus Plug-in.

· Automation: The ability to schedule data refresh and chart publishing to automate chart distribution.

The maximum number of records that can be imported into OrgPlus is determined by the license purchased.


OrgPlus Express

OrgPlus Express is intended for users who need to create single page charts within Microsoft Office applications (Word, Excel, PowerPoint and Visio). OrgPlus Express is the clear choice for users dissatisfied with the limited organizational charting capabilities that Microsoft Office applications offer.

OrgPlus Express can be used only from within Microsoft Office applications and has a limited set of features. Users who have more sophisticated charting needs or who need to create larger charts should consider OrgPlus Standard or Professional.


Installation

In order to use OrgPlus you must install it on your hard disk. You cannot run OrgPlus directly from your original OrgPlus CD. You can copy the OrgPlus setup file to a network drive, if you intend to install on multiple computers.

After installing OrgPlus, you must register and unlock the application before you can start using it.

To install OrgPlus from the CD:

1 Insert the OrgPlus CD into your CD-ROM drive.

If the installation does not start automatically, click Run in the Windows Start menu and enter D:\OrgPlus\Setup (where D is the letter of your CD-ROM drive) and then press the Enter key to display the OrgPlus Setup dialog box.

2 Click Next and follow the instructions displayed in each dialog box presented by the installer. Proceed through each step, then click Finish to complete the installation. 0

You have now installed OrgPlus on your system. Store the original OrgPlus CD in a safe place in case you have to reinstall.

To install OrgPlus from a network:

1 If you have an OrgPlus CD, copy the CD to a directory on your server.

2 Navigate to the folder containing OrgPlus and double-click the setup.exe file.

3 Follow the installation instructions described in the previous procedure. 0Installation Options

By default, the OrgPlus installation process adds the OrgPlus Toolbar to your Microsoft Office applications—Word, Excel, PowerPoint, Visio—enabling you to create OrgPlus charts from within Microsoft Office applications. You can turn this feature off during installation by turning off the Enable OrgPlus Toolbar in MS Office Applications checkbox.


Registration

When you first launch OrgPlus, you will be prompted to register:

If you purchased your copy of OrgPlus from HumanConcepts, proceed If you purchased OrgPlus directly from HumanConcepts.

If you purchased your copy of OrgPlus from any other Vendor and have Internet connectivity, you are prompted to register online. Proceed to If you purchased OrgPlus from any other Vendor.

If you do not have Internet connectivity, you can register by email, fax, or phone. For more information on these registration options, see Off-line Registration.

Registered users receive product update notifications and other important OrgPlus announcements.

Frequently Asked Questions about Registration provides solutions to problems you may experience while registering OrgPlus.


If you purchased OrgPlus directly from HumanConcepts

This section describes how to unlock OrgPlus using the Unlock Code that is included on the invoice sent to the email address you provided when you ordered OrgPlus.

To unlock OrgPlus:

1 Double-click the OrgPlus icon [image] on your desktop to display the Unlock/Register OrgPlus dialog box.

2 Enter your Unlock Code in the Unlock/Product Code field.

3 Enter your email address in the Email field.

4 Click Next. If you entered the code correctly, you will be informed that you have successfully unlocked OrgPlus. Click Close to begin using OrgPlus.

Note: If you do not enter the same email address entered at the time of purchase, you are prompted to enter registration information. You are also prompted to enter a password for your HumanConcepts account. 0


If you purchased OrgPlus from any other Vendor

This section describes the online registration process for OrgPlus when purchased from a vendor other than HumanConcepts. The Product Code is located on the Registration Information card.

OrgPlus may not be able to access the Internet (for example, if you are behind a firewall). If this happens, see Off-line Registration.

To register and unlock OrgPlus:

1 Double-click the OrgPlus icon [image] on your desktop to display the Unlock/Register OrgPlus dialog box.

2 Enter your Product Code in the Unlock/Product Code field.

3 Enter your email address in the Email field.

4 Click Next.

5 You are prompted to enter a password for your HumanConcepts account. Enter and confirm the password then click OK.

6 Click Next.

7 Enter the requested registration information and click Next after you complete each page. Fields marked with an asterisk * are required.

8 After receiving your registration information, we will e-mail you an Unlock Code. After you receive the e-mail, click Close to display the Enter Your Unlock Code dialog box.

9 Enter the Unlock Code (from the e-mail) and click Next. If you entered the code correctly, you will be informed that you have successfully unlocked OrgPlus. Click Close to begin using OrgPlus. 0


Frequently Asked Questions about Registration

· What is a Product Code or an Unlock Code?

The Product Code tells HumanConcepts which version of the software you purchased. The Unlock Code is used to unlock the software for use. If you purchased directly from HumanConcepts, you do not need a Product Code.

· Where is my Product Code?

If you purchased directly from HumanConcepts, you do not have or need a Product Code. If you purchased from any other vendor, your Product Code is located on a sticker on the front of the Registration Information Card.

· Where is my Unlock Code?

When you purchase directly from HumanConcepts, your Unlock Code is noted on your invoice (a link to your invoice can be found in the order confirmation email). If you purchased OrgPlus through a third-party, the Unlock Code will be sent to you via email when you register OrgPlus.

· I thought I already registered. Why don’t you have my information?

Our registration system uses your email address to locate your information. If you have changed email addresses or you registered more than two years ago, you will need to re-register.

· I received a message that I cannot connect to the OrgPlus server.

The most common reason for this is due to a corporate firewall. You can register via email by selecting Register by email in the Registration Options dialog box. As a last resort you can contact support for assistance at www.orgplus.com/support/.

· I faxed in my registration information. I haven’t had a response.

Please allow 2 business days for responses to fax registration requests.

· Our company procurement agent bought the software. I don’t have the Unlock Code or the Product Code.

You need to obtain the Unlock Code from the individual whose email address was used during the ordering process. If your company purchased OrgPlus from a third-party dealer, the Product Code is located on the Registration Information Card.

· My Unlock Code or Product Code doesn’t work.

Please contact support for assistance at www.orgplus.com/support/.


Starting OrgPlus

See…

Launching OrgPlus

Learning OrgPlus

OrgPlus Help


Launching OrgPlus

To start OrgPlus and begin working on a chart:

· Select All Programs | HumanConcepts | OrgPlus 7 from the windows Start menu.

Or

Double-click the OrgPlus icon [image] on your desktop.


Learning OrgPlus

We recommend the following approach:

· Go through Tutorials. Each tutorial takes about 20 minutes.

· Use Window Structure and Command Reference, to familiarize yourself with the OrgPlus menus and toolbars.

· Look at some of the sample charts by selecting Welcome to OrgPlus from the Help menu.

· Start making charts! For more information see Working with Charts: Basic Charting.

· Use the online resource center at www.orgplus.com/support/.


OrgPlus Help

Use the Help menu to access the following help options:

Help Menu Item | Description
Index | Display the Help Index. (F1)
Keyboard | Display a list of hot keys and their functions.
Commands | Display information about menu commands and toolbar buttons.
Using Help | Display instructions for using the Help system.
Welcome to OrgPlus | Display the Welcome panel, which provides access to sample files and useful links for first time users.
Resource Center | Display online documentation to help with evaluation, installation, training, and support.
OrgPlus Guided Tour | Display an online guided tour.
OrgPlus Tutorials | Display online tutorials.
Upgrade Your OrgPlus | Access the online store.
OrgPlus Enterprise Hosted Support | Access online technical support.
System Info | Display information about your computer system. This information helps us provide you with technical support.
About OrgPlus | Display information about which version of OrgPlus you are using.


Customer Support

See…

Technical Support Checklist

Electronic Support

Standard 90-Day Technical Support from HumanConcepts

Online Store


Technical Support Checklist

For the fastest response to your technical questions, complete the following checklist before you contact HumanConcepts Technical Support:

· Before calling, please check the User Guide.

· Be ready to tell the technician what you’ve tried. Record the exact sequence of events that created the problem. Make sure that you can reproduce the problem by following the same series of steps. Know the results of any steps you have undertaken to solve the problem.

· Record the exact wording of any error messages.

· Be sure to give your name and return email address or fax number if you prefer a reply via email or fax.

· If you are phoning, make sure you have access to your computer.

· Be ready to supply the product name and version. (Select About OrgPlus from the Help menu.)

· Be ready to supply the system information. (Select System Info from the Help menu.)


Electronic Support

Electronic support is available 24 hours a day, free of charge, on the HumanConcepts Web site. You can access the Web site in the following ways:

· From the OrgPlus main window: Select OrgPlus Online Support from the Help menu.

· Via the Web browser at: www.orgplus.com/support/.

Links to a variety of self-service tools and product support options are offered to assist you with OrgPlus, including:

· Frequently Asked Questions

· Product Support Forums

· Knowledge Base

· Software Installation Instructions

· Quick Start Guide

· On-line Registration

· Customer Support


Standard 90-Day Technical Support from HumanConcepts

You can obtain no-charge technical support in North America for 90 days after purchase via a phone call. If you are located outside the North America please visit our Web site for country-specific contact information.

Technical Support hours are from 8:30 a.m. to 8:30 p.m. Eastern Time, Monday through Friday, excluding holidays.

All calls after the 90-day period are on a pay basis. A variety of support plans are available.

Service Via | Address/number
World Wide Web | www.orgplus.com/support/
Mailing Address | HumanConcepts 3 Harbor Drive, Suite 200 Sausalito, CA 94965 USA
Phone Number | 1-415–332-3030
Fax Number | 1-415–332-1010


Online Store

Our online store is open 24 hours a day/7 days a week. You can contact our sales team from 8 a.m. to 5 p.m. Pacific Time (GMT – 8.00), Monday through Friday, excluding holidays.

Service Via | Address/number
Sales | 1-415–332-3030 (Please call this number for pricing, product information or replacement disks.)
Sales Inquiries | sales@orgplus.com
Online Store | store.orgplus.com
General Information | www.orgplus.com


Tutorials

This chapter provides step-by-step tutorials that show you how to create charts, starting with a very basic chart and then building up to the more complex charts.

Three versions of the desktop product are available:

· OrgPlus Express

· OrgPlus Standard

· OrgPlus Professional

Tutorials 1 and 2 are intended for use with all OrgPlus desktop products. Tutorials 3 and 4 are for use only with OrgPlus Standard and Professional. Tutorials 5 and 6 show you how to use the more advanced features of OrgPlus that are available only in OrgPlus Professional.

General Note:

For ease of explanation, the procedure steps are numbered consecutively within each tutorial, continuing to increment from procedure to procedure.

In this book…

Tutorial 1: Creating Basic Charts

Tutorial 2: Formatting and Printing Charts

Tutorial 3: Using Directories, Reports and Profiles

Tutorial 4: Working with Sub-Charts

Tutorial 5: Creating Charts from External Data

Tutorial 6: Publishing Charts


Tutorial 1: Creating Basic Charts

In this tutorial you will learn how to create a chart.

In this tutorial…

Creating New Charts

Entering Field Information

Adding and Deleting Boxes

Changing Branch Styles

Saving your Work

Tip: You can press the <F1> key at any time for application help.

Creating New Charts

Charts can be created directly in OrgPlus or from within Microsoft Office products (Word, Visio, Excel and PowerPoint). OrgPlus Express users can create charts ONLY from within Microsoft Office products. If you are an OrgPlus Express user or you want to create charts within an Microsoft Office application please start this tutorial with step 4.

1 If OrgPlus is not already running, double-click the OrgPlus 7 icon [image] on your desktop or from the Windows Start menu select:

All Programs | HumanConcepts | OrgPlus 7

2 Select New from the File menu to display the New Project dialog box.

3 Select Blank from the list of templates and click OK. You can also try selecting one of the other chart templates.

The OrgPlus main window displays a blank chart.

Continue with step 6 in Entering Field Information.

4 Alternately, to create a chart in a Microsoft Office application, launch Microsoft Word (or any other Microsoft Office application) and click the New Chart icon [image] on the toolbar.

The Microsoft Office application (in this tutorial – Microsoft Word) opens and displays a new chart.

Note: In Microsoft Office 2003 and earlier, the OrgPlus toolbar appears automatically if you selected that option at installation. To display the OrgPlus toolbar icons in Microsoft Office 2007, select the Add-Ins Tab.

5 Double-click the chart to edit it in OrgPlus.

Entering Field Information

When you start a new project in OrgPlus, a single box appears on the screen. You will now enter some information into it.

6 Click the Select tool [image] .

7 Select the topmost box.

8 Click the box again to edit the contents. Click <Name> if it is not already highlighted and type Chris Phillips.

à

9 Click <Title> and type President and CEO.

à

Tip: Use the <Tab> key to advance to the next field.

Adding and Deleting Boxes

To add boxes to your chart, select the type of box you want to add from the Insert toolbar (on the left), then click any existing box. There are five types of boxes:

Subordinate

Left Co-Worker

Right Co-Worker

Manager

Assistant

Adding Assistants

10 Select the Assistant tool [image], then select the box containing Chris Philips to add an assistant.

Adding Subordinates

11 Select the Subordinate tool [image] and select the box containing Chris Philips to add a subordinate.

12 Click the Select tool [image] .

13 Select the box you just created.

14 Click the box again to edit the contents. Click <Name> if it is not already highlighted and type Lynn Brewer.

15 Click <Title> and type CFO.

16 Select the Right co-worker tool [image] , and then click four times on the box containing Lynn Brewer. Four co-worker boxes are added.

Tips:

· The Left co-worker tool [image] adds boxes to the left of the selected box.

· The Manager tool [image] creates a Manager box directly above the selected box.

Deleting Boxes

17 Click the Select tool [image] .

18 Select one of the subordinate boxes that you just created.

19 Press <Delete> to delete the selected box..

Adding More Boxes

20 Add subordinates using the Subordinate tool [image] , as shown in the following diagram.

Changing Branch Styles

You may want to change the branch style for aesthetic or space reasons. OrgPlus offers a large variety of branch styles, which can be applied to any branch in your chart or the entire chart.

21 Make sure the Select tool [image] is selected.

22 Select Lynn Brewer’s subordinates by double-clicking on one of the boxes containing Lynn’s subordinates.

23 Click the Styles button [image] at the bottom of the window.

24 Select [image] (one column vertical style).

The boxes under Lynn Brewer are reformatted as shown below:

Select other sets of subordinates by double clicking them and then change their styles to match the diagram below.

Remember to use the Styles button [image] to change the style once a set of subordinates has been selected.

25 Optionally you can enter the names and titles as shown above.

Saving your Work

You should save your work periodically.

26 Select Save from the File menu.

If your chart is embedded in a Microsoft Office document, click the Save [image] icon at the top of the Microsoft Office application.

If you have never saved the current chart before, a Save As dialog box appears. Enter a file name and click Save.

Congratulations! You have completed Tutorial 1.


Tutorial 2: Formatting and Printing Charts

In this tutorial, you will learn how to create the following chart. To create this chart you will have to define an additional field (beyond name and title) and you will also need to use box and chart formatting options.

In this tutorial…

Opening Existing Chart

Formatting Boxes

Adding Fields

Displaying Fields

Adding Chart Titles

Printing Charts

Opening Existing Chart

To save time open an existing unformatted chart.

Charts can be edited directly in OrgPlus or from within Microsoft Office products (Word, Visio, Excel, and PowerPoint).

1 Select Open from the File menu to display the Open dialog box.

2 Select the file Tutorial2.opx and then click Open.

Note: If you do not see the My Charts directory, click the My Documents icon on the left side of the dialog box and then double-click the My Charts folder.

Continue with step 3 of Formatting Boxes.

Formatting Boxes

You can format any box in a chart.

3 Using the Select tool, select the box containing Chris Philips.

4 Select Box Properties from the Format menu.

5 Make sure the Color and Lines tab is selected. Select the Fill Color and Border Style shown below, and then click OK.

6 Select the executive team by double-clicking on any of the Level 2 boxes.

7 Select Box Properties from the Format menu.

8 Make sure the Color and Lines tab is selected. Select the Box Shape, Color and Border style as shown below, and then click OK.

9 Now, try to set the format for Corinne Spear to match the format shown below.

Adding Fields

You can add additional fields to your charts at any time. In this exercise you will add an Org Unit field.

10 Click the Define Fields tool [image] or select Define Fields from the Data menu.

11 Click Add to add a new field.

12 Type Org Unit.

13 Click OK. You will be prompted to add the new field to all boxes.

14 Click No. You want to only display the new field in the boxes representing the executive team.

Displaying Fields

In order to show the Org Unit field in the executive team’s boxes, you will use the Layout tab in the Box Properties dialog box.

15 Select the executive team by double-clicking on any of the Level 2 boxes.

16 Click the Box Layout tool [image] or select Box Properties from the Format menu and then select the Box Layout tab.

17 Drag the Org Unit field to just below the Title field. Wait until you see the [image] symbol before releasing the mouse button.

à

Note: If you want to remove a field from a box, drag the field out of the box (shown in the Box Layout tab) and back into the field list.

18 Select the Line tool [image].

19 Position the cursor between the Title and Org Unit rows. The cursor changes to a [image] symbol. Click to place the line.

à

20 Click OK. Notice that the Org Unit field is added to the selected boxes.

21 Type the Org Unit field in each box as follows:

Adding Chart Titles

Each chart contains a Title area.

22 Highlight the chart title, Tutorial 2.

23 Use the Text toolbar to set font, font size, font style, and font color. Select the settings shown below.

Printing Charts

You must have a configured local or network printer in order to perform this step.

24 Select Print from the File menu to display the Print dialog box.

25 Click OK to print.

Note: OrgPlus Express users can only print from within Microsoft Office applications.

Congratulations! You have completed Tutorial 2.


Tutorial 3: Using Directories, Reports and Profiles

In this tutorial you will learn how to create and use directories, reports and profiles.

In this tutorial…

Opening Charts

Working with Directories

Working with Reports

Working with Profiles

Opening Charts

To save time you will open an existing chart.

1 Select Open from the File menu.

2 Select the file Tutorial3.opx, and click Open.

Note: If you do not see the My Charts directory, click the My Documents icon on the left side of the dialog box and then double-click the My Charts folder.

Working with Directories

First you have to create a directory.

3 Select Directory from the View menu.

4 Click the link Click here to create a Directory to display the Directory Settings dialog box.

Note: For this tutorial you are going to use the default Directory formatting.

5 Type Contact Info into the Directory name field.

6 By default OrgPlus includes all fields when you create a new directory. In this exercise you are going to create a directory that does not include salary and employee type information. Select Salary and click Remove. Then select Employee Type and click Remove.

7 Click OK.

Displaying Directories

You can use a directory to display chart information in a tabular format.

8 Click the Select tool [image] .

9 Select the box containing Chris Philips.

The Directory panel displays a directory containing Chris Philips and all his subordinates. Click other boxes in the chart to dynamically update the directory.

Editing Chart Contents using the Directory

You can edit chart data using the directory.

10 Select the box containing Chris Philips. Notice that the corresponding directory entry is also selected.

à

11 Now locate the row in the directory containing Sue Watkins. Click the cell containing Sue Watkins, and type Tom Wilson.

à

Notice that the corresponding box in the chart is also changed.

Working with Reports

The following exercises will show you how to create reports.

12 Select Reports from the View menu.

13 Click the link Click here to create a Report to display the Report Settings dialog box.

14 Type Salary Report into the Report name field.

15 Select Name and click the Add button.

16 Select Title and click the Add button.

17 Select Salary and click the Add button.

18 Select the Report Summary tab and then select the Salary checkbox. This will add a salary total to your report.

19 Click OK.

Displaying Reports

You can now create a dynamic report based by selecting boxes.

20 Select the box containing Becci Seuberling. The Salary Report for Becci's team appears in the Reports panel. Click other boxes in the chart to see other dynamic reports.

Exporting Report Data

You can export a report to a spreadsheet.

21 Select the box containing Becci Seuberling, then click the Export to Excel button [image] .

OrgPlus creates an Excel spreadsheet containing the report information.

Working with Profiles

The following exercises show you how to create and display a profile.

22 Select Profile from the View menu.

23 Click the link Click here to create a Profile to display the Profile Settings dialog box.

24 Type Employee Detail into the Profile Name field.

25 Select Salary and click Remove.

26 Select Employee Type and click Remove.

27 Click OK.

Using Profiles

This exercise shows how to display additional information about a selected box using the profile you just created.

28 Select any box in the chart. Notice that the Profile panel displays employee detail for that box.

Congratulations! You have completed Tutorial 3.


Tutorial 4: Working with Sub-Charts

In this tutorial you will learn how to divide a large chart into sub-charts.

As you can see from the following picture, sub-charts provide a mechanism that makes it easier to distribute and visualize large amounts of data.

In this tutorial…

Opening Charts

Creating Sub-charts

Navigating within Sub-charts

Inserting or Removing Sub-chart Breaks

Opening Charts

To save time you will open an existing chart.

1 Select Open from the File menu.

2 Select the file Tutorial4.opx and click Open.

Note: If you do not see the My Charts directory, click the My Documents icon on the left side of the dialog box and then double-click the My Charts folder.

Creating Sub-charts

You will now divide the chart into sub-charts.

3 Select Sub-chart | Create Sub-charts from the Insert menu to display the Create Sub‑charts dialog box.

4 Select Using Field and select Department from the drop-down list.

5 Select From Field and select Department from the drop-down list.

6 Click OK.

OrgPlus displays the first page of the chart showing only the executive team. Notice the sub-chart navigation arrows at the bottom of each second-level box.

Navigating within Sub-charts

You can navigate within the sub-charts using sub-chart navigation arrows or the Sub-charts panel.

7 Navigate up or down your chart hierarchy by clicking on any sub-chart arrow ( [image] or [image] ).

8 Select Sub-charts from the View menu to display the Sub-charts panel. Click any entry in the Sub-charts panel to display the corresponding sub-chart.

Inserting or Removing Sub-chart Breaks

You can also insert or remove sub-charts manually.

9 Select the Finance sub-chart from the Sub-charts panel.

10 Select the box containing Aaron Lyon.

11 Select Sub-chart | Insert Sub-chart Break from the Insert menu. Notice that Aaron Lyon's team now appears in a separate sub-chart.

à

12 To remove the sub-chart break you just created, select the box containing Aaron Lyon.

13 Select the Sub-chart | Remove Sub-chart Break menu Insert. Notice that Aaron Lyon’s team is now recombined with its parent sub-chart.

Congratulations! You have completed Tutorial 4.


Tutorial 5: Creating Charts from External Data

In this tutorial, you will learn how to:

· Build a new chart from data imported from an external source. In this tutorial you will use a Microsoft Excel spreadsheet.

· Apply a template to a chart to achieve a professional look.

· Refresh (re-import) a chart data from an external data source. Refreshing allows you to keep a chart in sync with its underlying external data source.

In this tutorial you will use the spreadsheet, Tutorial5.xls.

In this tutorial…

Using the Import Wizard

Applying Templates

Saving Imported Charts

Refreshing Charts

Using the Import Wizard

In this exercise you will build a chart from imported data.

1 Select Import Data from the File menu to display the Select Data Source dialog box.

Note: If you do not see the My Charts directory, click the Human Concepts icon in the left margin, then select the Documents file folder then the My Documents icon.

2 Select the Tutorial5.xls file and click Open.

OrgPlus displays the Import Wizard – XLS Sheet Selection dialog.

This dialog box allows you to select a worksheet within the Excel file (Sheet1, Sheet2, or Sheet3) and to specify whether the first row of data contains column names or data records.

3 Click Next to display the Import Wizard - Data Settings dialog box.

This dialog box enables you to define settings associated with each field in your import file. You can choose whether to include or exclude a field from your chart (gray columns are excluded). You can rename a field, or specify field settings such as whether a field represents a hyperlink.

4 Click Next to display the Import Wizard - Verify Hierarchy dialog box.

This dialog box allows you to verify that your chart hierarchy will be created properly.

In order to build a chart from imported data, OrgPlus requires two fields: a Position field, which uniquely identifies each box, and a Reports To field, which tells OrgPlus to whom the box reports.

OrgPlus automatically identifies the fields to be used as Position and Reports To. However, you can use this window to verify that the correct fields have been chosen and that there are no errors in the source data.

5 Click Finish to complete the data import.

6 You will be prompted to sub-chart. Click No.

OrgPlus displays the chart you have created:

Applying Templates

You can automatically format your chart using one of the included templates.

7 If the templates panel is not displayed, select Templates from the View menu.

8 Drag any design template into the chart. OrgPlus immediately applies the template formatting to the chart.

Saving Imported Charts

You must save your chart after importing.

9 Select Save from the File menu to display the Save As dialog box.

10 Enter the file name myImportedChart then click Save.

Refreshing Charts

Any chart that was generated from an external data source using the Import wizard can be refreshed (re-imported) from the original source.

Note: You will need Microsoft Excel installed on your computer to complete this exercise.

11 Use Microsoft Excel to open Tutorial5.xls. The file is located in the My Document/My Charts folder.

12 In this worksheet, delete the row containing Tina Nomura. (Click row 5, as indicated, and select Delete from the Edit Menu).

13 Now save and close the spreadsheet. (Select Save from the File menu and then Close from the File menu.)

14 In OrgPlus, select Refresh Data from the Data menu. You will be prompted to continue. Click Yes.

15 When the refresh is complete, you will be prompted to view a log of the changes. Click No.

A look at the newly refreshed chart confirms that the change was made. (The box containing Tina Nomura was removed from the chart.)

Congratulations! You have completed Tutorial 5.


Tutorial 6: Publishing Charts

OrgPlus enables you to publish your chart to Microsoft PowerPoint, Microsoft Word, HTML, Adobe PDF, directly to a printer, or to our OrgPlus browser Plug-in. In this tutorial you will learn how to publish to OrgPlus Plug-in and PowerPoint.

In this tutorial…

Opening Charts

Publishing to the OrgPlus

Publishing to PowerPoint

Opening Charts

To save time you will open an existing chart.

1 Select Open from the File menu.

2 Select the file Tutorial6.opx and click Open.

Note: If you do not see the My Charts directory, click the My Documents icon on the left side of the dialog box and then double-click the My Charts folder.

Publishing to the OrgPlus Plug-in

The OrgPlus Plug-in is a free browser Plug-in, which enables anyone with a network or intranet to easily view, search and print published charts.

3 Select Publish To | OrgPlus Plug-in from the File menu.

OrgPlus displays the Publish Option Page dialog box.

In this exercise, the default options are not changed. You can try republishing with different options.

4 Click Next on each page and click Finish on the last page. OrgPlus generates and opens the Plug-in file for viewing.

Publishing to PowerPoint

OrgPlus is the only organizational charting program that works seamlessly with Microsoft products such as PowerPoint or Word. You can embed charts in Microsoft products and edit them by double-clicking. You can also configure them to update automatically whenever you update the underlying chart in OrgPlus.

1 Select Publish To| PowerPoint from the File menu.

OrgPlus displays the Publish Option Page dialog box.

In this exercise, the options are not changed. You can try republishing with different options.

2 Click Next on each page and then Finish on the last page.

Congratulations! You have completed Tutorial 6.


Working with Charts: Basic Charting

This book provides detailed descriptions of basic chart operations. After reviewing this book you will be able to create a new chart, open a chart, save a chart, select and move chart elements, and use cut, copy, and paste change your charts.

Functionality is described in progressive steps. For example, you will learn how to add boxes to a chart, how to add and remove fields in those boxes, and how to format those boxes.

In this book…

Opening Projects

Creating Projects

Saving and Closing Projects

Adding and Deleting Boxes

Selecting Objects

Moving Objects

Entering Field Information

Defining and Displaying Fields

Formatting Boxes, Lines, Text, Fields, and Pictures

Formatting Charts

Applying Chart Styles

Quick Chart Panel

Using Cut/Copy/Paste

Printing


Opening Projects

This section describes how to open an existing project for viewing or editing.

To open an existing project:

1 Select Open from the File menu.

2 Choose a file and click Open to display its contents in an OrgPlus window.

Opening Projects from Earlier Versions in OrgPlus 7

OrgPlus 7 has backwards compatibility with earlier versions of OrgPlus. When you open a project saved in an earlier version, OrgPlus 7 automatically converts it to an OrgPlus 7 file. OrgPlus 7 saves files in versions 5, 6, or 7, but it open projects created with versions earlier than version 4.


Creating Projects

This section describes how to create a new project and begins with a brief overview of key concepts that you must understand in order to create a new project. This is followed by a detailed description of chart creation techniques.

See…

Understanding Projects, Charts, and Templates

Creating New Projects


Understanding Projects, Charts, and Templates

The following is a brief overview of some of the concepts used in OrgPlus.

About Projects and Charts

An OrgPlus project contains one or more charts stored on disk as a single file. Multiple charts per project allow you to create different views of the same data. For example, one chart within a project could show the current structure of an organization while another chart could display the proposed structure of an organization.

About Templates

A template defines all the formatting parameters for a chart. Applying a template sets the formats for chart elements, such as boxes and lines. Using templates saves you the effort of formatting each individual chart element. Using templates in OrgPlus is similar to using templates in Microsoft PowerPoint or Word.

About the File Formats Used by OrgPlus

The following file types are used by OrgPlus 7:

Extension | Description
.opx | OrgPlus 7 Project File
.opxt | OrgPlus 7 Template File
.ovx | OrgPlus 7 Plug-in (browser Plug-in file)

The following file types can be opened in OrgPlus 7:

Extension | Description
.opx | OrgPlus 4/5/6 Project Files
.opxt | OrgPlus 5/6 Template Files
.ovx | OrgPlus 6 Plug-in Files

Note: OrgPlus 7 files cannot be opened using an older version of OrgPlus.


Creating New Projects

When you create a new project, you can select a template or just create a blank project.

To create a new project:

1 Select New from the File menu to display the New Project dialog box.

2 Choose a template. The Preview pane of the dialog box displays an example of the selected template.

Note: Click the New from file… button to browse for OrgPlus files or templates that are not shown in the New Project dialog box.

3 Click OK to create a new project using the selected template.0

Note: You can also click the Create Blank Project button [image] to create a new project.


Saving and Closing Projects

This section describes how to save and close projects.

See…

Saving Your Work

Closing Projects


Saving Your Work

You should periodically save your work.

To save changes:

· At any time, select Save from the File menu.

Note: If you have not previously saved the current chart, a Save As dialog box is displayed. Enter the file name and then click Save.

To save a copy of your project:

1 Select Save As from the File menu. The Save As dialog box is displayed.

2 Navigate to the folder where you want to save your file.

3 Enter the file name in the File Name field.

4 Click Save. The file is saved.

Note: You can save your chart in various file formats. Select Save As from the File menu and use the Save as type drop-down list. The following options are available:

· OrgPlus 7 File

· OrgPlus 7 Template File

· OrgPlus 6 File

· OrgPlus 6 Template File

· OrgPlus 5 File

· OrgPlus 5 Template File

· OrgPlus XML

· HTML Document

· JPEG File

· TIFF File

· GIF File

· PNG File

· Windows Bitmap

· Windows Metafile

· Windows Enhanced Metafile

Note: Saving an OrgPlus 7 file as an OrgPlus 6, OrgPlus 5, or XML file may result in loss of elements associated with new application features such as comments and e-mail categories.

Note: You can save a sub-set of your project. Select Save As from the File menu and use the Save what drop-down list. Select from the following options:

· Project (default): Saves the entire project.

· Chart: Saves only the current chart, as identified by the Chart tab.

· Sub-chart: Saves only the currently displayed sub-chart.

· Selection: Saves only the selected elements from the currently displayed chart (for example, selected boxes).


Closing Projects

This section describes how to close the current project.

To close projects:

· Select Close from the File menu. If any changes were made to the project since it was last saved, you are prompted to save before closing.


Adding and Deleting Boxes

Boxes are the building blocks of a chart. OrgPlus automatically draws the connecting lines between boxes.

See…

Adding Boxes

Deleting Boxes


Adding Boxes

Use one of the insert box tools to add boxes to your chart.

To add a new box:

1 Choose one of the following insert box tools.

Manager: Adds a manager above the selected box.

Assistant: Adds an assistant below the selected box.

Subordinate: Adds a subordinate below the selected box.

Peer - Left Co-worker: Adds a co-worker to the left of the selected box.

Peer - Right Co-worker: Adds a co-worker to the right of the selected box.

2 Move the mouse pointer over the box to which the new box is to be attached. Notice that the mouse pointer changes to indicate how the new box will be attached.

3 Click the box.

à

Note: You can add multiple boxes to a chart by clicking an insert box tool multiple times and then adding boxes as described above.


Deleting Boxes

You can delete unwanted boxes.

To delete a box:

1 Click the Select tool [image] .

2 Move the mouse pointer over the box you want to delete.

3 Click the box.

4 Press <Delete>.


Selecting Objects

This section describes how to select objects. You can select sets of objects or fields. You can apply changes to your selected set. For example, you can change the border style for all selected boxes.

See…

Selecting Boxes

Selecting Connecting Lines

Selecting All Objects of the Same Type

Selecting Fields

Selecting Levels


Selecting Boxes

This section describes how to select boxes. You must select boxes before you can change their formatting or content.

To select boxes:

· Click an individual box. Use the <Shift> or <Ctrl> keys to select multiple boxes.

Or

· Use Select, Select Fields, Select Levels, or Find from the Edit menu.

Or

· Use the mouse to drag a rectangle around all the boxes you want to select.

Note: Right-click any box and choose Select Boxes with Similar Formatting from the context menu to quickly select all boxes on the page that have the same format.


Selecting Connecting Lines

OrgPlus automatically draws the connecting lines between boxes. You can select connecting lines in order to apply formatting, or to hide or show lines between specific boxes.

To select connecting lines:

· Click individual lines to select. Use the <Shift> or <Ctrl> keys to select multiple lines.

Or

· Select Select | All Connecting Lines from the Edit menu to select all connecting lines in the chart.

Or

· Select Select | All Hidden Connecting Lines from the Edit menu to select all hidden connecting lines in the chart.

Or

· Use the mouse to drag a rectangle around all the desired connecting lines.


Selecting All Objects of the Same Type

You can select the following sets of objects:

· All: Selects all objects.

· All Assistants: Selects all assistant boxes.

· All Co-managers: Selects all boxes that share the same subordinates.

· All Managers: Selects all boxes to which subordinate or assistant boxes are attached.

· All Non-managers: Selects all non-manager boxes.

· Direct Reports: Select the boxes at the level immediately below the selected box.

· Peers: Selects the boxes at the same level as the selected position, which report to the same manager.

· Branch: Selects all boxes that are descendants of the selected box, as well as that box.

· Lowest Level: Selects all boxes that are on the lowest displayed level.

· All Locked Boxes: Selects all boxes that are marked as locked.

· All Hidden Boxes: Selects all boxes that are hidden.

· All Connecting Lines: Select all connecting lines between boxes.

· All Hidden Connecting Lines: Selects all the hidden connecting lines.

· All Free Floating Objects: Selects all the free floating objects.

· All Anchored Objects: Selects all the free floating objects that are anchored to boxes.

· All Multi-record boxes: Select all boxes that are marked as multi-record boxes.

To select a set of objects:

· Choose Select | <Choose an option> from the Edit menu.


Selecting Fields

OrgPlus enables you to select boxes and fields.

To select fields in all boxes:

1 Choose Select Fields from the Edit menu to display the Select Fields dialog box.

2 Select by clicking the checkboxes to the left of the fields or use the Check All button to select all fields.

3 Click OK to highlight the selected fields in the chart, as shown in the following example. Any formatting changes you make, such as font style or size, apply to the all the selected fields.

To select any field in the boxes:

· Click the Select Field tool [image] then select fields by clicking within boxes. Fields become highlighted as you select them. Use the <Shift> or <Ctrl> keys to make multiple selections.


Selecting Levels

You can select all the boxes on a level.

To select boxes on a level:

1 Choose Select Levels from the Edit menu to display the Levels to Select dialog box.

2 Select levels by selecting the checkbox to the left of each level or use the Check All button to select all levels.

3 Click OK to select the boxes on the specified levels. In the following example, Level 2 is selected.0


Moving Objects

This section describes the various methods of moving objects.

See…

Moving Boxes by Dragging and Dropping

Moving Free Objects by Dragging and Dropping

Free Dragging Boxes


Moving Boxes by Dragging and Dropping

You can drag selected boxes to new locations in the chart. When you move a box, all its descendant boxes and any associated anchored objects move with it. OrgPlus automatically reformats the chart.

To move chart boxes:

1 Click the box you want to move and drag it over another box.

2 As you drag the pointer over other boxes, the mouse pointer changes to indicate how the selected box will be moved

· A Left arrow-head indicates that the box is to be placed on the left of the box you are over.

· A Right arrow-head indicates that the box is to be placed on the right of the box you are over.

· A Subordinate box (as shown in the example below) indicates that the box is to be placed below the box you are over.

3 When you are satisfied with the position of the box release the mouse button. The box is placed in its new position.

The following example shows the changes to the chart when Lisa de Jong and her subordinate are moved to Tina Nomura's team.

à


Moving Free Objects by Dragging and Dropping

You can drag any free object to a new position in the chart.

To move free floating objects:

1 Click the object you want to move and drag it to its new position. Release the mouse button.

2 The object is moved to the new position.


Free Dragging Boxes

OrgPlus automatically positions chart boxes based on the selected branch style. From time to time, automatic positioning of chart boxes may not meet your charting requirements. The free form tool [image] allows you to arbitrarily position boxes within your chart.

To use the free form tool:

1 Select the Free Form tool [image] .

2 Click and drag any chart box to a new location.

To force a box to be horizontal or vertical constrained, hold down <Shift> while dragging the box.

3 To control a box’s connection to the chart, right-click a box and select an option from the Connect menu item:

See examples of these options in the table below.

Top:

Left:

Bottom:

Right:

4 Optionally, you can flip the connecting lines. Right-click a box and select the Flip Connecting Lines menu item.

Before Flip

After Flip

5 Make sure to click the Select tool [image] to exit free form mode.

Note: To return a box to its original position right-click that box and select Snap to Chart.


Entering Field Information

Once you have created a box, you must enter information into it.

To enter information into box fields:

1 Choose the Select tool [image] .

2 Click a box to select it.

3 Click a field (for example, Name or Title) and then type the information, as required.

à

à

4 Press <Tab> to advance to the next field.

à


Optimizing Files

You can optimize your chart files before sharing with other users.

One easy way to share charts is with OrgPlus Reader. OrgPlus Reader is a free Windows application that enables you to view, search, and print charts generated with OrgPlus Standard, OrgPlus Professional, and OrgPlus Enterprise.

To optimize your chart:

1 Select Save As from the File menu.

2 Navigate to the folder in which you want to save your file.

3 Enter a file name in the File Name field.

4 Click the Settings button to display the Save As Settings dialog box.

5 Select from the following options:

· Embed Referenced Pictures: This option embeds all referenced pictures into the saved file which allows you to share your chart with users that do not have access to your intranet or local computer hard drive.

· Convert Formulas to Values: Converting formulas to values not only enhances performance but ensures that formula results are maintained even if you save only a sub-set of your chart (Save what drop-down list).

· Exclude unused fields: This option reduces field size.

· Remove reference to data source: This option removes any references to the data source used to import the data into your chart.

6 Click Save.


Defining and Displaying Fields

This section describes how to define fields and display them in boxes.

See…

Adding and Deleting Fields

Displaying Fields in Boxes

Inserting Pictures into Boxes

Modifying Box Layout


Adding and Deleting Fields

This section describes how to define and delete fields.

A box can contain any number of fields. A field represents information, such as name title, phone number, and so on.

See…

Adding Fields

Defining Field Properties

Adding Predefined Fields

Deleting Fields

Handling Duplicate Records

Mapped Fields

Adding Fields

This section describes how to add fields.

To add fields:

1 Click the Define Fields tool [image] or select Define Fields from the Data menu. OrgPlus displays the Define Fields dialog box.

2 Click Add to add a field.

3 Enter a name in the new empty field in the Name column.

4 Click the Type column to display and choose from a drop-down list of field types:

· Text

· Date

· Picture

· Number

· Formula

5 If the field type is Text, Number, or Formula, you can also specify a Category. Click the Category column to display and choose from a drop-down list of categories.

· For fields of type Text, select the applicable category, such as Title, Person’s Name, Zip Code, and so on.

· For fields of type Number or Formula, select the applicable category, such as Number, Money, or Percentage.

6 Select Hyperlinked if you want the field to be a hyperlink. For example, an e-mail address or web page.

7 Click the Format button [image] to specify how a field is displayed. Not all field types have formatting options.

8 Click the Formula button [image] to define a formula for a field.

9 Click OK. OrgPlus asks if you want to apply the newly created field(s) to all chart boxes. Click Yes to add. If you click No you can then selectively add fields later.

Defining Field Properties

OrgPlus offers a number of options for formatting fields.

To format Name fields:

1 Click the Define Fields tool [image] or select Define Fields from the Data menu. OrgPlus displays the Define Fields dialog box.

2 Select the name field that you want to format and then click the Format button [image] .

OrgPlus displays the Name Formats dialog box.

3 Choose a format and click OK.

To format Number fields:

1 Click the Define Fields tool [image] or select Define Fields from the Data menu to display the Define Fields dialog box.

2 Select the number field that you want to format and click the Format button [image] . OrgPlus displays a dialog box based on the Category of the field (Number, Percentage, or Money).

3 Define the format from the following options:

· Decimal Separator: Select the character to be used to represent the decimal point.

· Decimal Digits: Specify the number of digits to be shown to the right of the decimal point.

· Thousand: Specify the number of digits that are delimited between each thousands separator.

· Thousand Separator: Specify the character to be used as a thousand’s separator.

· Negative Order: Specify the format of negative numbers.

· Trailing Zero: Specify the number of zeros to the right of the decimal point.

· Custom Format: Select a number of leading zeros from the drop-down list.

· Zero before decimal: Place a zero before a fractional amount (0.01 vs .01).

· Positive Order: Select how to format currency amounts ($1.1 or $1,1 or 1.1 $ or 1.1$). (This option is available only when the Money category is selected.)

· Money Symbol: Select a currency symbol (for example, "$"). (This option is available only when the Money category is selected.)

4 Click OK to save your settings.

To format Date fields:

1 Click the Define Fields tool [image] or select Define Fields from the Data menu. OrgPlus displays the Define Fields dialog box.

2 Select the field that you want to format and click the Format button [image] to display the Date Format dialog box.

3 Choose a format and click OK.

To format E-mail fields:

1 Click the Define Fields tool [image] or select Define Fields from the Data menu. OrgPlus displays the Define Fields dialog box.

2 Select an E-mail field and click the Format button [image] to display the E-mail Format dialog box.

3 Select from the drop-down list to specify the primary e-mail address.

4 Click OK.

Note: You must apply the E-mail category to the e-mail field to use the E-mail Group feature. See Using Groups for E-mail Distribution. You can define more than one e-mail field, and designate a specific e-mail field as the primary one used for E-mail Distribution, E-mail Group, etc.

Adding Predefined Fields

Predefined fields make adding new fields to your chart a one step process. When you add a predefined field, all parameters (Type, Format, Category, and so on) are automatically configured.

To add Predefined fields:

1 Click the Define Fields tool [image] or select Define Fields from the Data menu. OrgPlus displays the Define Fields dialog box.

2 Click Predefined to display the Select Fields dialog box.

3 Choose a field and click Add. Repeat this step to add additional fields.

4 Click Close.

5 Click OK. OrgPlus asks if you want to add the new field(s) to all chart boxes.

6 Click Yes to add, or click No if you want to selectively add fields later.

Deleting Fields

You can delete any field. Deleting a field removes the field from any boxes in which it is displayed.

To delete fields:

1 Click the Define Fields tool [image] or select Define Fields from the Data menu. OrgPlus displays the Define Fields dialog box.

2 Select the field that you want to delete.

3 Click Delete. A warning message asks you to confirm that you want to permanently delete the field. Click Yes to delete or No to cancel the action.

Handling Duplicate Records

Your organizational charts may contain people who report to more than one manager. An employee reporting to more than one manager typically has a dotted line reporting relationship to the secondary manager. The chart below contains an employee who appears in more than one box in an organizational chart:

Note: Any person who appears more than once in your organizational chart has an [image] icon in lower right corner of their box. Click this icon to navigate to the next occurrence of that person.

To identify dotted line reports in your chart

1 Select the Duplicates… button in the Define Fields dialog box to display the Identify Duplicates dialog box.

2 Click the Identify duplicate records checkbox.

3 Use the Key drop-down menu to select the key field for identifying your duplicate records.

4 Select the Automatically Update checkbox if you want the [image] icon in chart boxes when manual edits are made to a chart.

5 Select the Show Alternate Managers checkbox to show information about alternate managers. Alternate manager information can be shown using one of two methods.

▪ As Callout – Displays the duplicates icon [image] in charts. When you click the icon, a callout displays the alternate managers to whom the employee reports.

▪ As part of box – Displays the alternate manager information inside the box.

6 If alternate manager information is shown, you can specify which fields are displayed using the Field 1 and Field 2 drop-down lists.

7 If you are displaying alternate manager information inside the box, use the Format... button to specify the formatting of in-box text.

8 Click OK.

Mapped Fields

This section explains how to create mapped fields.

You can use mapped fields to map field values to pictures. For example:

Value | Maps to | Result
US | \symbols\us_flag.png |
France | \symbols\fr_flag.png |
Germany | \symbols\de_flag.png |

In fact, OrgPlus includes a directory of images that you can include in your charts. The image directory is located in the Symbols folder in your My Charts directory. The My Charts directory is located in your My Documents folder.

To create a mapped field

1 Select the Add Mapped Field… button in the Define Fields dialog box.

2 Name the field and specify its Type and Category.

3 Click the Options [image] button to display the Mapping dialog box.

4 Click the Map Using: drop-down list to select the field you are mapping.

5 Click the Add button to define each mapping pair. For example, you can map US to Flag_USA and CA to Flag_Canada. Use the Delete button to delete mapping pairs.

6 Use the Default checkbox to specify the default mapping. The default mapping is used if a matching value cannot be found.

7 Click OK.

Note: You can import a list of mapping pairs using the Import button.


Displaying Fields in Boxes

You have complete control over which fields are displayed in any box. You can also add static text and picture objects to boxes.

Adding or Removing Fields from Boxes

This section describes how to add or remove fields from boxes.

To add or remove fields:

1 With your chart open, select the box(es) to which you want to add fields.

2 Click the Edit Box Layout tool [image] or select Box Properties from the Format menu. OrgPlus displays the Box Properties dialog box.

3 Click the Layout tab to display the layout of the selected box(es):

4 To add a field, select the field in the left pane and drag it to the right into the Box Layout area. You can place a field anywhere in the box.

· To add a static text box, select the Text Box field and drag it into the Box Layout area. Click the text box and type to set the contents.

· To add a static picture, select the Picture field and drag it into the Box Layout area. Double-click the added picture to select a file (or a reference to a file).

· To remove a field, select a field from the Box Layout area and drag it to the Available Fields area.

· You can reposition a field within the box by selecting a field and dragging it to a new location.

· You can set the format of a field or text box by selecting the field and then clicking the Cell Format… button. Options include font selection, alignment, shadow and borders and shading.

5 Click OK to update the selected boxes.

Note: If you want your box changes to apply to the entire chart, select Entire chart in the Apply to area. If you want your changes to the box to apply to the active sub-chart, select Active sub-chart in the Apply to area. Otherwise your changes are only applied to the Selected box(es).


Inserting Pictures into Boxes

This section explains how to manually insert pictures into a box. You can also insert pictures into boxes automatically using Photo Manager. For more information refer to Working with Charts: Advanced Charting.

A box must contain a Picture field before you can insert a picture into it. For more information refer to Adding and Deleting Fields.

Note: You can also add a static picture to any box or group of boxes. The difference between a static picture and picture field is that the static picture is shared among all boxes with the same layout; a picture field can contain a different picture in each box.

To insert a picture field into a box:

1 Select a box containing a Picture field.

2 Right-click the Picture field and choose Select Picture from the context menu to display the Select Picture dialog box.

3 Choose a picture and click Open to add the picture to the box.

Note: Click the down-arrow on the right of the Open button and select Open as Link to link the picture in your chart. Linked pictures are not included in chart files; only a reference to the picture is included.

4 Format the picture as required..


Modifying Box Layout

OrgPlus enables you to modify the layout of fields in boxes.

See…

Editing Box Layout

Adding Columns

Merging Cells

Adding Labels to Fields

Adding Lines

Adding Hotspots

Adjusting Margins

Editing Box Layout

You can edit the layout of boxes in your chart.

To edit box layout:

1 With your chart open, select a set of boxes.

2 Select Box Properties from the Format menu to display the Box Properties dialog box.

3 Click the Layout tab.

4 Modify the layout of your boxes by following the instructions detailed in following sections:

· Adding Columns

· Merging Cells

· Adding Labels to Fields

· Adding Lines

· Adding Hotspots

· Adjusting Margins

Adding Columns

You can create boxes that contain multiple columns.

To add columns:

1 Select Layout Options… button.

2 Select the number of columns using the Number of Columns selector.

Note: By default columns are automatically sized (Autosize is selected). When using automatic sizing in conjunction with vertical branch styles, you may want to select the Include Peers checkbox.

If you select the Fixed radio button, you can use the Show Column Lines checkbox to enable visual column size adjustment in the Box Layout dialog box.

Note: If boxes are set to a fixed size, you can also determine whether cells truncate longer contents. See Fixed Size Boxes.

3 Click OK. You can now place fields in any cell in the Box Layout area.

Merging Cells

You can merge two cells that are in different columns to achieve certain box layouts.

To merge cells:

1 Select two or more adjoining cells.

2 Select the Cell Format… button.

3 Click the Options tab in the Cell Format dialog box.

4 Select the Merge Cells checkbox.

5 Click OK.

Adding Labels to Fields

You can display a label with any field (Name: Smith, Joy).

To display or hide a label:

1 Choose a field in the Box Layout area.

2 Select the Cell Format… button.

3 Click the Options tab in the Cell Format dialog box.

4 Check or uncheck the Show Label checkbox.

5 Click OK.

Note: In the options dialog, you can also change the character used as the label separator. You can even modify a label name if needed.

Note: You can also use a Text Box to display a field label. A text box can be positioned above, below, left or right or any field. To make a Text Box into a Label:

· Add a Text Box

· Select Cell Format…

· Select the Options tab

· Select the Field Label checkbox

Adding Lines

You can draw horizontal or vertical lines between fields. Two line formats are available. One that extends to the border of the box and one that leaves a gap between the end of the line and the border.

To draw lines between rows or columns in the box:

1 Choose a Line tool ( [image] or [image]).

2 Position the cursor between a row or column (the cursor is represented by the [image] symbol for horizontal lines and by the [image] symbol for vertical lines), and click to place the line in the box

To change the line type:

· Select a line tool and click the line you want to change.

To change the line type or remove a line:

· Click an existing line with the line tool.

Adding Hotspots

You can make any displayed field a hotspot. When you move the mouse cursor over a hotspot, OrgPlus highlights the hotspot field and displays the profile assigned to the box.

You can edit chart information by modifying the profile fields, and you can follow any hyperlink in the profile. For example, if you edit a field in the profile that also appears in the box, OrgPlus changes that field in the box to match your edits. Clicking a hyperlinked e-mail address in the profile launches your e-mail application.

To create or clear a hotspot:

1 Choose a field in the Box Layout area.

2 Click the Hotspots… button.

3 Check the Make Hotspot checkbox in the Hotspot Properties dialog.

4 Select a profile using the Hotspot Profile selector.

5 Specify whether you want the hotspot to apply to the selected field or the entire box.

6 Click OK.

Note: See Profiles for more information on creating profiles.

Adjusting Margins

To adjust margins:

1 Select the Layout Options… button.

2 In the Margins area, adjust the Left, Right, Top, and/or Bottom margins, as required.

3 To enable visual margin adjustment in the Box Layout dialog box, select the Show Margins checkbox.

4 Click OK.


Adding and Deleting Boxes Using the Quick Chart Panel

OrgPlus includes five types of boxes:

Subordinate

Left Co-Worker

Right Co-Worker

Manager

Assistant

To add boxes to your chart, select a box in the chart, then use the buttons at the top of the Quick Chart panel to specify the type of box you are adding.

To delete a box use the [image] button.


Formatting Boxes, Lines, Text, Fields, and Pictures

This section describes how to apply formatting to elements in your chart.

See…

Formatting Boxes

Formatting Lines

Formatting Text

Formatting Fields

Formatting Pictures


Formatting Boxes

You can format any box whether it is a free-floating object or part of a chart.

See…

Resizing Boxes

Defining Box Shape, Color and Lines

Defining Box Shadows

Resizing Boxes

This section describes how to define the minimum requirements for sizing boxes.

To resize a box:

1 With your chart open, select one or more boxes.

2 Click any one of the eight resizing handles on a selected box and drag to the resize the boxes.

Note: When you enable automatic width resizing, you cannot resize a box smaller than the fields contained within it. See Fixed Size Boxes for more information on controlling box size.

To manually resize a box:

1 With your chart open, select one or more boxes. You can drag the control points on the selected box to resize or enter a specific size in inches (as detailed in the following steps).

2 Select Box Properties from the Format menu. The Box Properties dialog box is displayed.

3 Click the Box Sizing tab.

4 Clear Auto Width then enter the default width and/or height.

5 Click OK to save your changes and close the dialog box.

Fixed Size Boxes

If the length of any field within a box exceeds the Default Width, the box is automatically resized to accommodate the longest field. You can control box sizing by enabling word wrap or by forcing the box to a fixed width. If you force a box to a fixed width, longer fields within the box will be truncated. When using word wrap, you can set a limit on the number of lines the text can wrap to.

To enable word wrap:

1 With your chart open, select one or more boxes.

Note: You can also enable word wrap for a single field within any box.

2 Select Font… from the Format menu to display the Font Properties dialog box.

3 Select the Alignment tab.

4 Select the Word Wrap checkbox.

5 Use the Limit drop-down list to specify the maximum number of lines that can be used when wrapping text.

6 Click OK.

To set a box to a fixed width:

1 With your chart open, select one or more boxes.

2 Select Box Properties from the Format menu.

3 Select the Box Sizing tab.

4 Make sure the Auto Size checkbox is unchecked. Select the Fixed Width checkbox.

5 Click OK.

Note: You can specify whether a field is truncated using ellipses by selecting the Truncate text for fixed size boxes checkbox in the Options tab in the Cell Format… dialog (Box Layout tab in Box Properties dialog).

Defining Box Shape, Color and Lines

This section explains how to define the box shape, background color, line style and color, and shadow style of boxes or free floating objects

To format colors and lines:

1 With your chart open, select one or more boxes.

Note: Right-click any box and choose Select Boxes with Similar Formatting from the context menu to quickly select all boxes on the page that have the same format.

2 Select Box Properties from the Format menu to display the Box Properties dialog box.

3 Click the Color and Lines tab.

4 Define any of the following:

· Fill area:

§ Box shape: Select a box shape.

§ Color: Select a background color.

· Border area:

§ Color: Select the border line color.

§ Dashed: Select the line type.

§ Border Style: Select the border style.

5 Click OK to update the selected boxes.

Defining Box Shadows

You can define the shadow style of boxes or free-floating objects.

To format the shadow style:

1 With your chart open, select one or more boxes.

2 Select Box Properties on from Format menu to display the Box Properties dialog box.

3 Click the Shadow tab.

· Define the following:

§ Shadow Style: Select the shadow style.

§ Direction: Select a shadow direction (enabled only when a shadow is selected).

§ Shadow Color: Select a shadow color (enabled only when a shadow is selected).

§ Highlight Color: Select the shadow highlight color (enabled only for certain shadow styles).

§ Horizontal Offset and Vertical Offset: Select the horizontal and vertical depth of the shadow.

4 Click OK to update the selected boxes.


Formatting Lines

You can format any line whether it is an auxiliary line, a free-floating object, or a connecting line between boxes in a chart.

An auxiliary line is a line that you can draw between any two boxes in your chart to indicate a reporting relationship between them.

To format connecting lines:

1 With your chart open, select one or more lines.

2 Select Line Properties from the Format menu to display the Line Properties dialog box.

3 Click the Color and Lines tab.

· Define the following:

▪ Line area:

▪ Color: Select the line color.

▪ Dashed: Select the line type.

▪ Line Weight: Select the line thickness.

Note: You can also specify a custom line thickness using the [image] button in the Line Weight drop-down list.

▪ Arrows area:

▪ Style: Select an arrow style.

4 Click the Shadow tab.

· Define the following:

▪ Shadow Style: Select a shadow style.

▪ Direction: Select a shadow direction (enabled only when a shadow is selected).

▪ Shadow Color: Select a shadow color (enabled only when a shadow is selected).

▪ Highlight Color: Select the shadow highlight color (enabled only for certain shadow styles).

▪ Horizontal Offset and Vertical Offset: Select the horizontal and vertical depth of the shadow.

5 Click OK to update the selected boxes.


Formatting Text

You can format any text in your chart whether it is a field in a box or a free-floating text object.

To format text:

1 Select any text or any box containing text.

2 Select Font from the Format menu to display the Font Properties dialog box.

3 Make sure the Font tab is selected.

4 Define the font, font style, and size of the text. You can also select the Font Color and opt to Underline or Strike-Out the text.

5 Under Apply to: select a radio button to specify how to apply your formatting.

Note: You can make your formatting choices apply automatically to all new instances of the applicable fields by selecting the Default for new objects checkbox.

Note: You can click the Apply button at any time to apply you changes to the chart. The dialog will remain open.

6 Select the Shadow tab.

· Define the following:

▪ Shadow Style: Select a shadow style.

▪ Direction: Select a shadow direction (enabled only when a shadow is selected).

▪ Shadow Color: Select a shadow color (enabled only when a shadow is selected).

▪ Highlight Color: Select the shadow highlight color (enabled only for certain shadow styles).

7 Horizontal Offset and Vertical Offset: Select the horizontal and vertical depth of the shadow.

8 Select the Alignment tab.

9 Define the Horizontal and Vertical Alignment.

10 Select the Word Wrap checkbox if you want to wrap the text within a box rather than extend the box to accommodate the text. You can limit the number of lines text will wrap by using the Limit: drop-down.

11 Click OK when finished.


Formatting Fields

The Format Fields dialog gives you a quick way to format any set of fields displayed within your chart.

To format fields:

1 With your chart open, select Format Fields from the Format menu to display the Format Fields dialog box.

2 Select fields by clicking on the associated checkboxes.

Note: You can use the Check All and Clear All buttons to check or clear all fields.

3 Specify your formatting options using the Font, Shadow, and Alignment tabs. Refer to Formatting Text

4 Under Apply to: select a radio button to specify how to apply your formatting.

5 Click the Apply button. You can immediately see your formatting applied in the chart.

Note: You can click the Apply button at any time to apply your changes to the chart. The dialog will remain open.

6 Click OK.


Formatting Pictures

You can format a picture whether it is a free-floating object or a field in a box.

Note: This topic explains formatting pictures in boxes. For information about formatting free-floating objects, see Adding Free Floating Objects.

To resize a picture:

1 With your chart open, select a picture.

2 Click any one of the eight resizing handles on the selected picture and drag to resize it.

To modify picture properties:

1 Select any box (containing a picture). Select a picture within that box.

2 Right-click on the picture and select the Picture Properties… menu item to display the Picture Properties dialog box. Make sure the Picture tab is selected.

3 Select Frame/Scale options:

By default, the Lock aspect ratio checkbox is turned on and the Autoframe radio button is selected.

The Lock aspect ratio checkbox maintains the relationship between width and height to the picture is resized.

The Autoframe, Autoscale and Manual radio buttons determine the relationship between a picture and the frame that it is contained within. Autoframe forces the frame to the same size as the picture. Autoscale allows you to create a frame that is larger than the picture; however, the picture scales as the frame scales. Manual enables you to independently set the size of the frame and the picture.

4 Specify Horizontal and Vertical Alignment of the picture in the picture field:

Horizontal Alignment: Select the Left, Center, or Right radio button to specify the horizontal alignment.

Vertical Alignment: Select the Top, Center, or Bottom radio button to specify the vertical alignment.

5 To select another image use the Modify… button.

6 Click OK.


Formatting Charts

OrgPlus enables you to apply background, border or shadow formatting to a chart. OrgPlus also enables you to set the orientation of a chart.

To apply formatting to charts:

1 With your chart open, select Chart Properties | Color and Lines from the Format menu. The Chart Properties dialog box is displayed.

· Define Background properties, as required:

▪ Color: Use the drop-down control to set the background to a specific color, gradient, texture, or picture.

· Define Border properties as required:

▪ Border Style: Select the border style.

▪ Dashed: Select the line type.

▪ Color: Select the line color.

· Use the Apply to radio buttons to apply your specifications to either the Entire chart or to the Active sub-chart only.

2 Click Shadow tab. The Chart Properties dialog box Shadow tab is displayed.

· Define the following, as required:

▪ Shadow Style: Select a shadow style.

▪ Direction: Select a shadow direction (enabled only when a shadow is selected).

▪ Shadow Color: Select a shadow color (enabled only when a shadow is selected).

▪ Highlight Color: Select the shadow highlight color (enabled only for certain shadow styles).

▪ Horizontal Offset and Vertical Offset: Select the horizontal and vertical depth of the shadow.

▪ Use the Apply to radio buttons to apply your specifications to either the Entire chart or to the Active sub-chart only.

3 Click the Orientation tab to display the Chart Properties dialog box Orientation tab.

· Define the following, as required:

▪ Orientation: Select how you want the chart to be drawn. The orientation options are left to right, right to left, top to bottom, or bottom to top.

▪ Subordinate Alignment: Select how subordinates boxes are to be aligned with respect to their manager.

Note: You can set only one orientation per chart. The orientation you define applies to all sub-charts contained within a chart.

4 Click the Sub-chart Arrows tab.

5 Specify your preferred style for Sub-chart Arrows from the styles shown.

6 Specify a Fill Color and a Border Color for your Sub-chart Arrows:

· By default, the fill and border color of your arrows correspond the to associated box. To specify different colors, uncheck the Use Box Colors checkbox and specify a Fill Color and Border Color for all sub-chart arrows.

7 Optionally, you can add labels to sub-charts arrows. Labeling sub-chart arrows enhances navigation within the chart and improves the usability of your printed and published charts. Select the Show Label checkbox and then select the label type and label position. Click the Font… button to modify font properties for the label if needed.

8 Click OK to apply the changes and close the dialog box.

Note: You can select only one sub-chart arrow style per chart. The sub-chart arrow style you select applies to all sub-charts contained within a chart.


Applying Chart Styles

This section describes how to change chart branch styles.

Changing Chart Styles

You can change the layout of any group of boxes within your chart by selecting from one of the chart styles. There are four types of chart styles:

· Chart Styles: Arranges peer boxes relative to their immediate manager.

· Assistant Styles: Arranges assistant boxes relative to their immediate manager.

· Co-Manager Styles: Groups a set of boxes as co-managers.

· Advanced Styles: If required, you can use advanced styles to arrange peer boxes in multi-column styles relative to their immediate manager.

Note: You can also define Chart Rules that enable you to change branch styles within a chart based on a condition. For example, if an employee’s title includes the word assistant, you can create a rule that changes the branch style to an assistant style. See Chart Rules for more information.

The following procedure describes how to change chart styles.

Note: OrgPlus Express has a limited set of chart styles.

To change chart styles:

1 Select the boxes for which you want to change the style.

2 Select Chart Styles from the Format menu to display the Chart Style options.

3 Choose a chart style from the displayed chart style options.

The following example shows the effect of applying the [image] assistant chart style to the assistants of Chris Phillips.

à

To use advanced chart styles:

1 Select the boxes for which you want to change the style.

2 Select Chart Styles from the Format menu. The Chart Style options are displayed (as in step 2 of previous procedure).

3 Select Advanced Chart Styles [image] to display the Advanced Chart Styles dialog box.

  • Define the following, as required:

  • Advanced Style: Select multi-column tree [image] or multi-column pair [image].

  • Alignment: Select how peer boxes are to be aligned.

  • Maximum number of boxes per row: Select the maximum number of boxes that can be located on any row within a style group.

  • Maintain banding: Selecting this option ensures that each box stays on its current row when other boxes are added or deleted. This is useful if rows are used to represent seniority. For example, the first row might contain permanent employees while the second row contains temporary employees.

Note: Right-click a box within a multi-column style and select the Action menu to promote or demote a box if the Maintain Banding option is selected.

4 Click OK to apply the changes and close the dialog box.


Quick Chart Panel

The Quick Chart panel provides an easy way to get started with OrgPlus. It is the fastest way to create basic organizational charts. The Quick Chart panel is intended for first time users and contains only a small sub-set of the features available in the OrgPlus application.

See…

Adding and Deleting Boxes Using the Quick Chart Panel

Moving Boxes Using the Quick Chart Panel

Editing Box Content Using the Quick Chart Panel

Formatting Boxes Using the Quick Chart Panel

Adding Fields Using the Quick Chart Panel

Box Layout Using the Quick Chart Panel

Applying Templates Using the Quick Chart Panel

Changing Branch Styles Using the Quick Chart Panel


Moving Boxes Using the Quick Chart Panel

To move boxes within your chart, select a box and then use the move buttons in the Quick Chart panel to reposition the selected box as desired.


Editing Box Content Using the Quick Chart Panel

To edit the content of a box, select a box and then select [image] Edit Box Contents button. You can now type information into the first field. Use the <Tab> key to advance to the next field.


Formatting Boxes Using the Quick Chart Panel

To format a box within your chart, select a box and then use the [image] Edit Box Format button in the Quick Chart panel to format the selected box as desired.

The Format Box button displays the Box Properties dialog. Use the options in the Color & Lines tab to select different box shapes, fill colors and border options (style, dash, and color).


Adding Fields Using the Quick Chart Panel

You can add additional fields to your charts at any time.

To add a field:

1 Select the [image] Edit Box Fields button in the Quick Chart Panel. (define fields icon)

2 Click Add to add a new field.

3 Type a field name (such as Org Unit).

4 Click OK. You will be prompted to add the new field to all boxes.

5 Click Yes to add the field to all boxes or click No to add the field without displaying it in your chart.


Box Layout Using the Quick Chart Panel

To specify which fields are shown in a box, select the [image] Edit Box Layout button in the Quick Chart panel. OrgPlus displays the Layout panel in the Box Properties dialog box. The layout panel is where you specify which fields are displayed in any given box.

To display a field in a box:

1 Drag a field (for example Org Unit) into the box until you see the [image] symbol, then release the mouse button.

See Adding Fields Using the Quick Chart Panel.

à

If you want to remove a field from a box, drag the field out of the box (shown in the Layout tab) and back into the field list.

Note: You can apply the layout changes to all boxes in the chart by selecting the Entire chart radio button.

2 Click OK. Notice that the field is added to the selected boxes. You can now define the value of this field for each box in your chart (see Editing Box Content Using the Quick Chart Panel).

Note: You can select more than one box at a time using shift-click.


Applying Templates Using the Quick Chart Panel

Templates provide a quick way to format your chart. You can apply box, branch, and design templates to your chart using the templates panel.


Changing Branch Styles Using the Quick Chart Panel

You may want to change the branch style for aesthetic or space reasons. OrgPlus offers a large variety of branch styles, which can be applied to any branch in your chart or the entire chart.

To change the branch style:

1 Choose the Select tool [image] .

2 Select all the subordinates for a manager (Lynn Brewer in the example below) by double-clicking one of the subordinate boxes.

3 Click the Styles button [image] at the bottom of the window.

4 Select any style ( for example [image] ).

The boxes under the manager are reformatted as shown below:


Using Cut/Copy/Paste

This section describes how you can use the cut, copy, and paste within OrgPlus.

See…

Moving Boxes and Free Floating Objects by Cutting and Pasting

Copying Contents and Format


Moving Boxes and Free Floating Objects by Cutting and Pasting

You can cut and paste one or more boxes from one location to another in a chart. You can also use this technique to move boxes from one chart to another.

To move boxes by cutting (or copying) and pasting:

1 With your chart open, select the boxes you want to move.

To select multiple objects, press <Shift> and click each object, or drag an outline around them if they are next to each other in the chart.

2 Select Cut or Copy from the Edit menu.

3 Select the box to which you want the boxes attached and select Paste from the Edit menu. The selected box(es) are moved.

To move free objects by cutting (or copying) and pasting:

1 With your chart open, choose the free floating objects you want to move.

To select multiple objects, press <Shift> and click each object, or drag an outline around them if they are next to each other in the chart.

2 Select Cut or Copy from the Edit menu.

3 Select Paste from the Edit menu. The selected object(s) are moved.


Copying Contents and Format

You can copy only the contents of a box or only the formatting for a box.

To copy box contents:

1 With your chart open, choose the box you want to copy.

2 Select Copy Contents from the Edit menu. The content of the selected box is copied.

3 Choose the target boxes and select Paste from the Edit menu. The content of the selected box is pasted into the target box.

To copy box format:

1 With your chart open, choose the box you want to copy.

2 Select Copy Format from the Edit menu. The format of the selected box is copied.

3 Choose the target boxes and click Paste from the Edit menu. The target boxes are reformatted.


Printing

This section describes how print charts.

See…

Defining Page Setup

Using Print Preview

Printing Charts


Defining Page Setup

This section describes how to define the page settings for your chart.

To define page setup:

1 Select Page Setup from the File menu to display the Page Setup dialog box.

2 In the Page tab, define the following:

· Orientation: Select Portrait or Landscape.

· Scaling: Defines the number pages your chart should be allowed to span. Select from the following options:

▪ Adjust to: Specify the percentage of actual size in which the chart should be printed.

Or

▪ Fit to: Specify the number of pages over which the chart should span.

▪ Uniform Scaling for all sub-charts: Apply the same scaling to all sub‑charts. Uniform scaling ensures that every chart box has the same scaling in the printed output.

▪ Uniform Scaling for all master page elements: Apply the same scaling to the master page based the percentage you specify in the Scale to: drop-down. Uniform scaling ensures that every master page elements has the same scaling on each printed page. This is an important option when sub-charts or chart tabs within a project are printed using multiple print jobs.

▪ Include an Overlap Between Chart Pages: Enables the printed pages of charts that span multiple pages to overlap in order to facilitate binding to a final document.

▪ Print comments as displayed on charts: If the chart contains comments, this option will print the comments as they are displayed on the chart.

· Paper Size: Define the paper size.

· Page Order: Select the order in which the pages of the chart are printed:

▪ Down, then Over [image] : Prints the left-most segments first, from top down.

▪ Over, then Down [image] : Prints the top-most segments first, from left to right.

· Apply to: Specify whether these settings apply to the Entire Project or only the Current Chart.

3 Select the Margins tab.

4 Define the margin settings as follows:

▪ Margins: Enter the minimum values for the Top, Left, Right and Bottom margins. You can also set margins by dragging margin lines in the Page Setup dialog box.

Or

▪ Use the Minimum Margins for this Printer: Select this option to use the minimum margin settings for your printer.

▪ Center Chart on Page: Select how to center the chart content on each page. Select Horizontally or Vertically or both.

▪ Apply to: Specify whether these settings apply to the Entire Project or only the Current Chart.

5 Click OK to save your settings and close the dialog box.

Note: The Options… button allows you to modify printer specific settings.


Using Print Preview

You can preview how your chart will look when it is printed.

To Print Preview:

· Select Print Preview from the File menu. The Preview dialog box, which includes standard Print Preview functionality, is displayed.


Printing Charts

OrgPlus enables you to print out your charts.

To print your charts:

1 Select Print from the File menu. The Print dialog box is displayed.

2 Choose the printer.

3 Define the printing options, such as, Print Range and Number of Copies.

4 In the Print what section, select from the following options:

· Entire Project: Prints all the charts in the project.

· Current Chart: Prints the current chart.

· Active Sub-chart: Prints the currently active sub-chart.

· Selection: Prints the chart segment that includes the selected boxes.

5 Click Print all linked documents if you want to print documents linked to OLE objects in your chart.

If you click Print All Linked Documents OrgPlus checks your chart for OLE objects that are linked to documents. If OrgPlus finds any documents, it prompts you to select which of documents you want printed.

6 Click Include navigation arrows if you want to include the arrows indicating sub charts in your printed chart.

The Include navigation arrows checkbox appears only if your chart contains sub charts.

7 Click OK to start printing.


Working with Charts: Navigation and Visualization

In this book…

Viewing Charts

Hiding Boxes and Lines

Basic Visualization Techniques

Working with Groups


Viewing Charts

This section describes how you can view and navigate charts.

See…

Zooming and Panning

Using the Thumbnail Window

Showing Selected Branches

Using Full Screen Mode


Zooming and Panning

The following Zoom and Pan tools are available in OrgPlus:

· Zoom In [image] and Zoom Out [image] enable you to increase or decrease the magnification of your chart. If you have a wheel on your mouse you can also zoom in and out using the mouse wheel.

· Zoom Wheel [image] makes your mouse wheel a zoom tool. Rolling the wheel forward zooms in, rolling backward zooms out.

· Zoom Rect [image] tool allows you to click and drag to define a rectangle. When you release the mouse button the selected area is magnified.

· The Pan tool [image] enables you to pan the chart within its window by clicking and dragging the mouse as required.

· Fit to Window [image] scales the chart so that its entire content is visible in a single window.

· The Scale drop-down list [image] allows you to choose from a list of zoom factors.

The following menu items can be accessed by selecting Zoom from the View menu.

· Fit to Width: Scales the chart so that the width of chart fits in the window.

· Fit to Window: Scales the chart so that its entire content is visible in the window.

· Actual Size: Scales the chart so that the boxes appear at the size in which they will print.

· Zoom To: Displays the Zoom dialog box. Select the zoom options and click OK.


Using the Thumbnail Window

The thumbnail view is useful for navigating large charts.

To open the thumbnail window:

1 Click the Thumbnail button [image] to display a thumbnail window.

2 The red rectangle corresponds to the portion of the chart that is displayed in the main window. As you drag the red rectangle in the thumbnail, the displayed chart is updated accordingly.

Note: The red rectangle in the thumbnail window changes as zoom and pan tools are used.

3 Click the [image] button in the thumbnail window to close.


Showing Selected Branches

You can temporarily hide all boxes in a chart that are not contained in a selected branch using this feature.

To show a selected branch:

· Click the Show Branch button [image] . A chart containing only the selected branch is displayed.

à

· Click the Show Branch button [image] again to show the entire chart.


Using Full Screen Mode

You can enlarge the work area to fill the entire monitor area, similar to the Full Screen mode in a PowerPoint slide show.

To use full screen mode:

· Click the Full Screen [image] toolbar button to enter/exit Full Screen mode.

Note: Press <Esc> to exit Full Screen mode.


Hiding Boxes and Lines

Hidden boxes remain part of a chart but are not visible. When boxes are hidden, connecting lines are adjusted accordingly.

à

See…

Hiding Boxes and Lines

Showing Boxes and Lines


Hiding Boxes and Lines

Only chart boxes and lines can be hidden.

To hide boxes or lines:

1 Select the boxes or lines you want to hide.

2 Select Hide from the Format menu. The selected boxes or lines are hidden. 0


Showing Boxes and Lines

You can show hidden boxes and lines, making them visible again. This option is enabled only when the selected objects are already hidden.

To show hidden boxes and lines:

1 Select the hidden boxes or lines you want to unhide.

2 Select Show from the Format menu. The selected boxes or lines are shown.

Note: Select the menu item Hidden Boxes or Hidden Lines from the Show menu to temporarily show hidden boxes and lines. 0


Basic Visualization Techniques

This section describes techniques you can use to determine the visual appearance of your charts and some navigational features you can use.

See…

Showing Hidden Objects

Showing Levels

Finding by Photo


Showing Hidden Objects

When creating a chart you may need to reveal various elements that are not to be included in the final output.

See…

Showing Hidden Boxes, Lines, Fields, and Comments

Showing or Hiding Symbols

Showing Page Lines

Showing Hidden Boxes, Lines, Fields, and Comments

You can show hidden boxes and lines as necessary. You can also temporarily display all defined fields in a box.

To temporarily show or hide boxes: Select Show | Hidden Boxes from the View menu.

To temporarily show or hide lines: Select Show | Hidden Lines from the View menu.

To temporarily show or hide hidden fields: Select Show | Hidden Fields from the View menu.

To show comments: select Show | Comments from the View menu.

Showing or Hiding Symbols

A box may contain one or more symbols. Symbols include elements such as sub‑chart arrows and expand/collapse branch.

To show or hide symbols: Select Show | Symbols from the View menu.

Showing Page Lines

Pages lines demarcate header and footer areas, print margins, and page breaks.

To show or hide page lines: Select Show | Page Lines from the View menu.


Showing Levels

A chart consists of one or more levels. You can limit the number of levels displayed at any given time.

To specify the number of levels to display: Select Show Levels from the View menu and select the number of levels to display.


Finding by Photo

This feature enables you to find boxes in your chart by selecting photos. The Find by Photo dialog box displays the first picture field in each box in your chart.

To locate a chart box using Find by Photo:

1 Select Find by Photo from the Edit menu. The Find By Photo dialog box is displayed.

2 In the Search Where section, select the scope of the search:

Entire Chart: Lists all the pictures in the chart.

Active Sub-chart: Lists only pictures in the current sub-chart.

Selection: Lists only the pictures in the current selection.

3 Selecting any photo scrolls the box containing that picture into view.

4 Click Close to close the Find By Photo dialog box. 0

Note: Like all panels in OrgPlus, you may dock the Find by Photo dialog box to any side of the OrgPlus window.


Working with Groups

The Groups feature enables you to define a sub-set of a chart that meets a set of user-defined criteria. All boxes that do not belong to this sub-set (or group) are then shaded when this group is selected.

See…

Creating New Groups

Applying Groups

Editing, Copying, Deleting, or Ordering Groups

Using Groups for E-mail Distribution


Creating New Groups

This section describes how to create new groups.

To create new groups:

1 Select Groups | Manage Groups from the Chart menu, or click the Manage Groups button [image] . The Manage Group s dialog box is displayed.

2 Click Add to display the Manage Group Properties dialog box.

3 Enter the group name in the Group Name field.

4 Enter the group selection criteria. You can use a formula to define a group using the Field Name, Comparison, and Contents fields. For complex formulas use the And/Or operators to expand or contract your criteria. See Using Formulas for more information.

Note: Use the Constants… button to include any defined constants in your selection criteria. See Using Constants for more information.

5 Click the Group Display Options tab.

Define the display options as follows:

Boxes:

▪ Gray boxes not in group: Grays boxes that do not belong to the group.

▪ Hide boxes not in group (preserve hierarchy): Hides boxes that do not belong to the group unless the box is required to maintain the hierarchy of the chart.

Content:

▪ Hide content if not in group: Hides the content of boxes that do not belong to the group.

▪ Gray content if not in group: Grays the content of boxes that do not belong to the group.

6 Click OK to create the group.

7 Click Close. The Manage Groups dialog box is closed.0


Applying Groups

You can apply a group to the displayed chart.

To apply a group:

· Select Groups | <Required Group> from the Chart menu, or select the group from the Groups drop-down list on the toolbar. The boxes in the chart are redrawn to indicate which boxes belong to the current group.

Note: If you do not want to apply a group, select Groups | All Boxes from the Chart menu.


Editing, Copying, Deleting, and Ordering Groups

You may want to edit, delete, or reorder groups.

To edit group settings:

1 Select Groups | Manage Groups from the Chart menu, or click the Manage Groups button [image] . The Manage Groups dialog box is displayed listing all defined groups.

2 Select the group you want to edit and click Edit.

3 Click Close when finished. 0

To copy a group:

1 Select Groups | Manage Groups from the Chart menu, or click the Manage Groups button [image] . The Manage Groups dialog box is displayed listing all defined groups.

2 Select the group you want to copy and click Copy.

Note: OrgPlus adds your new group to the group list. The default name of your new group is the same as the original you copied, but with an incremental number appended to it. For example, if you copy a report named MyGroup, the default name of your copy is Copy of Mygroup. You can rename groups in the Manage Groups dialog box.

3 Click Close when finished. 0

To delete groups:

1 From the Manage Groups dialog box, select the required group to be deleted and click Delete. A confirmation dialog box is displayed.

2 Click OK to delete the group.

3 Click Close when finished. 0

To change the ordering of groups:

1 From the Manage Groups dialog box, select a group and click:

Move Up to move the group up one position in the list.

Or

Move Down to move the group down one position in the list.

2 Click Close when finished. 0


Using Groups for E-mail Distribution

You can create an e-mail distribution list based on any defined group. For example, you can send an e-mail to:

· All engineers in the San Francisco office

· All full-time employees that participate in the retirement plan

Creating a Distribution List Based on a Group

You can create e-mail distribution lists composed of group members.

Specifying the e-mail address field:

In order to use this feature, your chart must include an e-mail field.

Note: See Defining and Displaying Field for detailed information on defining the e-mail address field.

To create a distribution list for a group:

1 With your chart displayed, select Groups | E-mail Groups from the Chart Menu or click the E-mail Groups icon [image] on the Toolbar to display the E-mail Group dialog box.

2 Under Send Using, select an outgoing e-mail option:

· E-mail Client – Select this option to use your default e-mail client.

· SMTP – Select this option to use Simple Mail Transfer Protocol. Your e-mail will be sent according to the SMTP settings defined for OrgPlus.

Note: You can configure SMTP settings by selecting the Options menu item from the Tools menu. See Using the Options Panel.

3 All the members of the current group are automatically included. You can add or remove recipients using the To, CC, and BCC buttons. You can also manually enter e-mail addresses. Multiple e-mail addresses should be must separated by semi-colons.

4 Optionally you can attach a copy of the current chart by selecting the Attach Chart checkbox. Use the Setting… button to make sure the chart is optimized properly. See Working with Charts: Basic Charting for additional details.

5 Enter the Subject and Body text of the e-mail.

6 Click OK to send.


Working with Charts: Utilities

This book describes some of the useful utility functions that are included in OrgPlus.

In this book…

Using Grids and Rulers

Working with the Photo Manager

Comparing Charts

Sorting Boxes

Using Find and Replace

Spell Check

Inserting Comments

Setting OrgPlus Options


Using Grids and Rulers

Grids and rulers provide a visual aid for the placement of objects on the OrgPlus page. The lines of the grid crisscross the work surface like those on traditional graph paper. When you place a free-floating object on the page, it snaps into place according to its position on the grid.

The rulers along the left and top edges measure the page in inches.

Note: Rulers are especially useful for outputting charts to large format printers and plotters. Use the Page Setup… menu from the File menu to set the paper size. Select the Adjust to: radio button and set scaling to 100% to get WYSIWYG output.

Displaying the Grids and Rulers

To display the grid, select Grid from the View menu. To display the rulers, select Ruler from the View menu.

Note: Grids and rulers do not appear in printed charts.


Working with the Photo Manager

This section describes how to place pictures in box fields using the Photo Manager. Pictures added using Photo Manager can be synchronized with the original data source.

Inserting Pictures Using Photo Manager

The Photo Manager can import pictures into chart boxes. The Pictures fields in each box can be automatically populated from an external source. This is useful if you maintain a set of pictures with a logical naming convention. These pictures may be stored on a local or network drive, HTTP or FTP server.

Photo Manager identifies photos according to a flexible naming convention. The same naming convention must be used for identifying all pictures.

To import/refresh photos to your chart:

1 With your chart open, select Photo Manager from the Data menu. If the chart has no Pictures fields defined, the following Photo Manager message is displayed.

2 Select Add Field to all the boxes in your chart if you want new Pictures fields to be added to all the boxes in your chart and click Yes to continue. If you click No the action is cancelled.

The Photo Manager dialog box is displayed.

3 Define your settings as follows:

· Choose photo column: Select a destination field. Only fields of type Photo are listed.

· Target location: Select the source location of the photo files (Disk/Network, FTP or HTTP). Enter the path or use the browse button to specify a location.

Note: You can specify whether to embed or link picture files to your chart. Linked files result in a smaller file size; however, if you share your OrgPlus file with other users they may not have access to the linked picture files.

· Photo Generator: Specify the naming convention used to name the source pictures files:

· Pictures Field: Select a field to be used to generate the source picture file names. For example, source files can be named according to the contents of the Name field or the Title field.

· Name template: Select how the picture file name should be constructed. For example: if a field has the name Adam Smith, selecting:

· Last.bmp generates Smith.bmp.

· First.bmp generates Adam.bmp.

· FLast.bmp generates ASmith.bmp.

· FirstL.bmp generates AdamS.bmp.

· FirstLast.bmp generates AdamSmith.bmp

· File type: Select the file type from the drop-down list.

· Import photos up to level: Select the number levels for the photo manager to import.

4 Click Generate to match boxes in the chart with picture files from the source. The results of this action are shown in the table at the bottom of the dialog box.

The [image] symbol indicates that a match was found. The [image] symbol indicates a missing photo.

Note: You can view a preview of the picture that corresponds to a row by selecting that row in the table.

5 Click the Photo Size tab if you want to change the default scale, size and alignment before importing each picture.

Note: Importing large photos into your chart can affect performance. We recommend that you create smaller versions of photos before importing.

6 Click OK to import the photos into your chart. 0


Comparing Charts

OrgPlus allows you to compare two charts. After comparison a report containing the differences between the two charts is generated.

Comparing the following charts:

Would result in the following delta report:

To compare two charts:

1 Select Compare Charts… from the Chart menu to display the Compare Charts dialog box.

2 Use the Browse… button in the Compare (Project) area to select any OrgPlus file or select the Use Current Project checkbox to select the displayed chart. If the selected project contains multiple tabs, use the Chart Tab drop-down list to select a chart.

3 Use the Browse… button in the To (Project) area to select any OrgPlus file or select the Use Current Project checkbox to select the displayed chart. If the selected project contains multiple tabs, use the Chart Tab drop-down list to select a chart.

4 Use the Unique Field drop down list to select the field (in each chart) that will be used to match boxes between the two charts (i.e. email address or employee ID).

5 Define the information to Include in the delta report:

· Headers: Output field names in the first row of the report.

· File Info: Output path and file name information in the report.

· Previous Values: Include columns showing the previous value of a field in the delta report.

· Select Fields: Select which fields to include in the delta report.

Note: By default, the delta report is automatically displayed after the comparison is complete. Clear the View delta reports checkbox if you do not wish to display the report after comparison.

6 Click OK in the Compare Charts dialog box to display the Windows Save As dialog box.

7 Specify a file name file type for your comparison report.

8 Click Save.


Sorting Boxes

Subordinate boxes that report to the same manager can be sorted.

To sort boxes in your chart:

1 Select the boxes to sort. If you do not select any boxes, all boxes within the current sub-chart are sorted.

2 Select Sort from the Data menu.

The Sort dialog box is displayed.

3 Define the sort parameters:

· Sort by: Select the field name by which to sort and then select Ascending or Descending.

· Then by: If required, select a second level of sorting and then select Ascending or Descending.

· Then by: If required, select a third level of sorting and then select Ascending or Descending.

4 In the Sort what section, select from:

· Entire Chart: Sorts all the chart boxes.

· Active sub-chart: Sorts only the boxes in the currently displayed sub-chart.

· Selection: Sorts only the selected boxes.

5 Select OK to perform the sort. 0


Using Find and Replace

You can perform simple or advanced searches using the Find command. The Replace command enables you to replace some or all occurrences of a specified string with another string.

Note: You can view a tabular list of all records that match a simple or complex set of criteria using the Search panel. See Searching Charts for more information.

See…

Using Find

Using Advanced Find

Using Find and Replace

Using Advanced Find and Replace


Using Find

You can search for occurrences of a specific string.

To perform a simple find:

1 Select Find from the Edit menu. The Find and Replace dialog box is displayed.

2 Enter the search string in the Find What field.

3 Select the search mode:

Select All Matching Boxes: Selects all boxes that contain the search string.

Go to First Matching Box: Selects the first box that contains the search string.

4 Depending on the selected search mode, click Find Next or Find All. You can continue to click Find Next until you reach the bottom of the chart or you find the desired occurrence of a string.0

Note: Press <Enter> to search for the next occurrence. Press <Shift>+<Ctrl>+<G> to search backwards.


Using Advanced Find

You can search for every occurrence of strings based on a set of conditions.

To perform an advanced find:

1 Select Find from the Edit menu. The Find and Replace dialog box is displayed.

2 Select the Advanced Find button.

3 Define the first search criteria expression by selecting from the Field Name and Comparison drop-down lists. Then enter the search string in the Contents field.

4 Define any additional search criteria in the second and subsequent lines by selecting the And/OR search condition for each line.

5 Select Match Case to find only words that are capitalized the same way as the text in the Contents field.

6 Select Whole Word Only to find only complete words that match the Contents field entries.

7 In the Search where area, select from the following options:

Entire Chart: Searches the entire chart.

Active sub-chart: Confines the search to the currently displayed sub-chart.

Selection: Confines the search to the selected boxes.

8 Select the search mode:

Select All Matching Boxes: Select all the boxes that contain the search string.

Go to First Matching Box: Selects the first box that contains the search string.

9 Depending on the selected search mode, click Find Next or Find All. You can continue to click Find Next until you reach the bottom of the chart or you find the desired box.0


Using Find and Replace

You can replace any text string with another text string.

To replace text in chart boxes:

1 Select Replace from the Edit menu. The Find and Replace dialog box is displayed.

2 Enter the search string in the Find What field.

3 Enter the replacement string in the Replace With field.

4 Start your find and replace operation as follows:

Click Replace All to replace all instances of the old text with the new text.

Click Replace to replace the current instance and continue to the next instance.

Click Find Next to find the next instance of the text.

5 Repeat the previous step until the message Search Completed is displayed, or click Cancel to stop the search at any point.0


Using Advanced Find and Replace

Use the Replace command to find and replace specific text in your chart.

To replace text in chart boxes:

1 Select Replace from the Edit menu. The Find and Replace dialog box is displayed.

2 Enter the search string in the Find What field.

3 Enter the replacement string in the Replace With field.

4 Click More. The expanded Find and Replace dialog box is displayed.

Define the Replace Options:

· Limit the replace operation to a single field by selecting from the Replace In drop-down list.

· Select Match Case to find only words that are capitalized the same way as the text in the Contents field.

· Select Whole Word Only to find only complete words that match the Find What field entries.

In the Search where area, select from the following options:

· Entire Chart: Searches the entire chart.

· Active sub-chart: Confines the search to the currently displayed sub-chart.

· Selection: Confines the search to the selected boxes.

5 Start your find and replace as follows:

Click Replace All to replace all instances of the old text with the new text.

Click Replace to replace the current instance and continue to the next instance.

Click Find Next to find the next instance of the text.

6 Repeat previous step until the message Search Completed is displayed, or click Close to stop the search at any point.0


Spell Check

You can check the spelling of text in your chart.

To spell check:

1 Select Spell Check from the Tools menu. The Spelling dialog box is displayed.

2 Select the fields to spell check.

3 Select Spell Check text objects if you want to spell check text that is not contained in chart boxes (free floating text object, titles, and so on).

4 In the Check what area, select the scope of the spell check:

Entire Chart: Applies the spell check to all chart boxes.

Active sub-chart: Applies the spell check to the currently displayed sub-chart.

Selection: Applies the spell check to only selected boxes.

5 Click OK to start the spell check. If a word that is not in the spelling dictionary is encountered, the standard Microsoft Office Spell Check dialog box is displayed.

6 A message is displayed confirming the end of the spell check.0


Inserting Comments

OrgPlus enables you to insert comments in a chart. This can be a useful tool for collaboration, allowing a chart owner to get input from others. Comments can also be viewed in OrgPlus Reader.

To insert a comment:

· Select a box in your chart and select Comment from the Insert menu.

Note: When you add a comment, the comment author is shown in the title bar. The author is automatically set by Windows when a chart is created. If needed, you can change the author by selecting Project Properties… from the File Menu (Summary tab).

To view and edit comments:

1 Any box with an attached comment has a red triangle in the upper right corner. Move the mouse cursor over the triangle to view a comment.

2 Double-click on the triangle to edit the comment.

3 Use the delete key to delete the selected comment.

Note: Use the Text toolbar to specify font, size, and formatting for your comments.

Note: A list of all comments can be viewed using the Comments panel.


Setting OrgPlus Options

This section describes the options available in OrgPlus and explains how you can set them according to your preferences.

See…

Using the Options Panel

Protecting Projects


Using the Options Panel

The Options panel gives you control over some of the default behaviors of OrgPlus.

To modify OrgPlus Preferences:

1 Select Options from the Tools menu to display the Preferences tab of the Options dialog box.

2 Modify any of the following options in the Preferences tab:

On application start, open the last project saved: Opens the last saved project the next time you launch OrgPlus.

Automatically check for OrgPlus news and special offers: Keeps you informed of news and special offers from OrgPlus.

Optimize Layout for New Sub-charts: Optimizes the layout of any sub-charts you create. With this option selected, OrgPlus minimizes the number of pages and optimizes the distribution of boxes on a page.

Microsoft Office Toolbar: Enables you to specify which MS Office applications will include the OrgPlus toolbar. The OrgPlus toolbar allows you to create organizational charts directly in MS Office applications.

Use OrgPlus to edit embedded charts created with MS OrgChart: By default, embedded charts created with MS OrgChart are opened in OrgPlus. If you want to edit these charts with MS OrgChart, turn this checkbox off.

Use Fixed line widths for embedded objects: Microsoft Office does not fully support dashed lines. Select this option if you use dashed lines in your charts.

Recently used file list: Sets the number of entries listed in the recently used file list in the File menu.

3 Click the New Projects tab.

4 Specify your preferences for the new project Properties:

Default: Applies the blank template, which has minimal formatting.

Take from Current Chart: Applies the design template used in the currently active chart.

Apply Template: Allows you to choose a template to apply to new projects. Use the Select Template drop-down list to select a template to apply. You can view a preview of the selected template on the right side of the dialog.

5 Select the default style for Sub-chart Arrows and specify color and label options.

Use Box Colors: Applies the chart box border and fill colors to your sub-chart arrows.

Fill Color and Border Color: You can choose a fill color and/or border color from the drop-down menus.

Show Label: To include a label with your sub-chart arrows click this checkbox and select the label from the drop-down list. If you add a label, select either Position Left or Position Right to specify the label location relative to the arrow. Click the Font… button to set the Font Properties for the label.

6 Select the SMTP tab to display the SMTP Options. Setting up STMP allows you to automatically e-mail charts after publishing to PDF, PowerPoint or Word. For more information on publishing charts, see Publishing Your Charts.

Note: The SMTP tab also allows you to set your preferences for e-mail distribution of OrgPlus charts using groups. For more information, see Using Groups for E-mail Distribution.

User Information: Type Name and E-mail Address.

Server Information: Type the name of the Outgoing mail server (SMTP). Type the number of the Outgoing server port (SMTP). Port 25 is the default. Type the Maximum number of recipients. If you leave this field blank, no maximum is applied by OrgPlus.

Logon information: Type the User Name and Password. If you want the system to remember the password, click the Remember password checkbox.

Click the Test Settings… button. The system will send a test e-mail to the address you entered in User Information.

7 Click OK to save your changes and close the Options dialog box.0


Protecting Projects

If your project is saved on a shared network, you may want to set a password to prevent unauthorized access to sensitive information.

Note: DO NOT forget the password. Once a project is protected, no one can access it without the password, not even the author.

To password protect projects:

1 With your project open, select Protect Project from the File menu to display the Protect Project dialog box.

2 Enter a password in the Password field and then enter it again in the Confirm Password field.

3 Click OK. The project is now password protected.

4 Note: Once you have protected a file, any user is prompted for a password whenever the file is opened.0

To unprotect projects:

1 With your project open, select Unprotect from the File menu. The Password Required dialog box is displayed.

2 Enter the password and click OK. The project is now unprotected.

Viewing Project Properties

The Project Properties dialog box provides standard file information and attributes, user-entered file identification, and OrgPlus project statistics. This is feature is similar to File Properties available in Microsoft applications.

To view Project Properties:

1 Select Project Properties from the File menu to display the Project Properties dialog box.

The Project Properties dialog box includes the following tabs:

General: Shows standard file data and statistics.

Summary: Enables you to enter authoring details about the project.

Contents: Provides OrgPlus project statistics:

· Records: Total number of records in the project as a whole, including records applicable to hidden boxes.

· Orphans: Number of unassigned boxes in the project.

· Project Contents:

· Statistics for each individual chart in the project, such as the number of boxes and sub-charts.

· A listing of the directories, profiles and reports defined for this project.

2 You can modify fields in the Summary tab but you cannot modify any fields in the General or Contents tabs.

3 Click OK to save changes and close the dialog box.


Working with Charts: Advanced Charting

This book provides detailed descriptions of advanced charting functionality available in OrgPlus.

In this book…

Using the Master Page

Adding Headers and Footers

Adding AutoText Elements

Adding Free Floating Objects

Adding Hyperlinks to Objects

Adding Auxiliary Lines

Adding Legends

Creating and Modifying Templates

Using Templates

Defining Dynamic Fields

Using Formulas

Using Constants

Working with Sub-charts

Working with Multiple Charts

Advanced Chart Layout

Multi-record Boxes

Conditional Formatting

Chart Rules

Creating Off-page References


Using the Master Page

See…

Viewing the Master Page

Scaling Master Page Elements

The Master Page enables you to define a background page that is common to all charts and sub-charts in a project. The Master Page layer often includes elements such a corporate logo and page numbering. Content on the Master Page layer is always drawn first, behind any elements that exist on the charts or sub-charts.

In the following example you can see how the images added to the Master Page are drawn in the background when the Normal View is selected.

Free-floating objects, headers, and footers are usually added to the Master Page; however, they can also be added to a specific sub-chart.


Viewing the Master Page

This section describes how to view the Master Page.

To view the Master Page of a chart:

· With your chart open, select Master Page from the View menu to display he Master Page. (To revert to Normal view, select Normal from View menu.)

Note: You can enhance a chart’s presentation by inserting a logo or other picture as a free-floating object anywhere on the Master Page or on any individual sub-chart. See Inserting Pictures .


Scaling Master Page Elements

When printing or publishing, you can holistically adjust the scaling of all Master Page elements to achieve optimal results See Defining Page Setup for more details.


Adding Headers and Footers

You can enter free-floating text either in the header/footer area of a page or anywhere on the page using a text-box. Normally headers and footers are added to the Master Page.

To modify headers and footers:

1 With your chart open, select Master Page from the View menu.

2 Select Show | Page Lines from the View menu if the header and footer areas are not already visible.

3 Click in the header or footer area and enter a title for your chart.

4 Apply formatting to the text as required using the standard Font Properties dialog box, for example, Arial 24 Bold font and Purple color.

5 To enter text elsewhere, select Text Box from the Insert menu and click anywhere in the page. A text box is displayed in which you can enter text.

6 Select Normal from the View menu when you are finished working with the Master Page.

Note: The following diagram shows the four header and three footer areas in which you can enter text. 0


Adding AutoText Elements

AutoText elements are dynamic strings that provide information about the chart, such as the current page number, the total number of pages, the current date, the file name and so on.

They can be inserted in headers and footers, or into text boxes. Typically they are added to the Master Page so that they are common to all sub‑charts within a chart.

For details about all the various AutoText elements, see Window Structure and Command Reference.

To insert AutoText elements:

1 If you want to add an AutoText element to the Master Page, select Master Page from the View menu.

2 If you want to insert the AutoText element into an existing text box or a header area, click on that area. If you do not a select a destination for the AutoText element, a new text box containing the element is created when the element is inserted.

3 Select AutoText from the Insert menu and then select an AutoText element from the submenu, for example, [image] Page# to insert the current page number.

4 Select Normal from the View menu when you are finished working with the Master Page. 0


Adding Free Floating Objects

You can add shapes, lines, text boxes, and pictures to your chart.

See…

Drawing or Inserting Free Floating Objects

Formatting Free-floating Objects

Anchoring Free-floating Objects to Boxes

Binding Free-floating Objects

Changing Object Order

Aligning Objects


Drawing or Inserting Free Floating Objects

This section describes how to work with the following free-floating objects:

Drawing Shapes

Drawing Lines

Inserting Text Boxes

Inserting Pictures

Drawing Shapes

Shapes (rectangles, rounded rectangles and octagons) can be inserted anywhere in your chart. Once drawn the shape can be repositioned or resized.

To draw a shape:

1 Select Shape | Rectangle from the Insert menu, or click the Rectangle tool [image] . The cursor changes to a crosshair [image] .

Note: You can also select other shapes, such as an Octagon.

2 Click and drag on the chart to draw a rectangle.

à

3 Click on the Select tool [image] (or press <Esc>) to deselect the Shape tool. 0

Drawing Lines

You can draw both constrained (horizontal or vertical) and unconstrained (diagonal) lines. Once drawn a line can be repositioned or resized.

To draw a line:

1 Select Line | Horizontal or Vertical from the Insert menu, or click the Horizontal or Vertical Line tool [image] .

Or

Select Line | Diagonal from the Insert menu, or click the Diagonal Line tool [image] .

The cursor changes to a crosshair [image] .

2 Click and drag on the chart to draw a line.

à

3 Click on the Select tool [image] (or press <Esc>) to deselect the Line tool. 0

Inserting Text Boxes

Text boxes enable you enter text anywhere on your chart. Once added a text box can be reformatted, repositioned or resized.

To create a text box:

1 Select Text Box from the Insert menu, or click the Insert Text tool [image] . The cursor changes to a [image] Symbol.

2 Click on the chart and start typing.

3 When you have entered all the text, click again. The text is displayed in a text box as follows:

4 Click on the Select tool [image] (or press <Esc>) to deselect the Insert Text tool. 0

Inserting Pictures

You can insert pictures to a chart as free-floating objects.

To insert pictures as free-floating objects:

1 Select Picture from the Insert menu, or click the Insert Picture button [image] . The Select Picture dialog box is displayed.

2 Select an image file.

3 Click Open to embed the picture in your chart as a free-floating object.

4 You can reposition the picture by clicking on it and dragging it to a new location.

5 Note: Click the down-arrow on the right of the Open button and select Open as Link to link the picture in your chart. Linked pictures are not included in chart files; only a reference to the picture is included. 0


Formatting Free-floating Objects

You can format the shapes, lines, text boxes (and the text within them) and pictures that are displayed in charts using the same techniques as described in Working with Charts: Basic Charting.


Anchoring Free-floating Objects to Boxes

Free-floating objects can be linked to a chart box using the anchor function. Once anchored, a free floating object remains positioned next to the selected box even if the box is moved within the chart.

To anchor a free floating object to a chart box:

1 Select a chart box and at least one object, for example, a text box.

2 Select Anchor from the Insert menu. 0

To unanchor a free floating object from a chart box:

1 Select the anchored object you want to unanchor.

2 Select Unanchor from the Insert menu. 0


Binding Free-floating Objects

When a free-floating object is placed on a page, it automatically repositions itself as the page is resized. In rare cases, you may want to change how an object is bound to a page (especially the master page).

To change the binding of a free floating object:

1 Select an object.

2 Right-click on the object and select a Bind To option. As the page is resized the object is repositioned according to the selected option. 0


Changing Object Order

The relative order of free-floating objects in your chart can be changed. The process is similar to changing the order of objects in PowerPoint.

To change the relative order of free floating objects:

1 Select the object whose order you want to change relative to other objects. For example, in the following diagram the Square is selected.

2 Select Order from the Format menu. 0

Select from the following options:

Bring to Front: Moves the selected object to the front.

Send to Back: Moves the selected object to the back.

Bring Forward: Moves the selected object one level forward.

Send Backwards: Moves the selected object one level back.

In the following example the square is moved one level forward using the Bring Forward option.

à


Aligning Objects

You can align free-floating objects. The process is similar aligning objects in PowerPoint.

To align free floating objects:

1 Select the objects that you want to align.

Note: Holding down the Ctrl key while clicking on a free-floating object enables you to select or unselect objects one at a time.

2 Select Align from the Format menu. 0

Select from following options:

Align Left

Align Center

Align Right

Align Top

Align Middle

Align Bottom

In the following example the objects are aligned to the left.

à


Adding Hyperlinks to Objects

You can add hyperlinks to free floating objects.

To add hyperlinks to floating objects:

1 Select the object you want to hyperlink

2 Select Hyperlink from the Insert menu or right click on the object and select Hyperlink | Edit Hyperlink.

3 Define the hyperlink.

4 Note: The title is shown when you mouse over a hyperlinked object.

5 Click OK.

Note: Ctrl-Click an object to follow a hyperlink. Right click and select Hyperlink | Remove Hyperlink to delete a hyperlink.


Adding Auxiliary Lines

You can add auxiliary lines between boxes to show additional information about reporting relationships, such as dotted line reporting. For example, in the following diagram, a dotted line shows the reporting relationship between Sue Watkins and Tina Nomura.

To draw an auxiliary line between two boxes:

1 Select Line | Auxiliary from the Insert menu or click the Auxiliary Line tool [image] .

2 Move the pointer over a box. Anchor point symbols [image] appear on all four sides of the box and in the middle of the box. Move the mouse to one of the anchor points and click and drag toward another box.

3 Once over the other box, the same anchor point symbols are displayed. Release the mouse button over the desired anchor point. Releasing the mouse over the center anchor point will automatically pick the optimal anchor point. 0

Note: When importing data from an external data source, you can use the AuxReportsTo advanced data field to define auxiliary lines in your charts. See Importing and Exporting Data for more information.


Adding Legends

You can add legends to your chart. Each legend contains one or more color coded legend entries. Once a legend has been inserted, it can be moved or resized in the same manner as other free floating objects.

The following diagram contains a legend that color codes full time, part time, and contract employees.

A legend consists of the following elements:

Note: Legends are often linked to Conditional Formats. You may want to create conditional formats before creating a legend. See Creating a Conditional Format for more information on conditional formats.

To add a legend manually:

1 If you want the legend to be shown with every sub-chart, select Master Page from the View menu.

2 Select Legend… from the Insert menu to display the Legend Properties dialog box.

3 Make sure the Legend tab is selected. Click Add to add a legend entry. Repeat to add any number of legend entries.

4 To name an entry, click in the corresponding row in the entry column and enter a name.

5 Click the Format Entry… button to set the font properties for an entry.

Note: To delete a legend entry, select the entry and click on the Delete button.

6 To format the key for an entry, click in the corresponding row in the key column and then select the Format Key button or click the [image] button. The Format Legend Key Properties dialog box is displayed.

7 Use the Color and Lines tab and the Shadow tab to set the display properties for each key. You can also use the Conditional Formats tab to edit a key linked to a conditional format.

8 Click OK.

9 Use the Color and Lines tab and the Shadow tab to set the display properties for the entire legend.

10 Click OK.

To create a legend based on conditional formatting:

If you use conditional formats to differentiate the boxes in your chart, you can create a legend for your chart that is based on those conditional formats. See Conditional Formatting for details on creating and applying conditional formats.

1 Open a chart that includes conditional formats.

2 Select Legend… from the Insert menu to display the Legend Properties dialog box.

3 Click the Conditional Formats tab. This tab is available only if you have defined conditional formats.3

4 Select Auto to create a legend that includes all the defined conditional formats or select only the conditional formats you want to include in your legend. You can use the checkboxes to select individual conditions, or click the Check All button.

Note: You can return to this dialog box by double-clicking the legend in your chart.

To delete a legend:

1 Select a legend.

Note: If the legend is located in the master page, select Master Page from the View menu. Select Normal from the View menu after deleting the legend.

2 Select Delete from the Edit menu or hit the Delete key on your keyboard. 0

To edit a legend:

1 Right-click on a legend and select Legend Properties… from the context menu. The Legend Properties dialog is displayed.

Note: If the legend is located in the master page, select Master Page from the View menu. Select Normal from the View menu after editing the legend.

2 Modify the legend properties using the Color and Lines, Shadow, Legend and Conditional Formats tabs.

3 Click OK.

To edit a legend entry:

1 Select a legend.

Note: If the legend is located in the master page, select Master Page from the View menu. Select Normal from the View menu after editing the legend.

2 Select any legend entry.

3 Right-click and select Format Key… from the context menu. The Legend Key Properties dialog is displayed.

4 Modify the legend entry properties using the Color and Lines, Shadow, and Conditional Formats tabs.

5 Click OK.

Note: Click any label within a legend to edit the legend entry name. 0


Creating and Modifying Templates

OrgPlus provides a variety chart design, box and branch templates. You can also create or modify your own templates. This section describes how you can create or modify your own templates.

See…

Learning About Templates

Creating Design, Box, and Branch Templates

Multi-record Boxes and Templates

Modifying Templates


Learning About Templates

There are a number of factors to keep in mind when creating your own templates:

· Box and design templates do not change which fields are displayed in a box. Box and design templates change only the format and font selection parameters. To change the box layout, see Applying Template Files.


Creating Design, Box, and Branch Templates

OrgPlus enables you to create new templates from an existing file or template.

To create a new template:

1 Select Open from the File menu. The Open dialog box is displayed.

2 Select an existing chart or template file and click Open.

3 Save the chart as a template.0

If you want to save the template as a Design template:

a Select Save As from the File menu, and choose the file type OrgPlus 7 Template File (*.opxt).

Note: If you save this file in your MyCharts/Templates folder, it automatically appears in the design section of the templates panel.

If you want to save the template as a Box template:

b Delete all boxes in your chart, except for the box that defines the template.

c Select Save As from the File menu and choose the file type OrgPlus 7 Template File (*.opxt).

Note: If you save this file in your MyCharts/Templates/Box folder, it automatically appears in the box section of the templates panel.

If you want to save the template as a Branch template:

a Create the branch layout structure that you want by always adding child boxes to the left most node in the chart.

b Select Save As from the File menu and choose the file type OrgPlus 7 Template File (*.opxt).

Note: If you save this file in your MyCharts/Templates/Branch folder, it automatically appears in the branch section of the templates panel.


Multi-record Boxes and Templates

When creating or modifying templates, you can define the layout for multi-record boxes. When you apply a template file containing one or more multi-record boxes to a chart, the template’s multi-record box layout is applied to the multi-record boxes in the chart.


Modifying Templates

OrgPlus enables you to modify templates.

To modify templates:

1 Select Open from the File menu or click the Open button [image] . The Open dialog box is displayed.

2 Select any template file (of type .opxt) and click Open.

3 Modify the file/template as required, in the same way as working with a chart.

4 Select Save As from the File menu.

5 Select OrgPlus 7 Template File (*.opxt) from the Save as type drop-down list.

6 Click Save. You may be prompted to replace the existing file, in this case click Yes. 0


Using Templates

Templates provide a quick way to format your chart. You can also use Template files to copy reports, directories, groups, conditional formats, and profiles from an existing file to your current file.

See…

Using the Templates Panel

Applying Template Files


Using the Templates Panel

OrgPlus provides a variety of chart design, box and branch templates. You can also create or modify your own templates.

See…

Applying Design Templates

Applying Branch Templates

Applying Box Templates

Applying Design Templates

Design templates allow you to format an existing chart. They do not modify what fields are shown in the chart or the branch styles used in the chart. Design templates change the look and feel of your chart.

To apply design templates:

1 If the Template Panel is not shown, select Template from the View menu.

2 Click the Design button to display design templates.

3 Drag the chosen template to the chart area and release the mouse button. The template is applied.

4 Right-click a design templates to select from the following options:

Apply to Sub-chart: Applies the template to the displayed sub‑chart.

Apply to Entire Chart: Applies the template to the entire chart (all defined sub-charts).

Note: By default a design template is applied to all sub-charts within a chart.0

Applying Branch Templates

Branch templates allow you change the branch style of an existing chart. Branch templates only reformat the layout of your chart.

To apply a branch template:

1 If the Template Panel is not shown, select Template from the View menu.

2 Click the Branch button in the template panel to display branch templates.

3 Drag the chosen template to the chart area and release the mouse button. The template is applied.

4 Right-click a design template and select from the following options:

Apply to Sub-chart: Applies the template to the displayed sub‑chart.

Apply to Entire Chart: Applies the template to the entire chart (all defined sub-charts).

5 Note: By default a branch template is applied to all sub-charts within a chart.0

Applying Box Templates

Box templates allow you change the format for any set of boxes in your chart. Box templates change only the format of boxes; the content of boxes remains unchanged.

To apply a box template:

1 If the Template Panel is not shown, select Template from the View menu.

2 Click the Box button in the template panel to display box templates.

3 Drag the chosen template over any box and release the mouse button. The template is applied.

4 Right-click a box template and select from the following options:

Apply to Selection: Applies the template to the selected boxes.

Apply to Sub-chart: Applies the template to the displayed sub‑chart.

Apply to Entire Chart: Applies the template to the entire chart (all defined sub-charts). 0


Applying Template Files

Template files enable you to copy the look and feel from an existing template file to your chart. You can also copy Directory, Profile, Report, Group and Conditional Format definitions from the template file.

To apply template files:

1 Select Apply Template File from the Chart menu.

2 Choose a template and click Open. The Apply Template dialog box is displayed.

3 To reformat your chart:

In the Apply what area, select Look and Feel.

In the Apply To area, select one of the following options:

Entire chart: Applies the template to the entire chart.

Active sub-chart: Applies the template to the displayed sub-chart.

Selection: Applies the template to the selected boxes.

4 If you want to copy selected definitions from the template:

In the Apply what area, select Contents.

Choose the elements to import:

· Design

· Copy Box Layout

Note: If your template file contains a multi-record box, checking the Copy Box Layout checkbox applies the template’s multi-record box layout to the chart’s multi-record boxes.

· Copy Reports

· Copy Profiles

· Copy Master Page

· Copy Constants

· Branch

· Copy Directories

· Copy Groups

· Copy Conditional Formats

· Copy Chart Rules

· Copy Search

5 Click OK to apply the template.

Note: Selecting Contents reformats the entire chart to match the template file. The fields shown in boxes, branch styles, box formatting, and chart properties are updated to match the template file.

Note: If the template file contains fields that are not defined in the current chart, you are prompted to add the additional fields to your chart.0


Defining Dynamic Fields

This section describes the various types of calculations available in OrgPlus, and how to define a formula field. Formulas are not available in OrgPlus Express.

See…

Adding Formulas

Available Formulas

Calculations

Formula Options


Adding Formulas

To define a formula field:

1 Click the Define Fields tool [image] or select Define Fields from the Data menu to display the Define Fields dialog box.

When you specify a field as a Formula, OrgPlus displays the Formula Properties dialog box. You can also edit an existing formula by clicking the Formula button [image] . The following is an example of the Formula Properties dialog box with the Average drop-down list option selected.

2 Select the Formula tab.

3 Select a formula from the left-most drop-down list. See Available Formulas for formula definitions.

4 If the selected formula requires a field, select a field from top-middle drop-down list.

5 Based on the selected type of formula, you must select the boxes that you want to include in this calculation. You can specify the boxes to include (using the right-most drop-down) as follows:

Co-workers: All boxes sharing the same manager, including the manager's assistants.

Level: All boxes on the same level in the chart.

Branch and Mgr: All boxes in a branch, including the branch's manager.

Branch Excl. Mgr: All boxes in a branch, excluding the branch's manager.

Dir Sub and Manager: All direct subordinates of a single manager, including the manager.

Dir Subordinates: All direct subordinates of a single manager, excluding the manager.

Entire Chart: All boxes in the chart.

Current Mgr: A box's direct manager (one level up).

All Mgrs Inclusive: The path of managers from the top of the tree down to that box, including the box.

All Managers Exclusive: The path of managers from the top of the tree down to that box, excluding the box.

Top of Chart: The number of boxes at the top level of the chart.

Self: The current box.

6 Optionally, you can perform a calculation (divide, multiply, add, or subtract) on multiple arguments. See Calculations for more information.

7 If required, you can specify which boxes are to be included or excluded from a calculation by creating a conditional formula. To create a conditional formula, select the Criteria tab. Select the Define Criteria checkbox and then define the criteria for inclusion. 0

To define formula options:

1 Use the Options tab to specify formula options such as a min and max result. See Formula Options for more details.

2 Click OK to save the formula.0


Available Formulas

The following formulas are available in OrgPlus.

Numeric Formulas

The following formulas are for use with number fields.

Average: Compute an average of the selected number field for all specified boxes.

Non-zero count: Count the number of specified boxes that do not contain a number field with a zero value.

Fraction of Total: Compute the percentage of a total. First sum the field across all specified boxes, and then divide into the field value for each box.

Maximum/Minimum: Determines the maximum or minimum value of the selected field across all specified boxes.

Product: Multiply the values of the selected field across the specified boxes.

Standard Deviation: Compute the standard deviation for the selected field and boxes.

Total: Sum the selected field across the specified boxes.

Variance: Compute the variance for the selected field.

General Formulas

Equals: Perform a calculation using a field or set of fields. For example, performance change = current performance – last year’s performance.

ReportsTo: Get a value from a manager’s field.

Text Formulas

The following formulas are for use with text fields.

Upper: Convert a text field to all upper case.

Lower: Convert all letters in a text field to lowercase.

Trim: Remove all spaces from a text field except for single spaces between words.

Len: Return the number of characters in a text field.

Count: Count the number of specified boxes.

Mid: Return a sub-string from the middle of a text field. For example, Mid(3,3,”ABC123”) = C12.

Left: Return a sub-string from the start of a text field. For example, Left(3,”ABC123”) = ABC.

Right: Return a sub-string from the end of a text field. For example, Right(3,”ABC123”) = 123.

Date Formulas

The following formulas are for use with date fields.

Year: Return the year from the selected date field.

Month: Return the month (1-12) from the selected date field.

Day: Return the day from the selected date field.

Chart Formulas

The following formulas allow you to access information about your chart hierarchy:

Level: Return chart level for a box.

Sub-levels: Return number of subordinate levels for a box.

Occurrences: Return number of times a box appears in the chart based on the duplicate identifier (dotted line) key.

Allocation: Return 1/ Occurrences. For example, if a person appears four times in chart their allocation is 0.25.


Calculations

Within a formula, you can perform a calculation.

Below are some sample calculations:

Field + Field: Total Compensation = Salary + Bonus

Field * Value: Next Year Salary = Current Salary * 1.05

Constant - Field: Year To Retirement = RETIREMENT AGE – Current Age

Note: See Using Constants for more information on Constants.

You can also perform date calculations using the TODAY constant and/or the Year, Month, and Day functions.

Below are some sample date calculations:

Years_with_company: Today – Hire_Date

Months_since_last_review: Today – Review_Date

To define a calculation within a formula:

1 With the Formula dialog open and the formula tab selected, define the first argument type. The following types are available:

· Field

· Text

· Number

· Date

· Date (Years)

· Date (Months)

· Date (Days)

· Constant

2 Select or type an argument value.

3 Select a range. Available Formulas.

4 Select an operator (/, *, +, -).

5 Define the type for the second argument.

6 Select or type a value for the second argument.

Optionally, you can also define a third argument using the same procedure as noted in the steps above.

7 Click OK.


Formula Options

The Options tab in the Formula dialog allows you to further define how a formula will be computed. The following formula options are available:

· Min: Specify the minimum value returned by the formula.

· Max: Specify the maximum value returned by the formula.

· Ignore Selected Group: By Default, if a group is applied, boxes that are not included in the group are not included in the current calculation. The Ignore Selected Group option includes all boxes in a calculation regardless of the selected group. If you turn this checkbox on, you can create a group based on a formula.

· Exclude zero values: Select this option to exclude zero values from counts and products.

· Exclude empty fields: Select this option to exclude empty fields from counts and products.

· Assistants: Select whether the current formula includes assistants, excludes assistants or includes only assistants. An assistant is defined as any box with the assistant branch style.

· Duplicates: Specify whether the current formula includes duplicate records (dotted line reports), excludes duplicate records, or allocates duplicate records. For example, if you select the allocation option, a person included in a chart three times has a value of 0.333 when one of the corresponding boxes is included in a count.


Using Formulas

OrgPlus can total budgets, revenues, project hours, and more. You can compare results between positions, departments, and divisions.

Calculations can be performed only on Number, Date, and Text fields.

· Number fields are used to enter discrete amounts, such as a salary or budget.

· Formula fields are calculated based on field values or chart properties (such as a count of subordinate boxes).

See…

Recalculating Formulas Automatically

Excluding Boxes from Formula Calculations


Recalculating Formulas Automatically

By default, formulas are recalculated automatically each time a change is made to a chart. For large charts, you may want to turn automatic recalculation off to enhance performance.

· Select Auto Recalculation from the Chart menu to turn automatic recalculation of formulas on and off.

· If automatic recalculation is OFF, select Recalculate Formulas from the Chart menu to update all formula fields.

· Caution: While Auto Recalculation is OFF, there is no indication that formulas are not up to date.


Excluding Boxes from Formula Calculations

Sometimes, you may want to exclude one or more boxes from a calculation. For example, a headcount calculation should not include vacant positions.

To exclude fields from calculations:

1 Select the boxes that you want to exclude from a calculation.

2 Select Box Properties from the Format menu and then click the Advanced tab.

The Box Properties dialog box Advanced tab is displayed.

3 Complete your selections as follows:

Exclude from Calculations: Select a set of fields to exclude from calculated functions.

Exclude from Counts: Select this option to exclude a box from count functions.

4 Click OK to save your changes and close the dialog box. 0


Using Constants

OrgPlus allows you to define constants that you can use in formulas, conditional formats, groups, searches, reports and chart rules. Changing the value of a constant will update every element that references that constant.

For example, you can define a conditional format that sets the color of a box based upon whether an employee was hired before or after a specific date. If you define a constant called cutoff date, and reference it in the conditional format, you can now easily visualize the impact of changing the value of the cutoff date.

See…

Adding and Deleting Constants

Referencing Constants


Adding and Deleting Constants

You can create any number of constants that can be referenced when defining formulas, conditional formulas, groups, reports, conditional formats, chart rules, and in the search panel.

To add a constant:

1 Select Define Constants… from the Data menu. The Define Constants dialog is displayed.

2 Click Add. A constant is added.

3 Name the constant by entering a name into the Name column.

4 Set the field type by selecting from the Type drop-down list for that constant. The following options are available:

§ Text

§ Date

§ Number

5 Enter a value for the constant into the Value column. 0

To edit a constant:

1 Select Define Constants… from the Data menu. The Define Constants dialog is displayed.

2 Click in the Value column associated with a constant.

3 Edit the value for that constant as needed.

4 Note: You can rename a constant by clicking in the Name column or you can change the type using the Type drop-down. 0

To delete a constant:

1 Select Define Constants… from the Data menu. The Define Constants dialog is displayed.

2 Select a constant by clicking in the first column associated with that constant.

3 Click Delete. A warning message is displayed asking you to confirm that you want to permanently delete the constant. Click Yes to delete or No to cancel the action. All references to constants will be replaced by the last value stored in the constant. 0


Referencing Constants

In order to reference a constant, use the syntax, [$<Constant Name>], when entering criteria for any comparison.

For example, to reference a constant (called Retirement Age) in a conditional format you would enter the condition as follows:

The value of the Retirement Age constant could be varied as part of a what-if analysis exercise.


Working with Sub-charts

Large charts can be subdivided into sub-charts. For example, an organization with four divisions can be presented as five sub-charts – one for the executive team, and one for each division. This section describes how to work with sub-charts.

The following picture shows a chart after sub-charting.

See…

Inserting Sub-chart Breaks

Labeling Sub-chart Breaks

Removing Sub-chart Breaks

Navigating Sub-charts

Creating Sub-charts Using the Sub-chart Wizard

Using the Sub-chart Panel


Inserting Sub-chart Breaks

You can insert sub-chart breaks manually at any level in your chart.

To insert a manual sub-chart break:

1 Select a box that will be the top position in your new sub-chart.

2 Select Sub-chart | Insert Sub-chart Break from the Insert menu. The sub-chart is created. 0


Labeling Sub-chart Breaks

You can label your sub-chart breaks by defining labels to attach to the sub-chart arrows. Sub-chart arrow labels improve navigation within a large chart and enhance the usefulness of your printed and published charts.

See Formatting Charts for details on defining labels for your sub-chart arrows.


Removing Sub-chart Breaks

You can remove sub-chart breaks one at a time or all at once.

To remove selected sub-chart breaks:

· Select any boxes containing a sub-chart break ( [image]) and then select Sub‑chart | Remove Sub-chart Break from the Insert menu.

To remove all sub-chart breaks in the entire chart:

· Select Sub-chart | Remove All Breaks from the Insert menu. All the sub‑chart breaks are removed.


Navigating Sub-charts

OrgPlus enables you to navigate sub-charts by clicking in the chart area or using the sub-charts panel.

To navigate sub-charts using symbols:

1 Use the [image] symbol to navigate down the sub-chart tree.

2 Use the [image] symbol to navigate up the sub-chart tree.0


Creating Sub-charts Using the Sub-chart Wizard

The sub-chart wizard enables you to define a set of rules that are used to break your chart into sub-charts.

To create sub-charts using the Sub-chart Wizard:

1 With the chart open, select Sub-chart | Create Sub-charts from the Insert menu to display the Create Sub‑charts dialog box.

2 Define your sub-charting options as follows:

Create Sub-charts: Select one of the following criteria according to which sub-chart breaks should be created.

· Every: Creates a sub-chart break at every nth level in the chart.

· Using Field: Creates a sub-chart at each occurrence of the field.

· At Level: Creates a sub-chart break at the specified levels. (Separate level numbers by comma.)

· Condition: Defines a condition based on complex criteria. The Condition dialog is displayed.

Smart Sub-chart breaks: Specify the minimum number of boxes in a branch before a break is inserted.

· Name Sub-charts: Specify how each sub-chart page should be named. Select from:

· Default: All sub-charts are named based on the default: Sub-chart1, Sub-chart2, and so on.

· From Field: All sub-charts are based on the value of the specified field. The field value is extracted from a box when a sub-chart break is inserted.

· Apply to: Specify whether the sub-chart rules are to be applied to the Entire Chart, the Active sub-chart, or the current Selection.

3 Click OK. The chart is sub-charted according to the selected options. 0

Note: By default, the Sub-chart panel is automatically displayed after creating sub‑charts. Clear the View Sub-charts check box if you do not wish to display the Sub‑chart panel.


Using the Sub-chart Panel

The Sub-chart panel lists the sub-charts in your chart using a tree structure. Clicking a sub-chart name displays the corresponding sub-chart.

The Sub-charts panel toolbar provides the following functions:

Icon | Name | Description
 | Check All | Select all sub-charts.
 | Uncheck All | Unselect all sub-charts.
 | Create Sub-charts | Display the Create Sub-charts dialog box.
 | Send to Excel | Export data from selected sub-chart(s) to an Excel spreadsheet.
 | Export Data | Export data from selected sub-chart(s) using the Export Data dialog box.
 | Reconnect Sub-chart(s) | Remove sub-chart breaks from the selected sub‑charts.
 | Print Sub-charts | Print the selected sub-charts.
 | OrgUnit Chart | Create a chart of OrgUnits (or departments) from the hierarchy shown in the sub-charts panel.

To rename a sub-chart:

1 Make sure the sub-chart panel is displayed by selecting Sub-charts from the View menu.

2 Double-click a sub-chart.

3 Type in a sub-chart name and press <Enter>.0

To navigate sub-charts using the Sub-chart panel.

1 Click the Sub-charts tab on the lower right side of the main window, or select Sub-charts from the View menu if that tab is not available. The Sub-charts panel is displayed in the main window.

2 Click on any sub-chart listed in the Sub-charts panel. The corresponding sub‑chart is displayed. 0

To create an OrgUnit Chart:

1 Make sure the sub-chart panel is displayed by selecting Sub-charts from the View menu.

2 Click on the OrgUnit Chart button [image].

3 Define your OrgUnit Chart options as follows:

Sub-chart levels: Specify the number of levels to include when creating the OrgUnit chart.

Include Headcounts: Specify whether to include headcounts when creating the OrgUnit chart.

4 Click OK. An untitled OrgUnit Chart is created based on the selected options. 0


Working with Multiple Charts

OrgPlus projects can contain multiple charts, similar to the Microsoft Excel workbook and worksheet concept. Each chart within a project can show a unique view that displays different data fields, contains different formatting, and may even contain a different hierarchy.

While the display of data may be different across multiple charts, the underlying data records are shared. Any changes made to data in one chart are always reflected in all other charts.

The only exception is that a chart may have a unique hierarchy. For example, two project teams may contain the same individuals but with different reporting relationships.

See…

Creating New Charts

Renaming or Deleting Charts

Using Chart Tabs


Creating New Charts

New charts in a project either share the same hierarchy as the original chart or have a different hierarchy.

To create a new chart in a project:

1 Select Chart from the Insert menu, or right-click the chart's tab and select New Chart from the context menu.

The New Chart dialog box is displayed.

2 Define how you want the new chart to be created:

Reporting: Indicate whether to keep the hierarchy synchronized with the current chart or whether to create a new hierarchy:

· Share and maintain the project’s hierarchy across all charts: Copies the existing chart to a new chart. Changes to the hierarchy of the new chart are synchronized with the original chart.

· Do not share, maintain unique hierarchy in this chart: Select from the following options:

· Empty Chart: Creates an empty chart with a new hierarchy.

· Entire Chart: Copies the existing chart to a new chart. Changes to the hierarchy of the new chart are NOT synchronized with the original chart.

Reconnect all sub-charts: Remove all sub-chart breaks from the new chart.

3 Click OK. The new chart is created and a new chart tab is added at the bottom of the main window. 0


Renaming or Deleting Charts

When new charts are created, OrgPlus automatically assigns the default names, Chart1, Chart2, and so on.

To rename a chart:

1 Right-click a chart tab and select Rename Chart from the pop-up menu to display the Rename Chart dialog box.

2 Enter a new name and click OK.

To delete a chart:

1 Do one of the following to delete a chart.

Right-click the chart's tab and select Delete Chart from the pop-up menu.

Select Delete Chart from the Edit menu.

2 In the confirmation dialog box, click Delete to delete the chart.0


Using Chart Tabs

If you have multiple charts in your project, you can switch between charts using chart tabs.

To view another chart:

Do one of the following:

· Select a chart tab at the bottom of the main window.

· Select Chart List from the Chart menu and select the required chart.


Advanced Chart Layout

This section describes the methods for formatting a chart.

See…

Grouping Boxes

Demoting Boxes

Spacing Chart Boxes

Optimizing Chart Layout

Positioning Charts


Grouping Boxes

The group function is used to group one or more peers that report to the same manager.

To group or ungroup boxes

1 Choose the Select tool [image] .

2 Select the boxes that you wish to group (Use shift-click to select multiple boxes). All selected boxes must report to the same manager,

3 Right-click on any of the selected boxes.

4 Select Actions | Group Right or Actions | Group Left to the boxes.

Note: Any box that has been grouped can be ungrouped by right-clicking on that box and selecting Actions | Ungroup.

Note: Boxes can also be grouped by selecting one or more boxes that share a common manager and then selecting a branch style for those boxes.

Note: Boxes can also be grouped using a data driven approach, see Chart Rules for more information.


Demoting Boxes

The demote function is used to drop any box down one or more levels in a chart.

To demote or promote a box

1 Choose the Select tool [image] .

2 Right-click on the box that you want to promote or demote.

3 Select Actions | Demote Right or Actions | Demote Left to demote a box one level. Repeat to demote additional levels. 0

Note: Any box that has been demoted can be promoted by right-clicking on that box and selecting Actions | Promote.

Note: Boxes can also be demoted using a data driven approach, see Chart Rules for more information.


Spacing Chart Boxes

You can change the spacing between boxes in your chart.

To adjust the spacing between boxes:

1 If you want to change the spacing for a set of boxes, select the boxes and their manager.

Note: If nothing is selected the spacing for all boxes in the current sub-chart is changed.

2 Select Spacing from the Format menu.

The Box Spacing dialog box is displayed.

3 Change the spacing as desired.

Note: Click Restore Defaults to reset to the default spacing.

4 Click OK to change the spacing between boxes. 0


Optimizing Chart Layout

The Optimize Branch Styles function reformats the branches in your chart to optimize the distribution of boxes on a page.

To optimize the branch styles in your chart:

· Select Optimize Branch Styles from the Chart menu.


Positioning Charts

You can center your chart vertically and/or horizontally on the page or you can manually position your chart.

To center your chart:

· Select Center Up/Down from the Chart menu. The chart is centered vertically from page.

· Select Center Left/Right from the Chart menu. The chart is centered horizontally from page.

To reposition your chart manually:

· Select the move chart tool [image] and click and drag the chart to a new position.


Multi-record Boxes

You can create boxes that contain more then one record. For example, you can display an entire sales staff in one box.

Note: See Using the Import Wizard for more information on creating Multi-record boxes from imported data.

To define a multi-record box:

1 With your chart open, select one or more boxes.

2 Select Box Properties from the Format menu. The Box Properties dialog box is displayed.

3 Click the Box Layout tab.

4 Click the Layout Options… button to display the Layout Options dialog box.

5 Select the Multi-Record Box checkbox and click OK to return to the Box Layout display.

6 Click the Show Sub-box Properties checkbox to edit the sub-box. The Sub-box Properties works in the same fashion as the Box Properties dialog (See Formatting Boxes).

Note: As you add or remove fields from a multi-record box, the layout defined for the sub-box will be repeated for each record in the multi-record box.

7 When you are done editing the sub-box, uncheck the Show Sub-box properties checkbox.

8 Click OK to update.

Note: See Defining and Displaying Fields for more layout options.

Note: You can reorder records within a multi-record box using drag and drop in the chart.

To format multi-record boxes with templates:

See Multi-record Boxes and Templates.


Conditional Formatting

Conditional formatting enables you to dynamically apply formatting to a sub-set of a chart that meets specific criteria. OrgPlus applies conditional formats from the first defined condition to the last defined condition.

Note: When two or more conditions address the same format element, OrgPlus applies the last condition only.

See…

Creating a Conditional Format

Modifying Conditional Formats


Creating a Conditional Format

A conditional format consists of a condition and a format, where the format is applied to boxes that meet the condition.

To create a condition:

1 Select Conditional Formatting from the Format menu to display the Conditional Formatting dialog box..

Note: You can duplicate an existing conditional format using the Copy button.

2 Click Add to display the Define Conditional Formatting Properties dialog box.

3 Enter the condition name in the Condition Name field.

4 Define the criteria for the condition as follows:

Define the first search criteria expression by selecting from the Field Name and Comparison drop-down lists. Then enter the comparison string in the Contents field.

Define any additional search criteria in the second and subsequent lines by selecting the And/OR search condition for each line.

Select Match Case to match only words that are capitalized the same way as the text in the Contents field.

Select Match Whole Word to match only complete words that match the Contents field entries.

Note: Use the Constants… button to include any defined constants in the condition. See Using Constants for more information on using constants.

5 Optionally, you can limit a conditional format to one or more levels in your chart as follows:

Select the Limit to checkbox and select chart or sub-chart from the drop-down list to limit the conditional format to a level(s) within the entire chart or a level(s) within the current sub-chart.

Define the level range(s) to which you want the conditional format limit to apply.

6 Click OK. The Conditional Formatting Rule is added to the list of rules in the Conditional Formatting dialog box.

7 Select the condition and use the Format Box, Format Fields, or Format Connector buttons to define a format. Use the Clear Format button to reset formatting as needed.

Note: The Use Selection button in the Box Properties dialog will copy the formatting information from the currently selected chart box. This can save time when setting up conditional formats.

8 Click OK. The format is applied to all boxes in all charts that meet the condition.

Note: You can disable a condition by clearing that condition’s check box. 0


Modifying Conditional Formats

Conditional Formatting Rules can be edited, deleted or reordered at any time.

See…

Editing Conditional Formats

Deleting Conditional Formats

Reordering Conditional Formats

Editing Conditional Formats

You may need to modify the criteria for a condition or the format that is applied to boxes that meet a condition.

To edit a conditional format:

1 Select Conditional Formatting from the Format menu to display the Conditional Formatting dialog box listing all the defined Conditional Formatting Rules.

2 Select a condition and click Edit to modify the condition’s criteria.

3 Click the Format Box, Format Fields or Format Connector buttons to modify the format. Click Clear Format to reset the formatting.

4 Click OK to close the Conditional Formatting dialog box. 0

Deleting Conditional Formats

You can remove a conditional format at any time.

To delete a conditional format:

1 Select Conditional Formatting from the Format menu to display the Conditional Formatting dialog box.

2 Select a condition.

3 Click Delete. A confirmation dialog box is displayed.

4 Click Yes to delete the condition.

5 Click OK to close the Conditional Formatting dialog box. 0

Reordering Conditional Formats

Each condition is applied to the chart starting with the first condition and ending with last condition. Any box in your chart may satisfy two or more conditions. In this case you may need to reorder conditions to achieve the desired formatting.

To reorder a conditional format:

1 Select Conditional Formatting from the Format menu to display the Conditional Formatting dialog box.

2 Select a condition.

3 Click the up arrow [image] to move the condition up.

4 Click the down arrow [image] to move the condition down.

5 Click OK to close the Conditional Formatting dialog box. 0


Chart Rules

You can define Chart Rules that enable you to change branch styles within a chart based on a condition and/or perform an action (group left, group right, demote left or demote right) based on a defined condition. Chart Rules can be applied at any time including after a data refresh. (See Publishing your Chart.)

See…

Creating Chart Rules

Modifying Chart Rules


Creating Chart Rules

A chart rule enables you to define a condition, an action and/or a style. When the condition is met, the action and/or style is applied to boxes to which the rule applies.

To create a chart rule:

1 Select Chart Rules from the Format menu to display the Chart Rules dialog box.

2 Click Add. The Chart Rules dialog box Define Chart Rule tab is displayed.

3 Enter the rule name in the Chart Rule Name field.

4 Define the criteria for the rule as follows:

Define the first search criteria expression by selecting from the Field Name and Comparison drop-down lists. Then enter the comparison string in the Contents field.

Define any additional search criteria in the second and subsequent lines by selecting the And/OR search condition for each line.

Select Match Case to match only words that are capitalized the same way as the text in the Contents field.

Select Whole Word Only to match only complete words that match the Contents field entries.

Note: Use the Constants… button to include any defined constants in the condition. See Using Constants for more information on using constants.

5 Optionally, you can limit a chart rule to one or more levels in your chart as follows:

Select the Limit to checkbox and then select chart or sub-chart from the drop-down list to specify whether to limit the chart rule to a level(s) within the entire chart or a level(s) within the current sub-chart.

Define the level range(s) to which you want the chart rule limit to apply.

6 Click OK. The chart rule is added to the list of rules in the Chart Rules dialog box.

7 Select the chart rule and use the Chart Style or Action buttons to select a style or action to associate with the chart rule. Click Clear to reset the style and action.

8 Note: By default, boxes are demoted one level if you associate a demote action with a chart rule. If needed, you can use the levels drop-down list in the Actions dialog to specify any number of levels to demote.

9 Click OK. The style and/or action are applied to all boxes in all charts that meet the chart rule.

Note: You can disable a chart rule by clearing that chart rule’s check box.


Modifying Chart Rules

Chart Rules can be edited, deleted or reordered at any time.

See…

Editing Chart Rules

Deleting Chart Rules

Reordering Chart Rules

Editing Chart Rules

You may need to modify the criteria for a chart rule or the style/action that is applied to boxes that meet the conditions defined by a chart rule.

To edit a chart rule:

1 Select Chart Rules from the Format menu. The Chart Rules dialog box listing all the defined chart rules is displayed.

2 Select a chart rule and click Edit to modify the chart rule’s criteria.

3 Click the Action or Style buttons to modify the format. Click Clear to reset the formatting.

4 Click OK to close the Chart Rules dialog box. 0

Deleting Chart Rules

You can remove a chart rule at any time.

To delete a chart rule:

1 Select Chart Rules from the Format menu. The Chart Rules dialog box is displayed.

2 Select a rule.

3 Click Delete. A confirmation dialog box is displayed.

4 Click Yes to delete the rule.

5 Click OK to close the Chart Rules dialog box.

Reordering Chart Rules

Each chart rule is applied to the chart starting with the first chart rule and ending with last chart rule. Any box in your chart may satisfy two or more chart rules. In this case you may need to reorder chart rules to achieve the desired formatting.

To reorder a chart rule:

1 Select Chart Rules from the Format menu. The Chart Rules dialog box is displayed.

2 Select a chart rule.

3 Click the up arrow [image] to move the chart rule up.

4 Click the down arrow [image] to move the chart rule down.

5 Click OK to close the Chart Rules dialog box. 0


Creating Off-page References

Using URIs (Uniform Resource Identifiers), you can enhance navigation within your charts. Any hyperlink, within a box or free text object can navigate to another box within the chart, another sub-chart within the chart, another tab within the project or even an entirely different chart.

Note: To define a URI you need a field that is defined as a hyperlink. See Defining and Displaying Fields.

Using Off-page References you can create links to:

· A box within a chart or sub-chart.

· A sub-chart within a chart.

· A chart within a project.

· A project file within a file system.

To define an off-page reference:

1 Right click a hyperlink field in your chart and select Hyperlink | Edit Hyperlink from the context menu to display the Hyperlink Properties dialog box.

The Title text box displays the hyperlink text you selected. The Link text box displays the URI or destination of the hyperlink.

2 Optionally, you can change the title of the link using the Title: text entry. This does not change the link’s destination.

3 You can specify a URI in using the Link: text entry. The syntax for a URI is defined in the next section.

4 Click OK.

URI Syntax

Create your off-page references using the following URI syntax:

orgplus:[filename]?[chart=<chart name>]&[subchart=<sub-chart name>]&[field=<field value>]

Orgplus: | This tag is required to tell OrgPlus that the link is an off-page reference and not a typical hyperlink.
[filename] | The filename parameter identifies the OrgPlus file to which the URI refers. The value of this parameter can be a fully qualified file name (i.e. C:\charts\myChart.opx), a relative filename (i.e. myChart.opx), or omitted completely to search the current file.
? | Use to identify the end of the file name and the beginning of the query parameters.
[chart=<chart name>] | This parameters specifies the chart (or tab) in the filename to search. If omitted, OrgPlus will search all charts in the project file.
[subchart=<sub-chart name>] | This parameter specifies the sub-chart to query. If omitted, OrgPlus will query all sub-charts in the project file.
[field=<field value>] | This parameter identifies specific field data to use in the query. Multiple fields can be added to a single URI using the & symbol to separate them.

Entering the following URI would create a hyperlink to the Ken Gorman record in the Sales sub-chart on the 2007 chart (tab) in the C:\myChart.opx file:

orgplus:C:\myChart.opx?chart=2007&subchart=Sales&field=Ken Gorman

Note: Some characters cannot be used in your URI. The World Wide Web Consortium (W3C) has identified substitute for these characters using the percent encoded octet. This table provides the substitute codes for the most common restricted characters. For a complete list and detailed information, please refer to the W3C at: http://www.w3.org/.

Restricted Character | Substitute Code
& | %26
= | %3D
# | %23
Space | %20

5 Click OK when finished.


OrgPlus Panels

OrgPlus includes a number of panels to help you navigate, search and analyze your organizational charts. These features are available only in OrgPlus Standard and Professional.

The Reports panel enables you to create and view both static and dynamic reports based on your underlying chart data.

The Directory panel provides a tabular list of information based on the underlying chart data.

The Profile panel enables you to display additional information about a chart box without cluttering the chart. For example, an employee photo or pager number can be viewed without adding those fields to each box.

The Tree panel provides an alternate way to view, reorganize, add, change, or delete chart records.

The Search panel allows you to search charts for all records that meet a set of criteria. The search panel is useful for orphan management, succession planning, and data mining.

The Comments panel allows you to quickly view and edit all comments associated with a particular chart.

In this book…

Working with Reports

Working with Directories

Working with Profiles

Working with Trees

Searching Charts

Working with Comments


Working with Reports

See...

Using the Reports Panel

Managing Reports

Displaying Reports


Using the Reports Panel

This section describes how to work with the Reports panels.

To access the reports panel:

· Select Reports from the View menu. The Reports panel is displayed.

The Reports panel has the following elements:

Element | Name | Description
 | Report Selector | Select reports from the drop‑down list.
 | Display Options | Select the sub-set of the chart data to be used for building your report. See Creating Reports.
 | Print Report | Print the displayed report.
 | Print Preview | Preview how the currently displayed report looks when printed.
 | Page Setup | Change the page settings.
 | Copy Report | Copy the report contents to the Clipboard.
 | Send Report to Excel | Export the current report to an Excel spreadsheet.
 | Manage Reports | Add, modify or delete reports.
 | Edit Current Report | Modify the displayed report.


Managing Reports

This section describes how to add, modify or delete reports.

Creating Reports

This section describes how to create new reports.

To create a new report:

1 With the Reports panel open do one of the following:

· Click the link Click here to create a report if no reports have been created previously.

· Click the Manage Reports button [image] . The Manage Reports dialog box is displayed.

· Click Add. The Report dialog box is displayed.

The Select Fields tab enables you to name the report and specify the fields to include.

2 In Report name: type the name of your report.

The Available Fields list displays the fields available for your report.

3 Use the following elements to select the fields you want in your report:

Element | Function | Description
> | Add Field | Include the selected available field
>> | Add All Fields | Include all available fields in the report.
< | Remove Field | Remove selected field from the report.
<< | Remove All Fields | Remove all fields from the report.

4 Optionally, you can include a “relationship” field in your reports. The relationship field displays the relationship with respect to the selected box. To include the relationship add the field labeled <Relationship> to your reports. Relationship values include:

· Level <N> Manager – <N> corresponds to the level of the selected box’s supervisor. N=1 for the direct supervisor.

· Self – Value corresponding to the selected box

· Peer – Value corresponds to all boxes that share a common manager with the selected box.

· Level <N> Subordinate - <N> corresponds to the level of the selected box’s subordinates. N=1 for the direct subordinates.

5 Click the Grouping tab.

The Grouping tab enables you to group report records based on a chart field. For example, you can create a salary report that groups employees by department (in this example, by organizational unit), and then employee type.

6 Use the following elements to define groupings for a report:

Name | Description
Add Group | Create a grouping based on the selected field.
Remove Group | Remove the selected grouping.
Up Group | Move the selected grouping up.
Down Group | Move the selected grouping down.
Include Count | Display a count of the number of records in a grouping.

7 Click the Sorting tab. Sorting enables you to define the sorting order of the rows displayed in your report.

8 Use the Following elements to define the sorting of your report rows:

Name | Description
> | Add the selected available field to the sort list.
< | Remove the selected field from the sort list.
Sort Order | For each field included in the sort list, you can specify whether to sort using Ascending or Descending order. The [image] or [image] symbol next to each selected field name indicates the sort order to be used when the report is generated.

Note: You must add the fields from the Available Fields area into the Sort by fields area, then place then in the order in which you want them sorted.

9 Click the Criteria tab.

The Criteria tab enables you to define a subset of chart records to include in a report. For example, you may want to report only employees with salaries greater than 50,000.

The Report Summary tab is shown only if at least one number or formula field is defined. You can include the SUM, AVERAGE, MINIMUM and/or MAXIMUM value for any defined number or formula field as part of your report.

The Format tab enables you to define the format for each element in the report.

The left panel lists the hierarchy within the report according to your Grouping and Summary selections. The branches prefixed with a [image] indicate the categories of elements. Each element within a category can be formatted separately.

10 Format the report elements listed in the left panel:

· Select an element and click Format. The Properties dialog appears.

· Define the formatting properties for the report element.

Note: The Properties dialog for formatting report elements is essentially the same as any Windows® formatting dialog.

11 In the Grid Properties area, select the formatting options for the report:

· Show Grid: Includes row and column line separators in the report.

· Odd row fill color: Select the background fill color of odd record rows from the drop-down list.

· Even fill color: Select the background fill color of even record rows from the drop-down list.

The Range tab enables you to define the range of boxes that will be included in a dynamic report. By default dynamic reports include the selected box and all direct and indirect subordinates (within the current chart or sub-chart).

12 Do the following to define the range of your report:

· Use the Top radio button group to define the topmost box to be included in a report. The topmost box is defined with respect to the selected box.

· Use the Bottom radio button group to define the how many levels of the hierarchy to include in the report.

· Use the Include Peers checkbox to include the selected box’s peers.

13 Click OK.

Note: If the Manage Reports dialog box is displayed, click Close. The report is displayed in the Reports panel.

Editing Reports

This section describes how to modify reports.

To edit the current report:

· With the Reports panel open, click the Edit current report button [image] to modify the report.

To edit any report:

1 With the Reports panel open, click the Manage Reports button [image] . The Manage Reports dialog box is displayed.

2 Select a report and click Edit. The Report dialog box is displayed. Modify the report as desired.

3 Click Close to close the dialog box.

Note: You can reorder how reports are displayed in the Manage Reports dialog box using the Move Up and Move Down buttons.0

Copying Reports

You can copy a report. Copying a report, then editing the copy is an easy way to create a new report.

To copy a report:

1 With the Report panel open, click the Manage Reports button [image] . The Manage Reports dialog box is displayed.

2 Select a report and click Copy.0

Deleting Reports

You can delete a report that is no longer required.

To delete reports:

1 With the Reports panel open, click the Manage Reports button [image] . The Manage Reports dialog box is displayed.

2 Select a report and click Delete.

3 Click Close to close the dialog box.


Displaying Reports

This section describes how reports are displayed in the Reports panel.

To display a report:

· In the Reports panel, select the desired report from the Reports drop‑down list. The selected report is displayed in the Reports panel.

When generating a report, you can choose the sub-set of data to be used by clicking on the Display Options drop-down list [image] . The following display options are available:

Option | Description
Dynamic | Generate a report based on the currently selected chart box and its descendants.
Selection Only | Generate a report based on only the selected chart boxes.
Entire Chart | Generate a report based on the entire chart.
All Records | Generate a report based on the chart and all unassigned records (orphans).
Limit to sub-chart | For Dynamic reports only. Limit the contents of the report to the displayed sub-chart; does not include descendant sub-charts.


Working with Directories

A Directory is a tabular list of information derived from your chart. You can use a directory to send an email or to update data in the same way that you edit data in a spreadsheet.

Any number of special-purpose directories can be created to provide different kinds of information according to each your needs.

See...

Using the Directory Panel

Managing Directories

Displaying Directories

Other Directory Functions


Using the Directory Panel

This section describes how to work with the Directory panel.

To access the directory panel:

· Select Directory from the View menu. The Directory panel is displayed.

The Directory panel has the following elements:

Element | Name | Description
 | Directory Selector | Select a directory from the drop‑down list.
 | Display Options | Select sub-set of the chart data to be used for building your directory. See Creating Directories.
 | Print Directory | Print the displayed directory.
 | Print Preview | Preview how the currently displayed directory looks when printed.
 | Copy Directory | Copy the directory contents to the Clipboard.
 | Send Directory to Excel | Export the current directory to an Excel spreadsheet.
 | Manage Directories | Add, modify or delete directories.
 | Edit Current Directory | Modify the displayed directory.
 | New Record | Add an unassigned record to the directory.
 | Delete Record(s) | Delete the selected records.


Managing Directories

This section describes how to add, modify or delete directories.

See...

Creating Directories

Editing Directories

Deleting Directories

Creating Directories

This section describes how to create new directories. Any field that is not a picture or formula can be included in the directory.

To create new directories:

1 With the Directory panel open:

Click the link “Click here to create a directory” if no directories have been created previously.

Or

Click the Manage Directories button [image]. The Manage Directories dialog box is displayed. Then click Add.

2 The Directory Settings dialog box is displayed.

3 Enter the directory name in the Directory name field.

4 Use following functions to define the contents and format of the directory.

· Remove fields that you do not want displayed in the directory by selecting a field in the Selected Fields area and clicking Remove.

· Add fields to the directory by selecting a field in the Available Fields area and clicking Add.

· Arrange the fields in the Selected Fields area in the order in which they should appear in the directory using the Move Up or Move Down buttons.

· To change a label name, click on the label (Name, Title, and so on) and update the name as necessary.

· For each of the fields in a directory you can set the format by clicking on the Format button.

· In the Grid Properties area, you can change the following formatting options:

· Show Grid: Show row and column line separators in the directory.

· Odd/Even row fill color: Select the background fill color of odd/even directory rows from the drop-down list.

5 Click OK. The directory is created.

6 If the Manage Directories dialog box is displayed, click Close. The directory is displayed in the Directory panel.0

Editing Directories

This section describes how to modify directories.

To edit the current directory:

· With the Directory panel open, click the Edit Current Directory button [image] to modify the directory.

To edit any directory:

1 With the Directory panel open, click the Manage Directories button [image]. The Manage Directories dialog box is displayed.

2 Select a directory and click Edit. The Directory dialog box is displayed. Modify the directory as desired.

3 Click Close to close the dialog box.

Note: You can reorder how directories are displayed in the Manage Directories dialog box using the Move Up and Move Down buttons. 0

Deleting Directories

You can delete a directory that is no longer required.

To delete directories:

1 With the Directory panel open, click the Manage Directories button [image]. The Manage Directories dialog box is displayed.

2 Select the required directory and click Delete.

3 Click Close to close the dialog box. 0


Displaying Directories

This section describes how directories are displayed in the Directory panel.

To display a directory:

· In the Directory panel, select the desired directory from the Directories drop‑down list. The selected report is displayed in the Directory panel.

When generating a directory, you can choose the sub-set of data to be used by clicking on the Display Options drop-down list [image] . The following display options are available:

Option | Description
Dynamic | Generate a directory based on the currently selected chart box and its descendants.
Selection Only | Generate a directory based on only the selected chart boxes.
Orphans | Display a directory that contains only unassigned record (records that are not included in the chart.)
Entire Chart | Generate a directory based on the entire chart.
All Records | Generate a directory based on the chart and all unassigned records (orphans).
Limit to sub‑chart | For Dynamic directories only. Limit the contents of the directory to the displayed sub-chart; does not include descendant sub-charts.


Other Directory Functions

This section describes the other available directory functions.

See...

Editing Data Using Directories

Emailing from Directories

Adding and Deleting Records

Editing Data Using Directories

You can edit chart information using the directory. Changes are automatically reflected in the chart.

To edit chart data via the directory:

1 With the Directory panel open, select a directory from the Directory drop-down list.

2 Choose a row in the directory. Click any cell in that row and enter the desired changes. Press <Tab> to advance to the next cell or press <Enter> when finished. Notice that the corresponding box in the chart is also updated. 0

à

Note: When you double-click the icon [image] to the left of a directory line, the box corresponding to that record is selected.

Emailing from Directories

You can send an email from a directory.

To send an email:

1 With the Directory panel open, choose a directory from the Directory drop-down list.

2 Click the email address shown in any record. 0

Outlook or your default email client is automatically opened with a new message addressed to the recipient selected in your directory.

Adding and Deleting Records

The New Person function enables you to add an unassigned record to a directory

Note: The Delete Record(s) button [image] enables you to delete a record. If the record is associated with a box in the chart, the fields in the box are cleared but the box itself is not deleted.

To add a new person:

1 With the Directory panel open, select the desired directory from the Directory drop-down list.

2 Click the New Person button [image] . A new row is added to the directory. The Display Option is automatically set to show Orphans.

3 Enter data in the fields for each new record. You can tab from field to field. 0

Note: You can click on the Orphan icon [image] in any row and then drag it over any box in your chart. When you release the mouse button, a subordinate is added to the box.

Note: When you delete a box from the chart you can use the type <Ctrl>-Delete to add the box to the orphan list.


Working with Profiles

Profiles enable you to display and edit information related to any box in your chart, such as a photo, or phone numbers.

Profiles provide information about one selected box at a time. Profiles can include hyperlinks to documents and email addresses.

Profiles can be associated with Hotspots (See Modifying Box Layout). When you move the cursor over a hotspot OrgPlus dynamically displays the profile associated with that box.

See…

Using the Profile Panel

Managing Profiles

Displaying Profiles


Using the Profile Panel

This section describes how to work with the Profile panel.

To access the profile panel:

· Select Profile from the View menu. The Profile panel is displayed.

The Profile panel has the following elements:

Element | Name | Description
 | Profile Selector | Choose the profile to display.
 | Print Profile | Print the displayed profile.
 | Print Preview | Preview how the currently displayed profile looks when printed.
 | Copy Profile | Copy the profile contents to the Clipboard.
 | Send Profile to Excel | Export the current profile to an Excel spreadsheet.
 | Manage Profile | Add, modify or delete profiles.
 | Edit Current Profile | Modify the displayed profile.
 | Previous Record | Navigate to the previous record.
 | Next Record | Navigate to the next record.

Editing Data Using Profiles

You can edit records directly in the Profile panel. Changes you make in the Profile panel are automatically reflected in the chart.

To edit chart data using the profile panel double-click any cell in the profile and enter your changes. Press <Tab> or <Enter> to confirm each change and advance to the next cell.

Note: You can replace a picture in the profile, by double clicking the picture to display the Select Picture dialog.


Managing Profiles

This section explains how to add, modify, and delete profiles.

See...…

Creating Standard Profiles

Creating Composite Profiles

Creating HTML Profiles

Editing Profiles

Copying Profiles

Deleting Profiles

Creating Standard Profiles

This section describes how to create new profiles based on fields defined in your chart.

To create a new profile:

1 With the Profile panel open:

Select Click here to create a Profile if no profiles have been created.

Or

Click the Manage Profiles button [image] to display the Manage Profiles dialog. Click Add to display the Profile Settings dialog.

2 Use the following elements in Profile Settings dialog to create your profile:

Profile Name

Enter a name for the profile.

Profile Type

Select a radio button to specify the type of profile you want to create: Standard, Composite, or HTML.

· For Composite profile settings, see Creating Composite Profiles.

· For HTML profile settings see Creating HTML Profiles.

Available Fields

This area lists the fields available to be included in the profile.

Selected Fields

This area lists the fields selected to be included in the profile.

To change a label name, click the label and change it as necessary. You can reset a label to its original text by right-clicking it and selecting Use Original Label from the context menu.

Add>>

Select any available field and click this button to add the field to the selected fields list.

Optionally, you can add a free text field to your profile by selecting the field labeled Text. Once added, you can edit both the Label and Field values associated with the Text field.

<<Remove

Click any selected field and click this button to remove it from the selected fields list.

Add All>>

Click this button to add all available fields to the selected fields list.

<<Remove All

Click this button to remove all selected fields.

Move Up

To move a field up in the selected fields list, click this button.

Move Down

To move a field down in the selected fields list, click this button.

Format…

Select one or more fields and click this button to set font and alignment properties. You can also add icons before or after a field value to bring attention to a field.

Conditions…

To display the Conditional Formatting dialog box where you can specify conditions to control how fields are displayed in the profile. See Conditional Formats for more information.

Hotspots…

Use this button to define additional properties (such as border color) if this profile is to be used as of a hotspot.

Advanced…

This button displays the Advanced Profile Settings dialog box where you can select:

· Show Grid to include row and column line separators.

· Exclude from profile selector to exclude this profile from the profile panel. This is useful for profiles that are used as hotspots or included in composite profiles.

· Display profile for top box if no selection to display the profile for the top box when no box is selected.

Fill Color

Select the background fill color for the profile from the drop-down list. You can specify different colors for odd and even rows.

Merge Columns

You can show a field value without a label by selecting the label of the field and clicking the Merge Columns checkbox. For example you can show the employee name without the label Name.

3 Click OK.

Note: If the Manage Profiles dialog box is displayed, click Close. A blank profile is displayed in the Profile panel until you select a box in the chart.

Conditional Formats

Using the Condition… button you can define a set of conditions. If the defined criteria are met for a given record, fields within the profile are then reformatted in accordance with the conditional format. The example below shows how you can bring attention to high and low performers within your organization.

Creating Composite Profiles

A composite profile is composed of one or more standard profiles.

To create a composite profile:

1 Select Composite in the Profile Type area of the Profile Settings dialog box to access the Edit Composite profile display.

2 Select profiles from the Available Profiles list and add to the composite profile. Profiles can either be added as Tabs or as part of the main profile. The Available Profiles list is populated from defined Standard profiles. See Creating Standard Profiles for more information on creating profiles.

3 Select the Format… button to set border properties for each profile.

4 Click the Layout… button to specify the layout of profiles within the composite profile.

5 Optionally, you can conditionally include any selected tab or profile based on a set of criteria. Use the Conditions… button to specify the inclusion criteria for any profile.

Note: A single composite profile can be used to display different sets of information based on the selected box. For example, one set of tabs can be shown for managers and another for individual contributors.

6 Click OK when finished.0

Creating HTML Profiles

OrgPlus has the ability to render customized HTML pages inside the profile panel. These pages can access data provided in the chart to produce an interactive and visually rich profile. You can use standard HTML editing tools to create HTML profiles.

To create new HTML profiles:

1 In the Profile Type area of the Profile Settings dialog box select HTML to display the HTML version of the dialog box.

2 Enter the profile name.

3 In the HTML template text box, type the filename and location of an HTML profile.

Or

Click Browse to locate an HTML template.

Or

Click Create Default HTML profile to define where the default template is saved.

Note: It is preferable that this HTML file is online so that when you distribute your OrgPlus file, your recipients will be able to view the profile as well.

4 Click OK to create the profile.

Dynamic Field Substitution in HTML Profiles0

OrgPlus can dynamically replace fields in your HTML profile. Use the following syntax to include OrgPlus field data in your HTML profiles:

· [@FIELDNAME@], where FIELDNAME is the name of any field defined in define fields. For example, [@Name@] displays the value of the Name field, for the selected box.

The following is a basic HTML profile that displays the selected user’s name and title:

<HTML>

<BODY>

Name:[@Name@]<BR>

Title:[@Title@]

</BODY>

</HTML>

Editing Profiles

You can modify profile settings by clicking the Edit… button in the Manage Profiles dialog box. OrgPlus displays the Profile Settings dialog box. See Working with Profiles for detailed information.

Copying Profiles

You can copy a profile. Copying a profile, then editing the copy is an easy way to create a new profile. Use the Copy button in the Manage Profiles dialog to duplicate profiles.

Deleting Profiles

You can delete a profile that is no longer required.

To delete profiles:

1 With the Profile panel open, click the Manage Profiles button [image] to display the Manage Profiles dialog box.

2 Select the required profile and click Delete.

3 Click Close to close the dialog box.


Displaying Profiles

This section describes how profiles are displayed in the Profile panel.

To display profile information:

1 In the Profile panel, select the desired profile from the Profile drop‑down list.

2 Select any box in the chart. The Profile panel displays additional information for the selected box.


Working with Trees

The Tree panel provides another way of viewing your organizational hierarchy. You can also use this panel to reorganize your chart and to add or delete chart records.

See...

Using the Tree Panel


Using the Tree Panel

Select Tree from the View menu to display the Tree Panel. You edit records directly in the tree panel by doubling-clicking. The Level drop-down allows you to easily expand and collapse the displayed tree.

The Tree panel has the following elements:

Element | Name | Description
 | Print Tree | Print the displayed tree.
 | Print Preview | Preview how the currently displayed tree will look when printed.
 | Send tree to Excel | Export the current tree to an Excel spreadsheet.
 | Add a Position | Add a position following the selected position.
 | Delete a Position | Delete the currently selected position.
 | Move up | Move the selected record up with respect to its peers.
 | Move down | Move the selected record down with respect its peers.
 | Modify Tree Settings | Modify the Tree properties.
 | Select level | Select the chart level to display in the tree.

Modifying Tree Settings

In the default setting the Tree panel displays the name of each member of the organization in a hierarchical tree structure.

To modify tree settings:

1 Click the [image] button to display the Tree Settings dialog box.

2 Add fields to the tree view by selecting them in Available Fields and clicking the Add >> button.

3 Remove fields from the tree view by selecting them in the Selected Fields and clicking the < <Remove button.

4 Use the Move Up and Move Down buttons to adjust the positions of the Selected Fields.

5 Use the Format… button to change the formatting of a Label or Field.

6 Click OK when finished.

Note: To change a label name, click on the label (Name, Title, and so on) and update the name as necessary. You can reset the label to the original text by right-clicking on a label and selecting the Use Original Label menu item.

Using the Tree Panel to Reorganize your Chart

The tree panel is a great way to move boxes across different branches of your chart. You can drag and drop records within the tree panel. You can also drag a record from the tree panel to the current chart. You can even drag a record from the chart to the tree panel.


Searching Charts

The search panel allows you to search charts for all records that meet a set of criteria.

See...

Managing Search Results

Using the Search Panel

Orphan Management

This section describes how to work with the Search panel.

To access the search panel:

· Select Search from the View menu. The Search panel is displayed.

The Search panel has the following elements:

Element | Name | Description
 | Print Search Results | Print results from the current search.
 | Print Preview | Preview how the current search results will look when printed.
 | Copy Search Results | Copy search results to the Clipboard.
 | Send Search Results to Excel | Export the current search results to an Excel spreadsheet.
 | Modify Search Panel | Define which fields are returned after a search and change the formatting parameters used to display search results


Managing Search Results

This section describes how to select which fields are returned after a search. This section also describes how to change the formatting parameters used to display search results.

To modify search results:

1 With the Search panel open click the Modify Search [image] button. The Search Settings dialog box is displayed.

2 Move fields that you want to include in the search results from the Available Fields area to the Selected Fields area by selecting each field and clicking Add >>, or by clicking Add All >> to add all fields.
Use Remove and Remove All to remove fields.

· Arrange the fields in the Selected Fields area in the order in which they should appear in the search results by using the Move Up or Move Down buttons.

· To change a label name, click on the label (Name, Title, and so on) and update the name as necessary. You can reset the label to the original text by right-clicking on a label and selecting the Use Original Label menu item.

· For each of the fields listed in the Selected Fields area, you can set the format by clicking on the Format button (You can also right-click any field and select Format menu item).

· In the Grid Properties area, define the formatting for the profile as follows:

· Show Grid: Includes row and column line separators in the profile.

· Fill Color: Select the background fill color for the search results from the drop-down list. You can specify different colors for even and odd rows.

3 Click OK.


Using the Search Panel

When performing a search, you can set the sub-set of data to search using Search drop-down list. The following options are available:

Option | Description
All Records | Search the chart and all unassigned records (orphans).
Entire Chart | Search the entire chart.
Active Sub-chart | Search only the displayed sub-chart.
Orphans w/ Mgr | Search for all unassigned records that have a valid supervisor but are not part of the current chart.
Orphans w/o Mgr | Search for all unassigned records that do not have a valid supervisor are therefore not included in the chart.
All Orphans | Search all unassigned records.

Note: Look for the red icon [image] to the left of each orphan record.

To perform a basic search:

1 With the Search panel open, enter the search criteria.

2 Click Search. A list of a search results are returned.

Note: Clicking the [image] icon for any record will display and select the corresponding record in the active chart. 0

To perform an advanced search:

1 With the Search panel open, select the Advanced link.

2 Note: Use the Basic link to return to the basic search mode.

3 Specify the first search criteria by selecting a field, a comparator (contains, =, >, <), and a value.

4 Use the drop-down list to the left of the second search criteria to specify and / or. Specify the second search criteria by selecting a field, a comparator and a value. Repeat for the third and fourth criteria if needed.

5 Click Search. A list of a search results are returned.


Orphan Management

The search panel can be used to place unassigned records (orphans) into a chart. This is useful if your imported data contains no hierarchy information for one or more records.

For example, importing the following data:

ID | ReportsTo | Name | Title
1 |  | Lynn Brewer | CEO
2 | 1 | Larry Stevens | VP Sales
3 | 1 | Claire Chancellor | VP Engineering
4 | 1 | Fred Barnes | VP Marketing
5 | 1 | Gary Truman | Director Operations
6 | 1 | Martin Sawyer | Director Finance
10 | 14 | Mary Wilson | Marketing Director
11 | 10 | Joan Levinson | Marketing Director

Would result in the following chart:

With the following unassigned records:

ID | ReportsTo | Name | Record Type
10 | 14 | Mary Wilson | Orphan w/o Mgr
11 | 10 | Joan Levinson | Orphan w/ Mgr

Even though Joan Levinson has a valid manager (Mary Wilson), Joan cannot be included in the chart because her manager, Mary, cannot be included in the chart. If Mary is assigned to a manager in the chart, Joan can be automatically included in the chart.

Assigning Orphans:

1 With the Search panel open, select Orphans w/o Mgr from the Search drop-down list.

2 Click Search. A list of all unassigned records without a valid manager is returned. You can also search for all orphan records (All Orphans) or all orphans with valid managers (Orphans w/ Mgr) by selecting the associated option in the Search drop-down list.

3 Click Search. A list of a search results are returned.

4 Using the [image] icon you can drag and drop records in your chart using one of the following options:

· Drag over any box in your chart to move the selected item to a new supervisor.

· Ctrl-Drag over any box in your chart to create a copy of the selection.

· Drag into the sub-chart panel to move the selected box to report to the top of the selected sub-chart.

· Ctrl-Drag into the sub-chart panel to add a subordinate box to the top position of the selected sub-chart.

Note: Click the Sub-chart Panel link to display the sub-chart panel so that you can easily drag records into sub-chart charts.

Maintaining Orphan Placement after Data Refresh

You can prevent orphaned records that have been manually added back into the chart from being re-orphaning during the data refresh process. See Data Refresh and Consolidation for details.


Working with Comments

The comments panel allows you to easily view all comments associated with a chart. You can double-click any comment in the comments panel to edit that comment.

To access the comments panel:

· Select Comments from the View menu to display the Comments panel.

The Comments panel has the following elements:

Element | Name | Description
 | Print Comments | Print a list of all comments.
 | Print Preview | Preview how the comment list will look when printed.
 | Page Setup | Define the page setup elements such as magins.
 | Copy Comments | Copy selected comments to the Clipboard.
 | Send Comments to Excel | Export the comments list to an Excel spreadsheet.
 | Insert Comment | Define a comment for the selected box.
 | Delete Comment | Delete selected comment.
 | Previous Comment | Navigate to the previous comment.
 | Next Comment | Navigate to the next comment.


Importing and Exporting Data

Charts can be built based on data imported from an external data source. This book describes how to import data to create a chart.

Multiple OrgPlus charts can also be combined into a single chart using the consolidation feature.

The import and consolidation features are available only in OrgPlus Professional.

In addition, this book describes how to export chart data to Excel and other file formats.

In this book…

Importing Data

Advanced Import

Refreshing Data

Exporting Data

Push Data

Consolidation


Importing Data

Using the OrgPlus Import Wizard you can import data from following data sources:

· Any ODBC (Open Database Connectivity) compliant database

· Any OLE DB compliant database

· Oracle

· SQL Server

· LDAP (Lightweight Directory Access Protocol)/Active Directory

· Text file

· Excel Spreadsheet

· OrgLite XML file

· SAP HR-OCI (SAP HR Organizational Charting Interface)

See...

Source Data Requirements

Using the Data Connection Wizard

Using the Import Wizard

Verifying the Hierarchy

Using the Hierarchy Mapper


Source Data Requirements

Source data must be formatted correctly to be imported into OrgPlus.

See...

Required Fields

Creating Charts from Files

Including Advanced Data Fields

Required Fields

Data sources must contain a Position field and a Reports To field. OrgPlus cannot build a hierarchical chart unless these fields are available during the import process.

· Position field

Each record must have a Position field. Usually a numeric ID such as a position code or employee ID is used for the Position field. An email address can also be used. Using an employee name is not recommended as names are not unique.

· Reports To field

In order to determine the reporting relationship (such as, who reports to whom), each record must contain a Reports To field. The Reports To field enables OrgPlus to build a hierarchical chart.

Note: OrgPlus can also handle data that contains a hierarchy that cannot be processed using only the Reports To and Position fields. See Complex Hierarchies for more information.

Creating Charts from Files

You can import a file from any source as long as it meets some minimum requirements.

Use the following guidelines when creating an import file:

To prepare your text for importing:

1 Create one line in the file for each record in your chart.

2 If you are importing from a text file, each field must be separated by a delimiter (a tab, comma, semicolon, space, or other character).

· In the following example, each record has four fields, separated by commas. The four fields are Position, Reports To, Name, and Title. Position is used as the unique identifier for each record.

1, ,Chris Phillips,President

2,1,Lynn Brewer,Chief Financial Officer

3,1,Larry Stevens,Vice President

3 If you are importing from Excel you do not need to worry about commas. Each field should be entered into a cell.

1 |  | Chris Philips | President
2 | 1 | Lynn Brewer | Chief Financial Officer
3 | 1 | Larry Stevens | Vice President

4 You can, in addition, enclose each field value within text delimiters.

For example, if you separate fields with spaces, you need to enclose field values within another delimiter if the field values themselves contain spaces. Field values can be enclosed in double quotes, as in the following example: “2" "1" "Lynn Brewer" "Chief Financial Officer"

5 If you want to use one of your text delimiters as a literal character, precede it with an escape character.

For example, if a field value contains a double-quotation mark, place a backslash (\) in front of it so that OrgPlus knows it is a literal quote character and not the delimiter for a field.

6 Each record must contain a Position field and a Reports To field. Otherwise, the import wizard cannot determine the relationship between records.

7 You can create a header row that tells OrgPlus the names of the fields in the Text or Excel file.

If you create a header row, it must be the first row in the file. Instead of field values, the fields in this row contain the names of the fields themselves, for example: employee name, position, reports to, and title.

8 Make sure there are no blank lines in the file.

Including Advanced Data Fields

Your source can also include Advanced Data Fields. Advanced data fields automate chart formatting and can be used to identify assistant boxes, insert sub-chart breaks, hide branches, or specify the chart styles of selected branches. In addition, advanced data fields can also be used to identify rows to ignore during the import process.

In order to use advanced data fields, you must include a header row in your import file. The header must with contain columns that correspond to each utilized advanced data field. If you are importing from a database, the fields in the source database table (or view) must be named to match an advanced data field. A typical Excel import file would be constructed as follows:

ID | ReportsTo | Name | Title | IsAssistant | BreakAt
1 |  | Lynn Brewer | CEO | 0 | 0
2 | 1 | Larry Stevens | Assistant | 1 | 0
3 | 1 | Claire Chancellor | VP | 0 | 1

The following sections describe the available advanced data fields:

IsAssistant

BreakAt

CollapseAt

BranchStyle

Sequence

Exclude

Format

Special

AuxReportsTo

IsAssistant

If the IsAssistant field is included in an import file, OrgPlus can automatically format assistants in your chart. Setting IsAssistant to 1 for a record makes the corresponding box an assistant.

For example, if the IsAssistant field for Corinne Speer is set to 1 in the import file, the resulting chart is formatted as follows:

Note: You can specify an assistant branch style in the IsAssistant column (refer to the table in the BranchStyle section below).

BreakAt

If the BreakAt field is included in an import file, OrgPlus automatically inserts a sub-chart break for the corresponding record.

· Setting BreakAt to 0 does not insert a sub-chart break.

· Setting BreakAt to 1 inserts a sub-chart break.

· Setting BreakAt to a text string (such as, Marketing) inserts a sub-chart break and names the sub-chart based on the text.

CollapseAt

If the CollapseAt field is included in an import file, OrgPlus automatically collapses or expands the branch associated with each box. Setting CollapseAt to 1 collapses a branch.

BranchStyle

Using the BranchStyle advanced data field applies the branch style you specify to all subordinates of the selected record. By default, charts created using the Import Wizard select chart styles that minimize the total number of pages and optimize the distribution of boxes on each page.

The following branch styles are available:

Branch Style | Name | Branch Style | Name
 | TreeStyle |  | ListStyle
 | TreeLeftStyle |  | LeftListStyle
 | TreeRightStyle |  | BoxListStyle
 | TreeStaggerStyle |  | BoxListLeftStyle
 | TreeStaggerLeftStyle |  | BoxListRightStyle
 | TreeStaggerRightStyle |  | SuperiorBoxListStyle
 | TwoColumnStyle |  | Assistant1Style
 | TwoColumnTreeStyle |  | Assistant2Style
 | FourColumnStyle |  | Assistant3Style
 | FourColumnTreeStyle |  | Assistant4Style
 | OneColumnStyle |  | Assistant5Style
 | OneColumnLeftStyle |  | Assistant6Style
 | OneColumnCenterStyle |  | Assistant7Style
 | OneColumnLeftCenterStyle |  | Assistant8Style
 | OneColumnEdgeLeft |  | OneColumnEdgeRight
 | MultiColumnLine |  | CoManagerStyle
 | MultiColumnPair |  |
Sequence

The Sequence field allows you to control the order in which subordinate boxes are arranged under a manager. Boxes are sequenced from left to right and then top to bottom.

For example, importing the following data …

ID | ReportsTo | Name | Title | Sequence
1 |  | Lynn Brewer | CEO | 0
2 | 1 | Larry Stevens | VP Sales | 3
3 | 1 | Claire Chancellor | VP Engineering | 2
4 | 1 | Fred Barnes | VP Marketing | 1

… would create the following chart:

Notice that Larry Stevens, assigned sequence number 3, is third from the left.

The Sequence field can also be used to sequence subordinates in multiple rows and columns beneath a manager. To achieve this, enter row number and sequence number separated by a : for each import record.

For example, importing the following data …

ID | ReportsTo | Name | Title | Sequence
1 |  | Lynn Brewer | CEO | 0
2 | 1 | Larry Stevens | VP Sales | 1:1
3 | 1 | Claire Chancellor | VP Engineering | 1:2
4 | 1 | Fred Barnes | VP Marketing | 1:3
5 | 1 | Gary Truman | Director Operations | 2:1
6 | 1 | Martin Sawyer | Director Finance | 2:2

… would create the following chart:

Exclude

The Exclude field allows you to determine how each box in your chart is handled with respect to calculations.

· Setting Exclude to 0 includes a box in all counts and calculations.

· Setting Exclude to 1 excludes a box from all counts and calculations.

· Setting Exclude to 2 excludes a box from all counts.

· Setting Exclude to 3 excludes a box from all calculations.

Format

The Format field allows you to specify the format for any given box. The example below contains a subset of available options. See the OrgPlus Knowledge Base at www.orgplus.com/support for more information on the Format advanced data field.

ID | ReportsTo | Name | Title | Format
1 |  | Lynn Brewer | CEO | fields_show=”Name, Title”, font=”Verdana,12, blue”
2 | 1 | Larry Stevens | VP Sales | fields_show=”Name,”, font=”Verdana, 9”, box=”round_rect”
3 | 1 | Claire Chancellor | VP Engineering | fields_show=”Name,”, font=”Verdana, 9”, box=”round_rect”
4 | 1 | Fred Barnes | VP Marketing | fields_show=”Name,”, font=”Verdana, 9”, box=”round_rect”
Special

The Special field allows you to specify chart formatting parameters such as chart title and chart background color. See the OrgPlus Knowledge Base at www.orgplus.com/support for more information on the Special field.

ID | ReportsTo | Name | Title | Special | Format
 |  |  |  | title=”My Corp” | font= “Verdana, 24”
 |  |  |  | chart_fill=”solidfill, green” |
1 |  | Lynn Brewer | CEO |  |
2 | 1 | Larry Stevens | VP Sales |  |
3 | 1 | Claire Chancellor | VP Engineering |  |

The Special field can also be used to ignore any row from the import data source. For example, as shown below, an Excel file containing a summary row.

ID | ReportsTo | Name | Title | Salary | Special
1 |  | Lynn Brewer | CEO | 125,000 |
2 | 1 | Larry Stevens | VP Sales | 75,000 |
3 | 1 | Claire Chancellor | VP Engineering | 100,000 |
 |  |  | Total | 300,000 | Ignore
AuxReportsTo

The AuxReportsTo field allows you to specify one or more auxiliary reporting relationship within your chart.

Importing the following data:

ID | ReportsTo | AuxReportsTo | Name | Title
1 |  |  | Lynn Brewer | CEO
2 | 1 |  | Larry Stevens | VP Sales
3 | 1 |  | Claire Chancellor | VP Engineering
4 | 1 |  | Fred Barnes | VP Marketing
5 | 2 | 4 | Gary Truman | Director Sales/Marketing
6 | 3 |  | Martin Sawyer | Director Engineering

Would result in the following chart:

Note: Multiple auxiliary reporting relationships for a single record must be separated by semi-colons.


Using the Data Connection Wizard

The import wizard requires a Data Connection file to import data from LDAP (Active Directory), Oracle, SQL Server, SAP (HR-OCI), OLE DB or ODBC compliant data source. You can use the Data Connection wizard to create a Data Connection file.

If you are importing from a text, Excel, or OrgLite XML file, continue with Using the Import Wizard.

The Data Connection Wizard is described in the following steps.

Creating a Data Connection File

Selecting the Table/View

Creating a Data Connection File

In order to access an external data source, you must create a data connection file. A data connection file contains all the configuration details required to connect to an external data source.

To create a Data Connection file:

1 Select Import Data from the File menu to display the Select Data Source dialog box.

2 Click New Source.

3 Select one of the following data sources and click Next.

· ODBC DSN

· OLE DB

· Oracle

· SQL Server

· SAP (HR-OCI)

If you selected ODBC DSN

The ODBC Wizard – Connection dialog box is displayed.

To select the ODBC data source:

1 Select an ODBC Data Source and click Next.

2 You are prompted based on which ODBC Data Source you selected. You may be required to select a database file or to login to a database server.

3 Click Next.

If you select OLE DB

1 In the Connection String field, enter a connection string.

2 Enter the User Name and Password.

3 Click Next.

Note: More detailed information on OLEDB is available in the OrgPlus Support Center (http://www.orgplus.com/support).

If you select Oracle

1 In the Service Name field, enter the required service name.

2 Enter your Oracle User Name and Password.

3 Select whether you want to browse for a database and table/view or whether you want to specify a database and table/view. If your login account has access to a large number of databases or tables/views, downloading a complete catalog to browse may be time consuming.

4 Click Next.

If you select SQL Server

1 In the Server Name field, enter a server name.

2 Select one of the following Log on credentials:

· Use Windows Authentication

· Use the following User Name and Password, and enter the User Name and Password.

3 Select whether you want to browse for a database and table/view or whether you want to specify a database and table/view. If your login account has access to a large number of databases or tables/views downloading a complete catalog to browse may be time consuming.

4 Click Next.

If you select SAP (HR-OCI)

1 Enter all the SAP Connection parameters.

2 Click Next.

Note: The SAP HR-OCI connection is an add-on module to OrgPlus Professional. More detailed information on SAP HR-OCI is available in the OrgPlus Support Center (www.orgplus.com/support).

Selecting the Table/View

After you have selected the data source, the Tables/Views dialog box is displayed (if you did not specify a table/view in the previous step), which lists the views or tables available from the selected data source.

Note: If you selected SAP HR-OCI you will not need to select a table or view or if you specified a database and table/view in the previous wizard step.

To select a table or view:

1 Select the table or view that contains the source data.

2 Click Next.

The Result dialog box displays data from the selected table/view. If the data is incorrect or an error occurs connecting to your data source, click Cancel and repeat the process making sure you select the correct table/view and that all parameters are entered correctly.

If required, use the Browse button to change the name or the path that will be used to save the Data Connection file.

Note: If you are planning to use automation to refresh your data, make sure to select the Save password in file checkbox. If not selected, you are prompted to supply the password each time you connect to the database.

3 Click Finish to save the Data Connection file. You are returned to the Select Data Source dialog.


Using the Import Wizard

See...

Selecting the Data Source

Defining Data Settings

Selecting the Data Source

In this step, you will use the Import Wizard to select a Data Connection file or data source.

To select the data source:

1 Select Import Data from the File menu. The Select Data Source dialog box is displayed.

2 Select a data connection file (.ora, .ldap, odbc, .sqlsvr, .saphr, .oledb) or a data source file (.xml, .txt, .xls, .xlsx) and click Open.

Note: Depending on the file type selected you may be prompted to login to the data source.

If you select an Excel (XLS) Spreadsheet

The Import Wizard - XLS Sheet Selection dialog box enables you to select a worksheet from the Excel file and to verify that the worksheet is properly formatted.

To verify that the Excel file is properly formatted:

1 Choose a tab (Sheet1, Sheet2 or Sheet3 above). The corresponding data is displayed in the dialog box.

2 Verify that the data is properly formatted and ready for import.

If the data is not correct, click Cancel and make any required corrections to the spreadsheet.

3 You can manually define whether the first row contains data or column headers by selecting the appropriate option:

· First row contains column names

· First row contains data

4 Click Next. The Import Wizard - Data Settings dialog box is displayed.

If you select a Text (txt) file:

The Import Wizard - Delimiters dialog box enables you to verify that OrgPlus has correctly identified the delimiters used to denote columns in the source text file. If not, you can select the correct delimiters.

To verify that your data file is correctly delimited:

1 You can specify Delimiters manually. Choose whether to use the Tab, Comma, Semicolon or Space as delimiters or define your own delimiter using the Other checkbox and text entry area.

2 You can specify which characters are used as Text Qualifiers. Text qualifiers help OrgPlus process each field. For example a quote can be used to define the start and end of a name field (such as Smith, Nora).

3 If your text file uses an escape symbol, enter it in the Escape symbol field. An escape symbol indicates that a character should be interpreted literally (not as a delimiter or qualifier).

4 You can manually define whether the first row contains data or column headers by selecting the appropriate option:

· First row contains column names

· First row contains data

5 Verify that the data, as displayed in the dialog box's Imported Data section, has been properly delimited according to your definitions and is ready for import.

6 Click Next to continue. The Import Wizard - Data Settings dialog box is displayed.

Defining Data Settings

This procedure enables you to sequence through each source field and determine which fields should be imported. You can also define the properties associated with each field.

All fields from the source can be imported. The Source Field drop-down list includes all the fields defined in the source file.

To specify the kind and type of data that is in each field

1 Optionally you can use the Merge Fields button to combine fields (such as first and last name). See Merge Fields.

2 Select each source field in turn from the Source Field drop-down list and define its settings:

· If you do not want to import a field, you can omit it by selecting Exclude Field. You can include all fields by selecting the Include All button.

· Use Field Name to rename any field.

· Use the Field Type drop-down list to select the field's type (Text, Date, Picture or Number).

· If the Field Type selection is Text or Number, you can further define the field type using the Field Category drop-down list.

· Select Hyperlinked if the field contains a hyperlink (such as an email address or a URL).

Note: Managing Duplicate records is discussed in Duplicates; and sorting is discussed in Sort Criteria for Subordinate Boxes.


Verifying the Hierarchy

Click the Next> button in the Data Settings dialog box to display the Verify Hierarchy dialog box, You can verify that OrgPlus is building the chart hierarchy correctly and also set a filter which allows you to define a subset of source data to import into a chart, for example, a division within an organization.

In the following example, OrgPlus selects the source fields ID and ReportsTo as default choices for the Position and Reports To fields. The chart hierarchy built (based on the selected Position and Reports To fields) is shown on the right side of the dialog box.

To define the chart hierarchy:

1 Identify the Position field. You can specify the field used as the Position (unique identifier) using the Position: drop-down list.

2 Identify the Reports To field. You can specify the field used as the Reports To identifier or clear the Reports To checkbox if the data source does not contain hierarchy information or you do not want to use the Reports To information contained in the data source.

Note: Optionally, you can change the fields that are displayed in the Import Wizard by clicking the Show Fields… button. This is helpful if the Name field does not provide enough information to verify that the hierarchy is correct.

Note: Use the Advanced… button if your data contains a hierarchy that cannot be processed using only the Reports To and Position fields. See Advanced Import.

3 Identify the Unique Field. Use this drop-down list to specify the field that will uniquely identify each record during the data refresh process.

Note: Click Filter Data to select a subset of information from the data source. See Filtering Data for more details.

4 After you finish defining the hierarchy and data filtering options, click Finish.

Note: If there are unmapped records (orphans) in your source, you will receive the following prompt:

· Click Fix After Import if you want to fix the hierarchy (using the Search panel) after the import process is complete. See Orphan Management for more information on managing orphan records. This option is the recommended method if there are more many unmapped records in your data source.

· Click Use Hierarchy Mapper… if you want to manually assign orphans to managers. This method is best for correcting a few unmapped records. Click this button to display the Hierarchy Mapper dialog box. For more information, see Using the Hierarchy Mapper.

· Click Ignore if you do not want to assign orphans to managers. You can view and map orphan records using the Search panel. See Orphan Management for more information on managing orphan records.

5 If your chart has at least four levels you will prompted to sub-chart. For more information about sub-charts, refer to Working with Sub‑charts.

· Click Yes if you want to sub-chart the imported chart.

· Click No if you do not want to sub-chart. You can add sub-chart breaks later if needed.


Using the Hierarchy Mapper

Your data source may contain records that cannot be added to a chart because the Position or Reports To information for those records is missing or incorrect. Records that cannot be added to a chart are called orphans. The Hierarchy Mapper dialog box enables you to assign orphan records.

The Unassigned Positions panel on the left lists all the orphans. All the assigned positions are shown in the right panel.

To map orphans into imported charts:

1 Drag each orphan from the Unassigned Positions panel to their respective manager in the right panel.

2 Select Remove All Unassigned Positions if you want to discard all unmapped orphans when the chart is created. If you do not select this option, you can map the orphans into the chart using a directory. See OrgPlus Panels.

3 Select Maintain Hierarchy Mapper Settings to preserve the mappings when you next use Data Refresh.

4 Click OK.

Note: Optionally you can change which fields are displayed in the hierarchy mapper by clicking on the Show Fields button. This is helpful if the Name field does not provide enough information to map the orphans. For example, in the following example both Name and Title are shown.

à

Changing the Fields that are shown in the Hierarchy Mapper

When using the hierarchy mapper it can be helpful to change which fields are displayed.

To change the fields that are displayed in the Hierarchy Mapper:

1 In the Hierarchy Mapper dialog box, click Show Fields to display the Hierarchy Mapper Show Fields dialog box.

2 You can determine which fields are shown in the Hierarchy Mapper by moving fields between the Allowable panel the Show panel using the > and < buttons.

3 Click OK when finished.


Advanced Import

See...

Duplicates

Merge Fields

Sort Criteria for Subordinate Boxes

Show Fields

Combining Multiple Records

Grouping Peers

Top of Chart

Filtering Data

Complex Hierarchies

Using LDAP


Duplicates

Your organizational charts may contain people who report to more than one manager. People who report to more than one manager typically have a dotted line reporting relationship to their secondary managers. Boxes that contain an employee who appears more than once in an organizational chart are displayed as follows:

Note: Any person that appears more than once in your organizational chart has a [image] icon in lower right corner of their box. Click this icon to navigate to the next occurrence of that person.

To identify duplicate reports in your chart

1 Select the Duplicates… button in the Import Wizard - Data Settings dialog box to display the Identify Duplicates dialog box.

2 Click the Identify duplicate records checkbox.

3 Select a field to be used as a Key for identifying duplicate records.

4 Specify whether you want to automatically update your duplicate records when refreshing data. Automatically Update will automatically update the [image] icon in chart boxes when manual edits are made to a chart. We recommend that you do not select this option.

5 Specify whether you want to show alternate managers for your duplicate records. Selecting the Show alternate managers checkbox displays alternate manager for each duplicate employee record:

· As callout displays a callout containing the alternate managers.

· As part of box displays the alternate managers within each box.

6 If you select the Show alternate managers option, you can specify one or two fields of to be shown for each alternate manager:

· Show Field 1: Use this drop-down list to select the first field to display for each alternate manager.

· Show Field 2: Use this drop-down list to select the second field to display for each alternate manager.

7 Click OK.

In the following example, Martin Smith acts both as the VP of Finance and as the Acting VP of Marketing. Selecting ID as the Key field allows OrgPlus to identify that Martin Smith is the same person.

Position | ReportsTo | Name | Title | ID | Primary
1 |  | Lynn Brewer | CEO | 5011 | 1
2 | 1 | Larry Stevens | VP Sales | 5022 | 1
3 | 1 | Claire Chancellor | VP Engineering | 5023 | 1
4 | 1 | Gary Truman | VP Operations | 5024 | 1
5 | 1 | Martin Smith | VP Finance | 5040 | 1
6 | 1 | Martin Smith | Acting VP Marketing | 5040 | 0

Note: Conditional formatting can be used to format boxes for any secondary reporting relationships. In the above example, creating a conditional format using the Primary field allows you to conditionally format the second occurrence of Martin Smith.


Merge Fields

You can import fields from the data source in a combined form. For example, if the source includes the fields Last Name and First Name, you may want to import these as a single Name field.

To merge fields for charting purposes:

1 Click the Merge Fields… button in the Import Wizard – Data Settings dialog box to display the Merge Fields dialog box.

The From area displays the fields that are eligible for merging.

2 Select the fields you want to merge in the From area and use the [image] button to move the them to the To area.

3 Define a new column for the merged field by typing it the New Column Name text box.

4 Specify whether you want to include or exclude the individual fields after the merge. By default the Exclude Old Columns checkbox is selected. If you want to retain the individual fields after the merge, uncheck this checkbox.

5 Click the Merge button to confirm your decision, or click the Reset All button to undo your changes.

6 Click OK.


Sort Criteria for Subordinate Boxes

You can specify the criteria by which to sort subordinates that report to individual managers.

To define sort criteria for subordinate boxes:

1 Click the Sort Criteria… button in the Import Wizard – Data Settings dialog box to display the Sort Criteria dialog box.

2 Use the Sort by and Then by drop-down lists to select up to three sorting levels. For each level, select either the Ascending or Descending radio button.

3 Click OK.


Show Fields

You can specify which fields appear in the Verify Hierarchy tree display.

To select the fields to show in the hierarchy tree:

1 Click the Show Fields… button in the Import Wizard – Verify Hierarchy dialog box to display the Show Fields dialog box.

2 Use the add [image] and remove [image] buttons to select which fields are to be displayed in the hierarchy tree.

3 Click OK when finished.


Combining Multiple Records

When importing data, you may want to combine all the members of a team into a single box.

This can be done manually after import or during the import process by combining all records that share a common field value.

For example, importing the following data:

ID | ReportsTo | Name | Title | Function
1 |  | Lynn Brewer | CEO |
2 | 1 | Larry Stevens | Manager Sales |
3 | 2 | Claire Chancellor | Sales Associate | Sales
4 | 2 | Bill London | Sales Associate | Sales
5 | 2 | Joanne Banks | Sales Associate | Sales
6 | 2 | Patrick Gaines | Sales Associate | Sales

Combining all sales associates would yield:

this chart…

rather than this.

To combine records into multi-records boxes:

1 In the Import Wizard - Verify Hierarchy dialog box, select the Combine… button to display the Combine dialog box.

2 Select the Combine Records checkbox.

3 Use the Combine using: selector to select a field (For example, the ReportsTo field in the example above).

4 Select the Only combine boxes with no subordinates checkbox to limit creation of multi-record boxes to the bottom level of your organizational chart. If you select this option, you can also set the Include subordinates with no peers checkbox to create multi-record boxes that contain only one record.

5 Optionally, you can use the Criteria tab to restrict multi-record box creation to include only boxes that meet specific criteria (i.e. Title = Sales Associate).

6 Click OK to exit the Combine dialog box.

7 Click OK.

Note: To manually create multiple record boxes see Multi-record Boxes.

Note: Another approach to combining records is to use a shared Position ID field value to combine records. An example is shown below:

PositionID | ReportsTo | Name | Title
1 |  | Larry Stevens | Manager Sales
5 | 1 | Claire Chancellor | Sales Associate I
5 | 1 | Bill London | Sales Associate II
5 | 1 | Joanne Banks | Sales Associate II
5 | 1 | Patrick Gaines | Sales Associate I


Grouping Peers

When importing data, you may want to group peer records. This can be done manually after import or during the import process by grouping peer records.

For example, importing the following data:

ID | ReportsTo | Name | Title
1 |  | Larry Stevens | Manager Sales
2 | 1 | Claire Chancellor | Sales Associate
3 | 1 | Bill London | Sales Associate
4 | 1 | Joanne Banks | Engineer
5 | 1 | Patrick Gaines | Engineer

Grouping by title would yield:

this chart…

rather than this.

To combine records into multi-records boxes:

1 In the Import Wizard - Verify Hierarchy dialog box, select the Group… button to display the Group dialog box. .

2 Select the Group Peers checkbox.

3 Use the Group using: drop-down menu to select a field (For example, the Function field in the example above).

4 Select the Only group boxes with no subordinates checkbox to limit the grouping of peer boxes to the bottom level of your organizational chart. If you select this option, you can also set the Group Boxes with no peers checkbox to group all boxes without peers.

5 Optionally, you can use the Criteria tab to restrict grouping to include only boxes that meet specific criteria (i.e. Title = Sales Associate).

6 Click OK to exit the Group dialog box.


Top of Chart

By default OrgPlus displays the Largest Branch (chart) that can be created from a data source. You can change which branch is used to build a chart. You can also create a chart with multiple top positions.

1 Click the Top of Chart… button in the Import Wizard – Verify Hierarchy dialog box to display the Top of Chart dialog

You can choose which record(s) will be designated as the top position in the chart by either specifying a Position or Reports to value. This is useful in the following cases:

· Multiple boxes at the top: To designate more than one box at the top of chart make sure that each box must has the same reports to value.

· Circular Reference at the top: The top boxes report to each other.

· Display orphans at the top: All orphan records must have the same reports to value.

Note: You can enter multiple values separated by commas.

2 Click OK.


Filtering Data

The Filter Data dialog box enables you to limit the information that is charted from the source. You can use this feature to extract the hierarchy of a specific department, division or sub-division of a large organization.

To filter the branches to be imported:

1 From the Import Wizard - Verify Hierarchy dialog box, click Filter Data to display the Filter Data dialog box.

2 Define the filter options as follows:

· Choose top position: Enables you to define the top level in the chart tree that you want to import. By default Chart is selected in the Top Position drop-down list.

If you choose a manager, only that manager’s branch is imported.

· Choose number of levels: Having chosen the Top Position, you can now define how many levels below that top position must be filtered.

· Filter Levels from: Select the name of the first person in the filter level from the drop-down list.

· Show Levels: By default the drop-down list shows the maximum number of levels below the Top Position that you can filter. Select any other level from the drop-down list.

3 Click OK when finished.

Note: Optionally, you can change the fields that are displayed in the Filter Data dialog box by clicking the Show Fields button.


Complex Hierarchies

OrgPlus can handle data with a hierarchy that cannot be processed using only the ReportsTo and Position fields. For example, you can use an OrgUnit hierarchy, in which the reporting structure is defined by organizations and then by a position hierarchy within each organization.

OrgUnits Containing Position

If the Primary Position in your hierarchy is the OrgUnit and each OrgUnit reports to a ParentOrgUnit, you can define a Secondary Hierarchy to chart the reporting structure within each Orgunit.

The following chart was created (using the table below) by adding a secondary hierarchy in which Supervisor ID reports to Department ID:

Position | Supervisor | Department | Parent Dept. | Name | Title
500 |  | 1 |  | Chris Phillips | CEO
501 | 500 | 1 |  | Lynn Brewer | CFO
100 |  | 2 | 1 | Tina Nomura | COO
101 | 100 | 2 | 1 | Cathy Fineran | Facilities
102 | 100 | 2 | 1 | Dan Handalian | HR
300 |  | 3 | 1 | Larry Stevens | VP

To define a Secondary Hierarchy

1 On the Verify Hierarchy page of the Import Wizard, click the Advanced… button to display the Advanced Hierarchy Options dialog box.

2 Select the Secondary Hierarchy: radio button.

3 Use the Position: and Reports To: drop down menus to define the reporting structure of the secondary hierarchy.

4 Click OK to continue with the import process.

OrgUnit Containing a Chief Position

If your data contains a hierarchy of OrgUnits (or departments), you can identify a Chief Position within each OrgUnits in order to build a hierarchy. For example, importing the data below results in the chart that follows:

OrgUnit | ParentOrgUnit | ChiefPosition | Name | Title
1 |  | 1 | Chris Phillips | CEO
1 |  | 0 | Lynn Brewer | CFO
2 | 1 | 1 | Tina Nomura | CFO
2 | 1 | 0 | Cathy Fineran | Facilities
2 | 1 | 0 | Dan Handalian | HR
3 | 1 | 1 | Larry Stevens | VP

To define a Chief Position

1 On the Verify Hierarchy page of the Import Wizard, click the Advanced… button to display the Advanced Hierarchy Options dialog box.

2 Select the Define Chief Position: radio button.

3 Click the Condition… button to display the Advanced Hierarchy Conditions dialog box.

4 Define the criteria for identifying chief positions.

5 Click OK to finish defining the condition.

6 Click OK to continue with the import process.


Using LDAP

OrgPlus can be configured to access an LDAP server. You must create a data connection file and then use the Import Wizard to select that file.

To create an LDAP Data Connection File

· Create a file with the extension type .ldap. Include the following parameters in your LDAP data connection file.

Parameter | Description
server | LDAP server address (for example, server=someserver.somenet)
Protocol | Protocol specifies version 2 or 3 of LDAP. (for example, protocol=3)
user | Login name (for example, user=cn=some_dn
rememberpassword | Keep encrypted password in LDAP config file (0=no, 1= yes)
skiplogin | Skips login dialog (1=no, 0=yes)
password | Encrypted LDAP server password is created by using the login screen at least once
filter | LDAP search filter string
base | The name of the entry from which to begin the search. Multiple base entries can be added using semicolons
acceptedfields | Indicates which attributes to return for each matching entry
multivalued | For multivalued attributes, choose to take only the first value (first), create new columns for each value (clone), or append each value in a single field (append)
lowercase | List of fields which should be forced into a lowercase. Useful for Position and ReportsTo fields.

The following is an example of an LDAP connection file:

[logon]

server=someserver.somenet

protocol=3

user=cn=some_dn

password=some_pass

rememberpassword=1

skiplogon=0

[config]

Multivalued=append

lowercase=dn,manager,cn,ou

filter=(objectclass=OrgPerson)

base=ou=people,dc=metaview,dc=orgplus,dc=com

acceptedfields=dn,manager,cn,mail,telephoneNumber,PhotoURL,title,ou


Refreshing Data

OrgPlus enables you to perform a Data Refresh on charts created from an external data source.

See...

Refreshing your Chart Data

Changing Refresh Properties

Excluding Box Contents


Refreshing your Chart Data

Refresh updates the chart data from the source. In the refresh process, your source data overwrites the data in your chart. Other than formatting, refresh does not preserve any changes made directly to a chart.

Note: You can specifically exclude one or more boxes from the refresh process using the Lock on Refresh option discussed below in Excluding Box Contents.

You can change Refresh settings. For details, see Changing Refresh Properties.

To refresh your chart data from the data source:

1 With your chart displayed, select Refresh Data from the Data menu.

2 Because data refresh may be time consuming (especially for large charts), you will be prompted to continue. Click Yes.

When the refresh process is complete, you have the option of viewing a log of all changes made

3 Click Yes if you want to view the log; otherwise click No.


Changing Refresh Properties

The Refresh Properties dialog box enables you to change the parameters set during the import process. By default, Refresh Data uses the same settings as the original Import.

Refresh Properties can be used only with charts created from an external data source.

To change the Refresh properties:

1 With your chart displayed, select Refresh Properties from the Data menu to display the Refresh Properties dialog box.

2 On the Source tab you can modify the following parameters:

· Data Source: Select a new data source. This is useful if the original data source has been moved or renamed.

· Data Filters: During import you can choose to import a subset of your source data. You can modify the original data filter to change the subset of source data used during refresh.

· Import Fields From Source: Select the fields to be updated during the Refresh process. Only selected fields are refreshed, while the unchecked fields are not modified during refresh. The Modify button becomes active when you select any field.

· To remap a field: Select any checked field and click the Modify button. Use the Field from Source drop-down list to map the field to a data source field.

· To add a field: Select the checkbox associated with any unchecked field to display the Modify dialog. Define field mapping using the OrgPlus Field drop-down list. By default, a new OrgPlus field with the same name as the data source field is created. You can name the OrgPlus field by typing directly into the OrgPlus Field drop-down.

Note: At any time, you can rename OrgPlus fields by selecting Define Fields… from the Data menu.

· Position: Select the field to be used as the position field. The position field and Reports To fields are required to build the chart hierarchy.

· Reports To: Select the field to be used as the Reports To field.

· Unique Field: Select the field to be used as the unique identifier for each record in the source data. This field is used to match boxes in the existing chart with records from the data source.

3 Click the Options tab to modify further parameters.

Re-apply Sub-chart Rules: After refreshing a chart, reapply the original sub-chart rules.

Re-apply Chart Rules: After refreshing a chart, reapply all defined chart rules.

Re-apply Photo Manager: After refreshing a chart, refresh all photos based on the current Photo Manager settings.

Refresh Hierarchy: When Refresh Hierarchy is selected, the reporting structure of the chart and the contents of each box are updated during a refresh. When this option is not selected, only information within the chart boxes is updated. This is useful when the data source contains incorrect or is missing hierarchy information, or when you have manually modified the hierarchy of the chart.

Refresh Auxiliary Lines: After refreshing a chart, refresh all auxiliary lines based on the AuxReportsTo advanced data field. See Adding Auxiliary Lines.

Refresh Combined Positions: After refreshing the chart, re-combine records into multi-record boxes based on the settings in the Combine dialog (see Combining Multiple Records for more information on combining records).

Refresh Group Positions: After refreshing the chart, group peers based on settings from the Group dialog (see Grouping Peers for more information).

Re-apply Sorting: After refreshing a chart, re-sort boxes based on the options defined in the Sort Data dialog box.

Unassigned Positions

Remove unassigned Positions: If you select this option, orphan records that are currently in the chart, will be removed from the project in the refresh.

Maintain Mapping of Unassigned Positions: Select this option if you want the refresh to maintain the chart positions of records that are orphans in the data source.

Note: You can preserve the current positions of orphan records you have mapped and prevent the inclusion of further orphan records in the refresh process by checking both of the Unassigned Positions checkboxes.

Determine top of chart using:

By default OrgPlus displays the Largest Branch (chart) that can be created from a data source. You can choose which record(s) will be designated as the top position in the chart by either specifying a Position or Reports to value. This is useful in the following cases:

· Multiple boxes at the top: To designate more than one box at the top of chart make sure that each box must has the same reports to value.

· Circular Reference at the top: The top boxes report to each other.

· Display orphans at the top: All orphan records must have the same reports to value.

· Click OK to update your changes to the Refresh Properties.


Excluding Box Contents from Data Refresh

After manually updating the contents of a box, you may want to lock the contents of that box so that it is not updated during a data refresh. This is useful if you maintain data in one or more boxes that is not in your underlying data source.

Note: If you have defined multi-record boxes, the Refresh process will preserve the formatting of those boxes and apply that formatting to any new multi-record boxes created by data refresh.

To lock/unlock the contents of a box during data refresh:

1 Select the boxes that you want to lock or unlock.

2 Click the Box Layout tool [image] or select Box Properties from the Format menu. The Box Properties dialog box is displayed.

3 Click the Advanced tab.

4 Check or uncheck the Lock contents during data refresh checkbox.

5 Click OK.


Exporting Data

Chart data can be exported to a variety of formats. Export destinations include:

· Windows Clipboard

· Microsoft Excel Workbook (.xls)

· Microsoft Excel 2007 Workbook (.xlsx)

· Microsoft Word Document (.doc)

· Microsoft Word 2007 Document (.docx)

· Comma Separated File (.csv)

· Tab Separated File (.txt)

See...

Sending to Microsoft Excel

Exporting Data to Other Formats


Sending to Microsoft Excel

The Send to Excel button [image] provides a quick way to export data to Microsoft Excel.

To send data to Excel:

1 Select the chart boxes you want to export. If nothing is selected all displayed boxes will be exported.

2 Click the Send to Excel button [image]. Chart data is sent to a blank worksheet in Excel. Fields not displayed in chart boxes are not exported.

3 Use Excel to perform any functions on the exported data. The first row of the Excel spreadsheet contains field names.


Exporting Data to Other Formats

This section describes how you can export chart data to a variety of formats.

To export data:

1 Select the chart boxes you want to export. If nothing is selected all displayed boxes will be exported.

2 Select Export Data from the Data menu. The Export Data dialog box is displayed.

3 The Available fields section lists all the fields defined in the current chart. The Fields to export section lists the fields to be included in the export. You can select any field and then use the Add, Add all, Remove, and Remove all buttons to define which fields are exported.

4 Use the Move up and Move down buttons to change the ordering of fields.

5 Select Headers if you want the first row of the export to contain field names.

6 Select Reporting Relationship if you want to include hierarchy information in your export file.

· Select the Based on radio button to generate hierarchy information using an existing field

· Select the Generate Unique IDs radio button to have OrgPlus create unique identifiers that describe the reporting relationships in your chart.

7 In the Export What section you can select whether to export the Entire chart, the Active sub-chart, or the current Selection.

8 Use the Sort data first button if you want to sort the data before export.

9 Use the Export to drop-down list to select whether you want to export to a file or to the clipboard.

10 Click the Export button to perform the data export.

If you are exporting to a file, you will be prompted to enter a file name and to select one of the following file types:

· Windows Clipboard

· Microsoft Excel Workbook (.xls)

· Microsoft Excel 2007 Workbook (.xlsx)

· Microsoft Word Document (.doc)

· Microsoft Word 2007 Document (.docx)

· Comma Separated File (.csv)

· Tab Separated File (.txt)

Note: The Save table template function is useful if you do the same exports repeatedly. It allows you to save an export template containing information such as which fields to export, whether to export headers, and so on. Use the Open table template button to load previously saved table templates.


Push Data

This section describes how to selectively push data fields or OrgPlus files from OrgPlus to an external system.

To push data:

1 Select Push Data from the Data menu to display the Push Data dialog box.

2 Specify whether your want to push Data (default) or OPX (OrgPlus file).

3 Use the Select Fields… or Select Settings… button to specify the contents of the export file. See Exporting Data for more details.

Note: the Select Fields… button appears when you select Data. The Select Settings… button appears when you select OPX.

4 Use the Disk or FTP radio buttons to specify where you want your export file to be pushed. Use the FTP… button to specify FTP parameters.

Note: OrgPlus supports both standard FTP and secure FTP.

5 Click the Browse button. Enter a file name and select one of the following file types:

· Microsoft Excel Workbook (.xls)

· Microsoft Excel 2007 Workbook (.xlsx)

· Comma Separated File (.csv)

· Tab Separated File (.txt)

6 Click OK.

Note: You can automate the process of pushing data from OrgPlus to an external system by selecting Push Data from the Data menu. See Automation for more information.

Note: OrgPlus Enterprise Hosted users can use the Push Data functionality to send charts from OrgPlus Desktop products to OrgPlus Enterprise Hosted. See Automationfor more information.


Consolidation

Some organizations may want to combine multiple OrgPlus organizational charts into a single chart. One common scenario is that each division within a company is responsible for maintaining their own organizational chart using OrgPlus. Using the consolidation feature, each division’s chart can be combined into a single master chart.

See...

Creating an OrgTree File

Combining Charts

Data Refresh and Consolidation


Creating an OrgTree File

An OrgTree file is used to combine two or more charts into a single chart. The OrgTree is an organizational chart of org units (or departments). You must create an OrgTree file in order to combine two or more charts.

To create an OrgTree file:

1 Click on the Create blank project icon [image] .

2 Create a chart containing a hierarchy of all the charts that you want to combine.

3 In the first field of each box enter the name of each OrgUnit (department).

Note: Optionally, you can create a field called OrgUnit instead of using the first field.

4 Select Save As… from the File menu.

5 Name the file (for example, OrgTree) and click Save.


Combining Charts

Once the OrgTree file is created, you must map an OrgPlus (.opx) file to each box in the OrgTree file. The files must be located in the same directory or the OrgTree must contain an absolute path reference to each underlying chart.

Although not required, you will get the best results if each file uses the same naming convention for all fields (for example either Name or Employee_Name).

To combine two or more charts located in the same directory:

1 Make sure that all OrgPlus files are located in the same directory and that each file name corresponds to a box in the OrgTree file.

2 Select Consolidation… from File menu to display the Consolidation dialog.

3 Use the Browse… button in OrgTree file: area to select the OrgTree file.

4 Use the Browse… button in Chart directory: area to specify the directory containing the chart files.

5 Specify your preference for handling sub-chart breaks:

Insert sub-charts breaks - By default sub-chart breaks will be automatically inserted based the OrgTree file. Uncheck Insert sub-charts breaks if you do not want sub-chart breaks inserted into your chart.

6 Specify your preference for handling fields that do not appear in the first file:

Ignore Fields not in the first file - By default any fields that are not defined in the first file (the top of your OrgTree) are excluded. To include fields defined in files other than the first file, uncheck the Ignore Fields not in the first file checkbox.

7 Specify whether the consolidated chart will inherit the template elements of the first file:

Use the first file as template – This option enables you to copy all template elements—Master Page, Conditional Formatting, Groups, etc. from the first file to the resulting consolidated chart.

8 (Optional) Specify your preference for handling records that appear in two or more charts:

Match records using field: This option enables you to designate a field as the primary key for matching records that appear in more than one chart. For example, if an employee record appears in more than one of the charts that you are consolidating, it is possible that the fields of that record differ from one chart to another. By selecting this checkbox and entering a field name, such as EMPLOYEE_ID, you can ensure that the consolidated chart does not contain duplicate boxes.

9 Click OK.

10 Save the resulting chart by selecting Save As… from the File menu.

To combine two or more charts located in different directories:

1 Open your OrgTree file and in the second field of each box enter the full path to the corresponding chart file.

Note: Optionally, you can create a field called Location instead of using the second field.

2 Save the revised OrgTree file.

3 Select Consolidation… from File menu. The Consolidation dialog is displayed.

4 Use the Browse… button in OrgTree file: area to select the OrgTree file.

5 Select Use OrgTree to locate chart files.

6 Specify your preference for handling sub-chart breaks:

Insert sub-charts breaks - By default sub-chart breaks will be automatically inserted based the OrgTree file. Uncheck Insert sub-charts breaks if you do not want sub-chart breaks inserted into your chart.

7 Specify your preference for handling fields that do not appear in the first file:

Ignore Fields not in the first file - By default any fields that are not defined in the first file (the top of your OrgTree) are excluded. To include fields defined in files other than the first file, uncheck the Ignore Fields not in the first file checkbox.

8 Specify whether the consolidated chart will inherit the template elements of the first file:

Use the first file as template – This option enables you to copy all template elements—Master Page, Conditional Formatting, Groups, etc. from the first file to the resulting consolidated chart.

9 (Optional) Specify your preference for handling records that appear in two or more charts:

Match records using field: This option enables you to designate a field as the primary key for matching records that appear in more than one chart. For example, if an employee record appears in more than one of the charts you that are consolidating, it is possible that the fields of that record differ from one chart to another. By selecting this checkbox and entering a field name, such as EMPLOYEE_ID, you can ensure that the consolidated chart does not contain duplicate boxes.

10 Click OK.

11 Save the resulting chart by selecting Save As… from the File menu.


Data Refresh and Consolidation

Once consolidation is setup, you can use the data refresh functionality to refresh the master chart if any one of the underlying charts has changed. You can also update the OrgTree file if your organizational structure changes. Select Data Refresh from the Data menu to refresh your chart. See Refreshing Data for more details.

Use the Consolidation tab in Refresh Properties dialog to update any consolidation parameters (Select Data Refresh Properties from the Data menu).

Note: You can combine collaboration with OrgPlus automation features. Automation for more information.


OrgPlus User Guide

Publishing your Chart

OrgPlus enables you to publish your chart to a variety of formats including Microsoft PowerPoint, Microsoft Word, HTML, Adobe PDF, directly to a printer, or to the OrgPlus Plug-in. The publish feature is available only in OrgPlus Professional.

Emailing charts directly to other OrgPlus users is also described in this book. Users that require read-only access to OrgPlus files may want to download a free copy of OrgPlus Reader from the OrgPlus website ( www.orgplus.com ).

Note: The OrgPlus Plug-in is an ActiveX control that can be installed automatically in an end user’s web browser.

In this book…

Publishing

E-mailing a Chart File


Publishing

The publishing process for OrgPlus is identical regardless of the final format. There are different options and specific features available for some formats. This section describes the process as a whole, and pauses to discuss the specific features available for each format.

See...

OrgPlus Plug-in Security Options

To publish your chart:

1 With your chart open, choose a Publishing method by selecting Publish To from the File menu to display the Publishing Wizard.

2 Select the appropriate publishing options.

Available for all publishing formats:

· Expand Collapsed Branches: Before publishing the chart, expand all collapsed chart branches.

Page Layout Options (Word, PowerPoint, PDF, and Printer):

· Slide Show Layout/Page Layout: Defines the way the chart is published.

· Wall: Publishes the active sub-chart only. No additional charts, directories, reports or profiles are published.

· Book: Publishes your entire chart, with each sub-chart on its own page. This option allows you to include additional charts, as well as directories, reports and profiles. You can optionally include a customized cover page and Content and Index pages that contain hyperlinks to the respective pages in the chart.

When Book is selected, the Box Sizes option is enabled.

· Select automatically to size boxes on a page-by-page basis.

· Select consistently across all sub charts to ensure that box sizes across all sub-charts are consistent.

· Orientation: Defines how the chart is oriented on each slide/page (Portrait or Landscape).

Word and PowerPoint Options:

· Embedded Type: Enables you to determine how the chart is embedded in Word or PowerPoint. There are two options:

· Insert Metafile: Inserts the chart as a non-editable graphical image.

· Select Maximize chart area to scale each published chart to the fill the destination page.

· Include Navigation Arrows: Includes hyper-linked navigation arrows in the file (Not included for Word).

· Insert Object: Inserts the chart as a linked object that is editable in OrgPlus. Once published, you can double-click on a chart in Word or PowerPoint to edit.

· Select Remove Fields Not Shown to exclude hidden fields from the published chart. This protects sensitive information (for example, salaries) from being accessed in Word or PowerPoint.

· Select Fixed Line Widths if you have dashed or dotted lines in your chart. Some Microsoft applications do not support multiple line width combined with dashed lines.

OrgPlus Plug-in Options:

· Hide Panels: Hides any included panels (sub-charts, profiles, directories, and reports) when a chart is first displayed. The Show [image] icon or the Hide [image] icon on the toolbar can be used to show or hide the panels.

· Enable Print: Enables users to print published charts from OrgPlus Plug-in.

· Enable Save: Enables users to download published charts from OrgPlus Plug-in.

· Enable Send to Excel: Enables users to send the chart data to a Microsoft Excel spreadsheet file.

· Remove Fields Not Shown: Prevents users from viewing or saving hidden data contained in the original chart file (for example, salaries or, employee identification numbers).

· HTML Container: Creates an HTML container page for the chart.

· Select Auto Update Enabled to automatically install OrgPlus Plug-in when users open an HTML page containing an OrgPlus Plug-in chart.

· Select Automatically Activate ActiveX Control to activate ActiveX Control when users open an HTML page containing an OrgPlus Plug-in chart.

· Enable Security: Enables OrgPlus Plug-in Security. See OrgPlus Plug-in Security Options for more information.

· Choose which toolbar buttons you want accessible in OrgPlus Plug-in:

· Include "Launch OrgPlus" button

· Include "Publish to PP" button

· Include "Publish to Word" button

· Include "Publish to OrgPlus Plug-in" button

· Include "Publish to HTML" button

· Include "Publish to PDF" button

HTML Options:

· Enable Toolbar: Includes an OrgPlus toolbar when the chart is loaded in a web browser.

· Enable Save: Allows users to save a local copy of the OrgPlus file. The OrgPlus file can be opened using OrgPlus Standard or Professional. The file can also be opened using OrgPlus Reader.

· Enable Print: Allows users to print the chart.

· Include Banner: Includes a banner above the chart in the HTML display. You can customize the banner with company information, etc.

· Hide Panels: Hides any included panels (sub-charts, profiles, directories) when a chart is first displayed. The Show [image] icon or the Hide [image] icon on the toolbar can be used to show or hide the panels.

· Smaller, faster HTML Charts: Optimizes the HTML file size. Shadows and other non-essentials elements are removed from HTML output to enable Internet Explorer to load and display your chart faster.

· Automatically Activate Active Control: Enables JavaScript elements in your published chart to launch without first requiring the user to permit it.

· Disable Right Click Menu: Helps increase security of images and other data in the chart by preventing users from accessing the right click menu options.

· Encoding: Specify either ANSI or Unicode encoding used to generate the HTML files.

· Internet Explorer Compatibility: Specify the Internet Explorer version compatibility options:

· Version 6.0 and Higher

· Version 7.0 and Higher

PDF Options:

· Font Embedding: Select how fonts are to be embedded in the published document.

· Select Descriptor only to store only Font names in the PDF file. If a user does not have the specified font installed, a substitute font is used. This creates smaller PDF files.

· Select Outlines to include complete font descriptions in the PDF file. This ensures that the chart in displayed using the original font selections. This creates larger PDF files.

· Include Navigation Arrows: Includes hyper-linked navigation arrows in the PDF file.

· Image Compression: Compresses images and text in the PDF file.

· GrayScale: Output the PDF file using only grayscales.

· ASCII: Encodes binary data in an ASCII based-85 representation.

· Maximize chart area: Maximizes the chart area in the published output.

Printer Options:

· Maximize chart area: Maximizes the chart area in the published output.

· Include Navigation Arrows: Include sub-chart arrows in print output.

3 Click Next. The Publish Setting Page is displayed.

Note: Selecting the Wall mode outputs only the chart. The Publish Options Page is skipped.

Note: Clicking Next with Enable Security (OrgPlus Plug-in) selected displays the Specify Security Options page. See OrgPlus Plug-in Security Options for more information.

4 If you are publishing to Power Point, you can select an existing PowerPoint template to be used when publishing. Select Use PowerPoint Template and then click the Browse… button to select a template.

5 If you are publishing to PowerPoint, Word, PDF or Printer, make sure the Cover tab is selected. The Include Cover Page checkbox is selected by default. Enter the Cover page text and optionally use the Font button to set the format.

Note: You can include AutoText elements in your cover page, such as author’s name or date last revised. Click the AutoText button to display a drop down menu of AutoText entries.

6 If you are publishing to PowerPoint, Word, PDF or Printer, select the Contents tab. Select Include Contents Page to include a Table of Contents and then optionally use the Font button to set the format.

7 Select the Chart Contents tab. A list containing all the charts and sub-charts within the current project is displayed. By default all charts and sub-charts are included. Clear any sub-charts you do not want included in the published document.

Note: If you are publishing in PowerPoint, click the Options… button to display the Chart Contents Options dialog box. By default your PowerPoint will be published with links from Chart pages to the Contents page and to the Index page. You can enable or disable the links as needed.

8 If you are publishing to PowerPoint, Word, PDF or Printer, select the Index tab. Select Include Index Page to include the index page.

Index formatting options include:

· Select Field For Index: Select the field used to create the index.

· Sort By: Select the field by which the index is sorted. You can then select to sort in Ascending or Descending order.

· Columns: Define the number of columns per index page.

· Levels up to: Select the number of chart levels to include in the index.

· Click Font to change the format of the Index.

· Index Order: Specify which way you want the index to flow. By default, the index flows down, then over.

9 When you are finished with the Publish Settings Page, click Next to display the Publish Output Page dialog box.

· In the Output field, enter the full path and name of the output file, or click Browse to specify the name and path using standard Windows file browser.

· Select the following options:

· Launch PowerPoint/Word/Browser/PDF: To automatically launch PowerPoint, Word, Acrobat Reader, or your Browser when the publish operation is complete.

· For PDF, OrgPlus Plug-in, and HTML, you can save to disk or upload to a server using FTP.

· Disk: Saves the output file on disk according to the path and file name entered in the Output field. You can also click Browse to use the standard Windows browser.

· FTP: Saves the output file to an FTP server according to the path and file name entered in the FTP Location field. You can also click FTP to open the Session Profile dialog box. The Session Profile dialog enables you to configure an FTP session.

· For OrgPlus Plug-in, an HTML… button is shown if you selected the HTML Container option. Select the HTML… to define the HTML container settings. For more information see the OrgPlus Plug-in Deployment article in the Support Center at www.orgplus.com/support/.

· When you are publishing to a printer, select Show Print Dialog to display the standard Print Options dialog box before printing the document.

· To send the published chart to one or more e-mail addresses, select the Send as E-mail checkbox. Then click the Send… button to display the Send as E-mail dialog box.

Note: To use this feature you must define your e-mail field with the E-mail category. See Defining and Displaying Fields for details.

· E-mail Client – Select this option to use your default e-mail client.

· SMTP – Select this option to use Simple Mail Transfer Protocol. This option sends the e-mail with the SMTP settings defined in OrgPlus. See Using the Options Panel for more information.

10 Click OK to complete the publishing process.

Note: Publishing (including e-mail distribution) can be automated. See Automation for more information.


OrgPlus Plug-in Security Options

When publishing your chart to the OrgPlus Plug-in, you can define security options to control end user access your published chart.

To define OrgPlus Plug-in Security Options

1 Select the Enable Security checkbox on the Publishing Options page of the OrgPlus Plug-in Publishing Wizard.

2 Click Next to display the Specify Security Options page.

3 Click the radio button that identifies your security selection:

· Use Password only – Enter a Password that users will need to access the chart.

· Use the following User Name and Password – Enter a User Name and a Password that users will need to access the chart.

· Browse for a flat file containing user accounts – Click the Browse button to locate an account file.

Note: The user account file must contain two columns, one for the user names and one for the passwords as in the example below:

cphillips | cphillips123
lbrewer | lbrewer123
lstevens | stevens123


E-mailing a Chart File

You can email an OrgPlus chart to anyone. They must have an installed copy of OrgPlus or the OrgPlus Plug-in to open the chart file.

To email an OrgPlus chart:

1 With a project open, select Send as Mail from the File menu. The New Message dialog box in your email client is displayed. The OrgPlus project is included as an attachment.

2 Complete the email and click Send.


Automation

OrgPlus allows you to automate distribution of your charts. Using the OrgPlus Scheduler, you can trigger OrgPlus to publish data to a network file server, your intranet, or to the web.

The automation features of OrgPlus can also be used to export and push data fields from your charts to external systems. This is especially useful for OrgPlus Enterprise Hosted users.

The automation features are available only in OrgPlus Professional.

In this book…

Republishing

Scheduling Tasks

OrgPlus


Republishing

Each time you publish or push data, OrgPlus saves all the settings. OrgPlus lets you republish any previously published chart or re-push any exported data.

To republish or re-push:

1 Select Publisher from the Tools menu to display the Publisher dialog box.

2 Select Publish or Push using the drop-down list at the top of the dialog. A list of previously published/pushed files is shown.

3 Select a file to republish or re-push.

4 Select from the following options:

· Run in quiet mode: If this option is selected, no user warnings or errors are displayed.

· Refresh before publish/push: If this option is selected, a data refresh is performed before publishing/pushing. This option is only available if your chart was created from an external data source.

· Launch Application: If this option is selected, the publish/push result is shown using the appropriate application (PowerPoint, Excel, etc…).

5 Select Run.


Scheduling Tasks

The Scheduler enables you to automatically refresh, publish and push your charts according to a schedule. You can schedule tasks to run on a daily, weekly, monthly basis, or on a given date.

There three types of tasks you can perform:

· Refresh: A refresh task performs a data refresh on the selected project.

· Publish: Each time you publish, OrgPlus saves all the publishing parameters. When you create a publish task, OrgPlus lets you pick from a list of previously published files. When the task is executed, the file is republished using the same parameters as when the file was originally published.

· Note: An automated publishing task can include sending an e-mail (with the published material attached) to a group of users. See Using Groups for E-mail Distribution for details.

· Push: Each time you push data, OrgPlus saves all the associated parameters. When you create a push task, OrgPlus lets you pick from a list of previous pushes. When the task is executed, an export file is generated and pushed using the same parameters that were using during the original push.

See…

Creating Tasks

Editing Tasks

Deleting Tasks

Checking Task


Creating Tasks

This section describes how to create tasks in the OrgPlus Scheduler.

To add a new task to the scheduler:

1 Select Scheduler from the Tools menu to display the Scheduler Properties dialog box.

2 Click New to display the New Scheduled Task dialog box.

Note: You can select how files are displayed in the New Scheduled Task dialog box as follows:

Button | Description
 | Icons: Display an icon of each file with its name beneath.
 | List: List the names of each file.
 | Details: List detailed information for each file, including its size and the date it was last modified.

3 Select the Task Type from the drop-down menu (Refresh, Publish or Push) you want to perform.

4 Select a file for the task.

· If you are creating a Refresh task, select a file from the Refresh Charts area. Use the Add button to browse for a file.

· If you are creating a Publish task, select a file from the Publish Charts area. Only files that have been previously published are shown in the list.

· If you are creating a Push task, select a file from the Pushed Data area. Only files that have been previously pushed are shown in the list.

Note: Use <Delete> button to remove unwanted files. Deleting an entry does not delete the underlying file.

5 If you are creating a Publish or Push task, the following options are available:

· Run in quiet mode: If this option is selected, no user warnings or errors are displayed when the task is executed. This option is intended for unattended usage (such as a computer in a server room).

· Refresh before publish/push: If this option is selected, a data refresh is performed before publishing/pushing. This option is only available if your chart was created from an external data source.

6 Click OK to display the AutoTask dialog box.

Note: This guide only describes the scheduling options that are relevant to OrgPlus. The AutoTask dialog box is a component of Microsoft Windows. Refer to the Microsoft documentation for the options not covered.

7 Select the Schedule tab.

8 Click New to create a schedule for this task.

9 Configure the schedule as follows:

· Schedule Task: Sets the frequency of the scheduled task from the drop-down list. Additional options may become available depending on your selection, for example, if you want the scheduled task to run weekly, you also have the option of selecting how many times a week the task must run and on which days.

· Start Time: Sets the start time for the scheduled task.

10 Click OK to display the Scheduler Properties dialog box.

11 Click Close to close the dialog box.

Note: You can schedule any task to run immediately using the Run button.


Editing Tasks

You can edit any defined task.

To edit a task:

1 Select Scheduler from the Tools menu. The Automation Scheduler dialog box is displayed.

2 Choose a task and click Edit to change task options or click the [image] button to change the schedule for the task.


Deleting Tasks

You can delete any defined task.

To delete a task:

1 Select Scheduler from the Tools menu. The Automation Scheduler dialog box is displayed.

2 Choose the scheduled task you want to delete, and click Delete.


Checking Tasks

If a task does not execute successfully you can check the status of a task.

To check a task:

1 Select Scheduler from the Tools menu. The Automation Scheduler dialog box is displayed.

2 The Enable/Status column displays the results of the last execution of each task. You may need to resize the column to see the entire message.


OrgPlus Enterprise

OrgPlus Enterprise is a web-based solution for organizational charting. OrgPlus Enterprise can be hosted in your data center, or it can be hosted using the OrgPlus Enterprise Hosted service. OrgPlus Enterprise Hosted allows you to deploy OrgPlus Enterprise to your organization without the cost of installing, upgrading, and maintaining a server in-house. See http://www.orgplus.com for more details.

The Scheduler and Publisher functionality (described above) can be used to automatically or manually push data to OrgPlus Enterprise.

To push to data to OrgPlus Enterprise:

Note: After you sign up for OrgPlus Enterprise Hosted, HumanConcepts will setup your OrgPlus Enterprise Hosted account and your initial chart templates. HumanConcepts will also supply all necessary FTP (or secure FTP) parameters. FTP parameters are used to upload data to OrgPlus Enterprise Hosted.

1 Select Push Data from the Data menu. The Push Data dialog box is displayed.

2 Use the Select Fields… button to specify which fields to push to OrgPlus Enterprise.

3 Select the FTP radio button. Use the FTP… button to enter FTP parameters.

4 Click the Browse button. Enter the file name. Make sure the Microsoft Excel (.xls) file type is selected.

5 Click OK.


Window Structure and Command Reference

In this book…

Main Window

Menu Bar

Toolbars

Panels

Chart Selection Tabs

Status Bar


Main Window

The OrgPlus window comprises the following elements, each of which is described in detail in this appendix.


Menu Bar

See…

Overview

OrgPlus Express

File Menu

Edit Menu

View Menu

Insert Menu

Format Menu

Tools Menu

Data Menu

Chart Menu

Window Menu

Help Menu


Overview

The panel area in the main window gives you access to additional functionality including reports, templates, directories, and sub-charts

Panels are dockable, meaning they may be dragged and placed anywhere on the screen. They can also be hidden or shown, at your discretion.


OrgPlus Express

OrgPlus Express can only be used from within Microsoft Office applications and has a limited set of features. Sections that describe functionality available to OrgPlus Express users are marked with the following OrgPlus Express icon [image]. Menu options that are available to OrgPlus Express users are indicated with a [image].


File Menu

The File menu contains the following commands that are used when working with projects and charts.

File Menu/ Hot Key | Description | Icon
New <Ctrl>+N | Create a new project. |
Open <Ctrl>+O | Open a previously saved project. |
Close <Ctrl>+W | Close the active project. |
Save <Ctrl>+S | Save the active project or update the embedded OLE object in another application. |
Save As | Save the active project using a different name and/or file type. |
Send As E-Mail | Attach the active project to an email message. |
Import Data | Launch the Import Wizard. |
Send to Excel | Export the current chart to an Excel spreadsheet |
Consolidation | Combine one or more OrgPlus charts into a single chart. |
Publish To | Publish the active chart to one of the following formats: |
PowerPoint | Microsoft PowerPoint |
Word | Microsoft Word |
OrgPlus Plug-In | OrgPlus web browser plug-in |
HTML | HTML |
PDF | Adobe PDF |
Printer | Your printer |
Page Setup | Define the page settings for the current chart. |
Print Preview | Display a preview of the chart prior to printing. |
Print <Ctrl>+P | Print all or part of the active project. |
Protect Project | Password protects the current project. |
Project Properties | Display information about the current project. |
Recent Projects | List the file names of recently opened projects. Selecting a recent project opens that project. |
Exit <Ctrl>+Q | Exit OrgPlus. |


Edit Menu

The Edit menu contains commands that enable you to perform the editing functions detailed below.

Edit Menu/ Hot Key | Description | Icon
Undo <Ctrl>+Z | Reverse the last operation. |
Redo <Ctrl>+Y | Reverse the last Undo action. |
Cut <Ctrl>+X | Remove whatever is selected and place it on the Clipboard. |
Copy <Ctrl>+C | Copy whatever is selected and places it on the Clipboard. |
Copy Contents | Copy the contents of a selected chart box and places it on the Clipboard. |
Copy Format | Copy the format of a selected chart box and places it on the Clipboard. |
Paste <Ctrl>+V | Paste the contents of the Clipboard into the active chart. |
Paste As New Document | Paste the contents of the Clipboard into a new chart. |
Delete <Del> | Delete the current selection. |
Delete Chart | Delete the active chart. |
Select | Select objects as described below: |
All | All chart boxes and lines. |
All Assistants | All Assistant boxes. |
All Co-managers | All Manager boxes that share the same subordinates. |
All Managers | All boxes that have subordinates. |
All Non-managers | All boxes that are subordinates or assistants. |
Direct Reports | All boxes that are connected directly to the selected box. |
Peers | All boxes that report to the same manager as the selected box. |
Branch | Selected box and all descendent boxes. |
Lowest Level | All boxes that are on the last shown level. |
All Connecting Lines | All the connecting lines between boxes. |
All Hidden Connecting Lines | All the hidden connecting lines. |
All Free Floating Objects | All free floating objects. |
All Anchored Objects | All free floating objects that are anchored to boxes. |
All Multi-record Boxes | All boxes that are marked as multi-record boxes. |
Select Fields | Select a specific field(s) within boxes. |
Select Level(s) | Select all the boxes in a specified set of levels. |
Find <Ctrl>+F | Locate occurrences of a string. |
Find Next | Find the next occurrence of a string. |
Replace <Ctrl>+R | Replace occurrences of a string with another string. |
Find by Photo <Ctrl>+E | Find a box by selecting from a list of photos. |


View Menu

The View menu contains commands that enable you to control how your chart is displayed in the OrgPlus window.

View Menu/ Hot Key | Description |  | Icon
Full Screen F11 |  | Toggle full screen mode. Use Full Screen mode when using OrgPlus to give a presentation. |  |
Normal |  | Switch to the normal view, which is the default view for most charting tasks. |  |
Master Page |  | Display the Master Page. |  |
Sub-charts |  | Show or hides the Sub-charts panel. |  |
Directory |  | Show or hides the Directory panel. |  |
Profile |  | Show or hides the Profile panel. |  |
Reports |  | Show or hides the Reports panel. |  |
Templates |  | Show or hide the Templates panel. |  |
Search |  | Show or hide the Search panel |  | *
Comments |  | Show or hide the Comments panel |  |
Tree |  | Show or hide the Tree panel. |  |
Toolbars |  | Show or hides toolbars. |  |
Grid |  | Show or hide grid. |  |
Rulers |  | Show or hide rulers. |  |
Status Bar |  | Show or hides the Status Bar. |  |
Show Levels |  | Define the number of levels to show, up to and including the level specified.
Show |  | The following hidden elements can be temporarily shown using the following options: |  |
Hidden Boxes |  | Hidden boxes. |  |
Hidden Lines |  | Hidden lines between boxes. |  |
Symbols |  | Symbols (such as expand or collapse). |  |
Hidden Fields |  | Hidden fields. |  |
Comments |  | Show Comments. |  |
Page Lines |  | Lines indicating page borders. |  |
Show Thumbnail <Ctrl>+H |  | Show a window containing a overview of your chart. |  |
Zoom |  | Set the magnification factor for the active chart according to one of the following options: |  |
Fit to Width |  | Scale the chart so that the width of the chart fits in the current window. |  |
Fit to Window |  | Scale the chart so that the entire chart fits in the current window. |  |
Actual Size |  | Scale the chart so that boxes appear at actual size. |  |
Zoom To |  | Scale the chart based on the selected percentage.


Insert Menu

The Insert menu contains the following commands that enable you to insert elements into a chart or project.

Insert Menu Option | Description |  | Icon
Chart |  | Add a new chart to the current project.
Position |  | Enable you to select one of the following box insert modes:
Manager |  | Insert manager mode.
Assistant |  | Insert assistant mode.
Subordinate |  | Insert subordinate mode.
Peer – Left Co-worker |  | Insert left co-worker mode.
Peer – Right Co-worker |  | Insert right co-worker mode.
Sub-chart |  | Select one of the following sub-charting options:
Insert Sub- chart Break |  | Insert sub-chart breaks at the selected box.
Remove Sub- chart Break |  | Remove sub-chart breaks from selected boxes.
Create Sub-charts |  | Launch the sub-chart wizard.
Remove All Breaks |  | Remove all sub-chart breaks from the active chart.
Up |  | Navigate from a sub-chart to its parent sub‑chart.
Line |  | Select one of the following line drawing modes:
Horizontal or Vertical |  | Add a horizontal or vertical line.
Diagonal |  | Add an unconstrained line.
Auxiliary |  | Add a line connecting any two boxes in your chart.
Shape |  | Select one of the following shape drawing modes:
Rectangle |  | Add a rectangle with squared corners.
Rounded Rectangle |  | Add a rectangle with rounded corners.
Octagon |  | Add an octagonal box.
Text Box |  | Add a free text object.
Picture |  | Add a picture.
Legend |  | Add a legend.
Hyperlink |  | Create a hyperlink from the selected field.
Comment |  | Insert a comment for the selected box.
Autotext elements |  | Add an autotext element..
Anchor |  | Anchor a selected free-floating object to a selected box. Once anchored the free floating object remains positioned next to the selected box even if it is moved within the chart area.
Unanchor |  | Unanchor selected free-floating objects.


Format Menu

The Format menu contains the following commands that enable you to format various chart elements:

Format Menu Option |  | Description | Icon
Box Properties F12 | Format selected boxes, free floating objects and pictures. |  |
Line Properties | Format selected lines. |  |
Font | Modify the font properties for all selected objects. |  |
Format Fields | Modify the font properties for all occurrences of a field within a chart. |  |
Chart Style | Modify the branch style for selected boxes. |  |
Chart Properties | Modify chart properties such as background, border and border shadow. |  |
Chart Rules | Modify the branch style for all boxes that meet a set of user defined criteria. |  |
Spacing | Adjust the spacing between boxes. |  |
Conditional Formatting | Set the format of boxes or fields based on a set of conditions. |  |
Order | Change the relative order of the free floating objects as follows: |  |
Bring to Front | Move the selected object to the top layer. |  |
Send to Back | Move the selected object to the bottom layer. |  |
Bring Forward | Move the selected object forward one layer. |  |
Send Backwards | Move the selected object back one layer. |  |
Align | Move selected objects so that they are aligned with respect to each other. Objects can be aligned to the left, center, right, top, middle, or bottom. |  |
Hide | Hide selected boxes or connecting lines. |  |
Show | Show selected boxes or connecting lines. |  |


Tools Menu

The Tools menu enables you to customize OrgPlus settings, schedule automatic processes and perform spell checks.

Tools Menu Option | Description | Icon
Spelling | Perform a spell check. |
Customize | Customize the elements contained within each toolbar and create new custom toolbars. |
Options | Configure OrgPlus application settings. |
Scheduler | Create, modify, or schedule Refresh and Publish tasks. |
Publisher | Republish any previously published file. |


Data Menu

The Data menu enables to manage or export data from your chart.

Data Menu Option | Description | Icon
Sort | Sort selected boxes. |
Export Data | Export data from your chart to Excel or the Clipboard. |
Push Data | Export data from your chart to an FTP site or a file server. |
Refresh Data | Re-import data from the underlying data source. |
Refresh Properties | Modify parameters set during the import process. These parameters are used when you Refresh Data. |
Define Fields | Add, delete, or modify the fields in the current project. |
Define Constants | Add, delete, or modify constants that can be referenced throughout the project. |
Photo Manager | Insert photos into boxes in your chart using a wizard. |
Auto Recalculation | Automatically recalculate all formulas each time the chart is changed. |
Recalculate Formulas | If automatic recalculation is turned off, select this option to update all calculated fields. |


Chart Menu

The Chart menu contains the following commands that affect the size and appearance of your chart.

Chart Menu Option | Description | Icon
Optimize Branch Styles | Reformat the branches in your chart to optimize the distribution of boxes on a page. |
Center Up/Down | Center your chart vertically on the page. |
Center Left/Right | Center your chart horizontally on the page. |
Groups | Select a group to apply to your chart. Select Manage Groups to add, edit, or delete groups. Select E-mail Group... to create an e-mail distribution list based on a group. |
Apply Template File | Select a source file and then apply formatting elements from that file to your chart. You can also copy other definitions (reports, directories, and so on) from the source file to the current project. |
Compare Charts | Create a report detailing the differences between two charts. |
Merge Charts | Select two charts and merge them into one. |
Chart List | Select a chart tab and then display the corresponding chart. |


Window Menu

The Window menu contains the following commands for arranging and selecting Chart windows inside OrgPlus.

Window Menu Option | Description | Icon
New Window | Create another window for the current chart. This allows you to see two parts of the same chart at the same time. |
Cascade | Rearrange all open windows to overlap each other. |
Tile | Rearrange all open windows as a series of tiles. |
Stack | Rearrange all open windows each one on top of the next. |
Window List | Select from a list of all open windows. |


Help Menu

The Help menu commands give you access to application help.

Help Menu Option | Description | Icon
Index | Display the Help Index, where you can locate a subject for which you need help. |
Keyboard | Display a list of hot keys and their functions. |
Commands | Display information about menu commands and toolbar icons. |
Using Help | Display instructions for using the Help. |
Welcome to OrgPlus | Display the Welcome panel. |
Resource Center | Access the online Resource Center. |
OrgPlus Guided Tour | Access the online Guided Tour. |
OrgPlus Tutorials | Access the online Tutorials. |
Upgrade Your OrgPlus | Purchase an upgrade. |
OrgPlus Online Support | Access the online Support Center. |
System Info | Display information about your version of OrgPlus and your computer system. |
About OrgPlus | Display the OrgPlus about box. |


Toolbars

See…

Overview

Standard Toolbar

Autotext Toolbar

Data Toolbar

Extras Toolbar

Format Toolbar

Full Screen Toolbar

Groups Toolbar

Insert Toolbar

Publish/Import Toolbar

Text Toolbar

Zoom Toolbar


Standard Toolbar

The Standard toolbar has the following buttons.

Icon |  | Name |  | Description
 | Create Blank Project |  | Create a new project.
 | Open |  | Open a previously saved project.
 | Save |  | Save the active project.
 | Email |  | Attach the active project to an email message.
 | Send to Excel |  | Send the contents of the active chart to an Excel spreadsheet.
 | Print |  | Print all or part of the active project to the default printer.
 | Print Preview |  | Preview a chart prior to printing.
 | Cut |  | Delete whatever is selected and places it on the Clipboard.
 | Copy |  | Copy whatever is selected and places it on the Clipboard.
 | Paste |  | Paste whatever is on the Clipboard into your chart.
 | Copy Format |  | Copy the format information from the selected chart box and place it on the Clipboard.
 | Undo |  | Reverse the last operation.
 | Redo |  | Reverse the last Undo action.
 | Refresh |  | Re-import data from the underlying data source.
 | Help |  | Access OrgPlus Help.


Autotext Toolbar

The Autotext toolbar has the following buttons.

Icon | Name | Description
 | Page Number | Insert Autotext elements into your chart.
 | Pages
 | Sub-chart #
 | Current Time
 | Today
 | Created
 | Modified
 | Last Printed
 | Refreshed
 | Author
 | Author Email
 | File Name
 | Chart Name
 | Sub-chart Name
 | Group
 | Path
 | Sub-chart Path


Data Toolbar

The Data toolbar has the following buttons.

Icon | Name |  |  | Description
 |  | Define Fields | Add, delete, or modify the fields in the current project.
 |  | Box Layout | Format selected boxes.


Extras Toolbar

The Extras toolbar has the following buttons.

Icon | Name |  | Description
 |  | Show Welcome Panel |
 |  | Show Templates Panel |
 |  | Show Directory Panel |
 |  | Show Profile Panel |
 |  | Show Reports Panel |
 |  | Show Sub-charts Panel |
 |  | Show Search Panel |
 |  | Show Quick Chart Panel |
 |  | Show Comments Panel |
 |  | Show Tree Panel |


Format Toolbar

The Format toolbar has the following buttons.

Icon | Name | Description
 | Line Weight | Set the thickness of selected lines.
 | Dashed | Set the style for selected lines.
 | Line Color | Set the color for selected lines.
 | Shadow | Add a shadow to selected lines.
 | Arrows | Set the arrowhead for selected lines.
 | Box Shape | Set the box shape for selected boxes.
 | Fill Color | Set the fill color for selected boxes.
 | Box Shadow | Add a shadow to selected boxes.
 | Box Border | Set the border style and color for selected boxes.
 | Box Dashes | Select a dashed-line style for box borderss.
 | Box Border Colors | Set the color of the box border.
 | Styles | Modify the branch style for selected boxes.
 | Chart Properties | Modify chart properties such as background, border and border shadow.


Full Screen Toolbar

The Full Screen toolbar button has the following button.

Icon | Name | Description
 | Full Screen | Toggle full screen mode. Use Full Screen mode when using OrgPlus to give presentations.


Groups Toolbar

The Groups toolbar has the following buttons.

Icon | Name | Description
 | Groups drop-down list | Select a group to apply to the chart.
 | Edit Group | Edit the current group.
 | Manage Groups | Add, delete, or edit groups.
 | E-mail Group | E-mail the chart to a group.


Insert Toolbar

The Insert toolbar has the following buttons.

Icon | Name | Description
 | Select | Select chart boxes and lines as well as any other free-floating objects.
 | Select Fields | Select fields within boxes.
 | Move Chart | Move the active chart to a new position in the window.
 | Free Form | Position a chart box anywhere on the page.
 | Add Subordinates | Add boxes to your chart.
 | Add Left Co-worker
 | Add Right Co-worker
 | Add Manager
 | Add Assistant
 | Line | Add free-floating objects to your chart.
 | Horizontal or Vertical Line
 | Auxiliary Line
 | Rectangle
 | Insert Rounded Rectangle
 | Insert Octagon
 | Insert Text
 | Insert Picture


Publish/Import Toolbar

The Publish/Import toolbar has the following buttons.

Icon | Name |  | Description
 |  | PowerPoint | Publish the active chart to the selected file format.
 |  | Word
 |  | OrgPlus Plug-In
 |  | HTML
 |  | PDF
 |  | Printer
 |  | Import Wizard | Import data from an external data source.


Text Toolbar

The Text toolbar has the following buttons.

Icon |  | Name |  | Description
 | Font |  | Change the font.
 | Font Size |  | Change the font size.
 | Bold |  | Bold the selected text.
 | Italic |  | Italicize the selected text.
 | Underline |  | Underline the selected text.
 | Align Left |  | Left justify the selected text.
 | Center |  | Center the selected text.
 | Align Right |  | Right justify the selected text.
 | Font Color |  | Change the font color.
 | Field Border |  | Specify a border for selected fields.
 | Field Fill Color |  | Specify a highlight color for selected fields.


Zoom Toolbar

The Zoom toolbar has the following buttons.

Icon |  | Name |  | Description
 | Zoom In |  | Increase the magnification of your chart.
 | Zoom Out |  | Decrease the magnification of your chart.
 | Zoom Rectangle |  | Magnify a rectangular segment of the chart to fill the entire screen.
 | Zoom Wheel |  | Increases and decreases magnification as you move the wheel of the mouse.
 | Pan |  | Move the chart around on the screen in any direction by dragging.
 | Fit To Window |  | Resize the chart so that the entire content is visible in the current window.
 | Scale |  | Display the percentage of the charts actual size.
 | Thumbnail |  | Show a miniature version of your entire chart that you can use for zooming to certain areas of the chart.
 | Show Level |  | Define the number of levels to show, up to and including the level specified.
 | Show Branch |  | Display the selected branch only.


Panels

See…

Overview

Welcome Panel

Templates Panel

Directory Panel

Profile Panel

Reports Panel

Sub-charts Panel

Search Panel

Quick Chart Panel

Tree Panel

Comments Panel

Changing Panel Positions


Welcome Panel

The Welcome panel is useful for new OrgPlus users.

The Welcome panel provides links to our Web site and example files, and also enables you to create a new chart, open an existing chart or import chart data.


Templates Panel

Templates simplify formatting charts by providing pre-defined box, branch and chart formats.

The Templates panel includes a variety of chart design, box and branch templates. Templates are a timesaving way to create a professional looking chart.


Directory Panel

Directories provide a tabular view of chart data. Whenever a box is selected the directory updates to display data corresponding to the selected box and its descendants.

Selecting a row in a directory locates the corresponding box in the chart. You can use the directory to send an email. When you edit chart information in the directory, the change is automatically reflected in the chart.


Profile Panel

The information presented in a chart boxes is typically limited to a sub-set of available fields.

The Profile panel enables you to show additional information about boxes (for example, the employee’s photo, physical location, email, phone, cell phone or pager).


Reports Panel

OrgPlus allows you to create both static and dynamic reports from your underlying data.

Reports can include summaries and allow you to sort and group data as required. Navigating through the chart dynamically updates the report based on the selected box.


Sub-charts Panel

Large charts can be subdivided into one or more sub-charts.

For example, an organization with four divisions can be presented as five charts – one for the executive team, and one for each division.

The sub-chart panel provides a convenient way to navigate through sub‑charts and to perform actions on them.


Search Panel

The Search Panel displays a tabular list all records based on a user defined query.

The search panel is useful for finding any set of employees, data mining and succession planning.

The sub-chart panel provides a convenient way to navigate through sub‑charts and to perform actions on them.


Quick Chart Panel

The Quick Chart panel is the fastest way to create basic organizational charts.

The Quick Chart panel provides all the controls you need to create basic organizational charts in one easy to use panel. The Quick Chart panel is intended for first time users and contains only a small sub-set of the features available in the OrgPlus application.


Tree Panel

The Tree panel enables you to view and edit a chart as an OrgTree.

The Tree panel provides an OrgTree view of your chart information. You can move employees up or down in the hierarchy, or add and delete records within this view. You can also print your Tree panel or transfer it to an Excel spreadsheet.


Comments Panel

The Comments panel provides a view of the comments that have been added to your chart.


Changing Panel Positions

By default, OrgPlus displays panels on the right side of the Windows desktop. You can place your panels anywhere you wish on the desktop simply by dragging the panel title bar.


Chart Selection Tabs

In OrgPlus, a project can contain multiple charts, similar to Microsoft Excel's workbook and worksheet relationship.

You can select different charts in your project by clicking on one of the Chart Selection tabs at the bottom of a chart window.

Creating charts in separate tabs within a single project allows you to present multiple views of your organizational data within the same project.

You can right-click on a chart tab to:

· Create a new chart tab

· Delete a chart tab

· Rename a chart tab


Status Bar

The Status bar, at the bottom of the OrgPlus window provides the following information:

· The number of boxes defined in your chart, and how many of them are currently selected.

· The lock status of your keyboard.

· Additional information about the tool or button the mouse cursor is currently positioned over.

· The number of boxes that will be added when using the add subordinate, add assistant or add co-worker tools.

The following is an example of the Status Bar showing that:

· The mouse is currently positioned over the Paste button.

· The active chart has six boxes, none of which are selected.

· The Num Lock key on the keyboard is selected.


Keyboard and Mouse Shortcuts

OrgPlus has many keyboard and mouse shortcuts in addition to the <Ctrl> combinations and function keys listed in the menus.

In this book…

Using Right-Click Menus

Using Keyboard Shortcuts

Using the Function and Control Keys


Using Right-Click Menus

The right button on your mouse can be used to display context sensitive menus.

To use a right-click menu:

1 Position the mouse pointer over a chart element.

2 Click the right mouse button.

3 Select a menu item from the displayed menu.

Note: Context menus are also available for most OrgPlus windows, toolbars, and panels.


Using Keyboard Shortcuts

This section describes how to use keyboard shortcuts to perform common operations.

See…

Creating Boxes

Entering Information

Viewing Your Chart

Selecting Boxes

Working with Files

Editing Text

Dragging Boxes

Moving Free Floating Objects


Creating Boxes

You can add boxes to your chart using the keyboard. First select a box and then press one of the following keys:

To do this… | Press this…
Create a subordinate | <F2>
Create a manager | Shift + <F2>
Create an assistant | <F3>
Create a left co-worker | <F4>
Create a right co-worker | Shift + <F4>

Note: You can also add a box by holding down the <Ctrl> key while clicking on an insert tool ( [image] , [image] , [image] , [image] or [image]).


Entering Information

Use the following tips to speed up data entry:

· To edit the first field in a box, select a box and start typing.

· Use the <Tab> or <Enter> keys to move forward from field to field and from box to box.

· Use <Shift + Tab> keys to move backward from field to field within and across boxes.

· Use the <Esc> key to finish editing a field and select the box.


Viewing Your Chart

The table below summarizes the keystrokes that enable you view your chart in different ways:

To do this… | Press this…
Set the zoom factor to fit to window | <F8>
Set the zoom factor to 50% | <F10>
Enter or exit full screen mode | <F11>
View the part of your chart above the window | <Page Up>
View the part of your chart below the window | <Page Down>
View the topmost box in your chart | <Home>
View boxes at the bottom of your chart | <End>
Show a thumbnail view of the chart | <Ctrl> + <H>


Selecting Boxes

Use the following keystroke combinations to select boxes:

To do this… | Press this…
Select all boxes and lines |  | <Ctrl> + <A>
Select the branch containing the currently selected box and its descendants |  | <Ctrl> + <B>
Select the top-most box of a sub chart |  | <CTRL> + <Shift> + B
Select all peers (group) for the selected box |  | <Ctrl> + <G>
Select the box to the left |  | <Left Arrow>
Select the box to the right |  | <Right Arrow>
Select the box above |  | <Up Arrow>
Select the box below |  | <Down Arrow>
Extend the selection to include the box to the left |  | <Ctrl> + <Left Arrow>
Extend the selection to include the box to the right |  | <Ctrl> + <Right Arrow>
Extend the selection to include the box above |  | <Ctrl> + <Up Arrow>
Extend the selection to include the box below |  | <Ctrl> + <Down Arrow>


Working with Files

Use the following keys to work with files.

To do this… | Press this…
Create a new project | <Ctrl> + <N>
Open an existing project | <Ctrl> + <O>
Close the current project | <Ctrl> + <W>
Save the current project | <Ctrl> + <S>
Print the current project | <Ctrl> + <P>
Display the Quick Chart panel | <Ctrl> + <Shift> + <Q>
Display the Directory panel | <Ctrl> + <Shift> + <D>
Display the Profile panel | <Ctrl> + <Shift> + <F>
Display the Impression panel | <Ctrl> + <Shift> + <F1>
Display the Search panel | <Ctrl> + <Shift> + <H>
Display the Reports panel | <Ctrl> + <Shift> + <R>
Display the Sub-Charts panel | <Ctrl> + <Shift> + <S>
Display the Templates panel | <Ctrl> + <Shift> + <T>
Display the Welcome panel | <Ctrl> + <Shift> + <W>
Find by photo | <Ctrl> + E
Display Photo Manager | <CTRL> + M
Display Export Data dialog box | <CTRL> + T
Display Scheduler dialog box | <CTRL> + U


Editing Text

Use the following keys to edit text:

To do this… |  | Press this…
Delete the selected text or (if no text is selected) delete the character to the right of the insertion point | <Delete> OR <Backspace>
Cut selected information and place it in the Clipboard | <Ctrl> + <X>
Copy selected information to the Clipboard | <Ctrl> + <C> or <Ctrl> + <Ins>
Paste selected information from the Clipboard to the insertion point | <Ctrl> + <V> or <Shift> + <Ins>
Reverses (Undo) your last operation | <Ctrl> + <Z>
Redo the last Undo | <Ctrl> + <Y>
Move left one character | <Left Arrow>
Move right one character | <Right Arrow>
Extend the selection onto the character to the left | <Shift> + <Left Arrow>
Extend the selection onto the character to the right | <Shift> + <Right Arrow>
Move to the beginning of the line | <Home>
Move to the end of the line | <End>
Extend selection to the beginning of the line | <Shift> +<Home>
Extend selection to the end of the line | <Shift> + <End>


Dragging Boxes

You can use the <Shift> and <Ctrl> keys when dragging chart boxes, as follows:

To do this... | hold down... | while you...
Make a copy of the selected box | <Ctrl> | Drag a box to its new location
Change spacing between co-workers or between co-workers and their manager. See Tips and Tricks. | <Shift> | Drag any co-worker or a group of peers to the new position


Moving Free Floating Objects

You can select any free floating object (text, box, or picture) and use the arrow keys to reposition the object.


Using the Function and Control Keys

This section lists the available usages of the Function and Control key combinations in numerical/alphabetical order.

See…

Using Function Keys

Using Control Keys


Using Function Keys

The following Function key combinations are available:

Key | Menu Equivalent | Description
F1 | Help | Index | Displays the Help index
F2 | Insert | Subordinate | Adds a subordinate below the selected box
Shift-F2 | Insert | Manager | Adds a manager above the selected box
F3 | Insert | Assistant | Adds an assistant below the selected box
F4 | Insert | Left Co‑worker | Adds an co-worker to the left of the selected box
Shift-F4 | Insert | Right Co‑worker | Adds an co-worker to the right of the selected box
F5 | Data | Refresh Data | Re-imports data from the data source
Shift-F5 | Format | Chart Rules | Apply Chart Rules | Reformat branch styles based on the current set of chart rules
F6 | Pan | Enables you to click and drag to move your chart within the active window.
F7 | Tools | Spelling | Performs a spell check
F9 | Data | Recalculate Formulas | Performs a recalculation of the formula fields when the Auto Recalculation feature is turned off
F10 | Scale | 50% | Sets the zoom factor to 50%
F11 | View | Full Screen | Enter or exit full screen mode
F12 | Format | Box Properties | Enables defining the format or layout of selected boxes, objects and pictures


Using Control Keys

The following Control key combinations are available:

Key | Menu Equivalent | Description
Ctrl-A | Edit | Select All | Selects all chart boxes and lines
Ctrl-B | Edit | Select | Branch | Select the branch below the currently selected box
Ctrl-Shift- B | Edit | Select Levels | Select top-most box of a sub-chart
Ctrl-C | Edit | Copy | Copies the currently selected chart elements to the Clipboard
Ctrl-Shift- C | Edit |Copy Format | Copy format
Ctrl-D | There is no menu equivalent | Delete the box and add the person to the Directory orphan list
Ctrl-Shift- D | View | Directory | Display the Directory panel
Ctrl-E | Edit | Find by Photo | Find by photo
Ctrl-F | Edit | Find | Enables locating boxes containing the specified text
Ctrl-Shift- F | View | Profile | Display the Profiles panel
Ctrl-G | Edit | Select | Peers | Select all the peers for the selected box
Shift-Ctrl-G | Edit | Find Previous | Returns to the previously displayed instance of specified text
Ctrl-Shift- G | Edit | Find Previous | Find previous
Ctrl-H | Edit | Show Thumbnail | Shows the entire chart in a Thumbnail window
Ctrl-Shift- H | View | Search | Display the Search panel
Ctrl-I | File | Import Data | Opens Import Data
Ctrl-J | Format | Font | Open Font Properties
Ctrl-K | Format | Conditional Format | Open Conditional Formatting
Ctrl-L | Format | Line Properties | Open Line Properties
Ctrl-M | Edit | Find by Photo… | Open Photo Manager
Ctrl-N | File | New | Creates a new project based on your choice of template
Ctrl-O | File | Open | Opens an existing project
Ctrl-P | File | Print | Prints the current chart
Ctrl-Q | File | Quit | Exits from OrgPlus
Ctrl-Shift-Q | View | Quick Chart | Display the Quick Chart panel
Ctrl-R | Edit | Replace | Enables replacing specified box text with other text
Ctrl-Shift- R | View | Reports | Display the Reports panel
Ctrl-S | File | Save | Saves the current project
Ctrl-Shift- S | View | Sub Chart | Display the Sub Charts panel
Ctrl-T | Data | Export Data | Export Data
Ctrl-Shift-T | View | Templates | Display the Templates panel
Ctrl-U | Tool | Scheduler | Open Scheduler
Ctrl-V | Edit | Paste | Pastes elements from the Clipboard
Ctrl-W | File | Close | Closes the current project
Ctrl-X | Edit | Cut | Cuts the currently selected chart elements and places them in the Clipboard
Ctrl-Y | Edit | Redo | Reverses the last undo performed
Ctrl-Z | Edit | Undo | Reverses the last action


Tips and Tricks

This appendix contains tips for creating special box styles

In this book…

Extra-Wide Manager Boxes

Modified Co-manager Style

Modified List Style

Multiple Topmost Boxes

Multiple People in a Box - Employees Listed by Function

Multiple Charts on a Page

Repositioning Boxes within the Same Level

Staggering Boxes on the Same Level


Extra-Wide Manager Boxes

By default, the width of chart boxes adjusts to accommodate the widest text. You can specify a wider box width for selected positions.

To create extra-wide manager boxes:

1 In your chart, select the boxes to widen.

2 Select Box Properties from the Format menu and then select the Box Sizing tab.

3 Clear AutoWidth and enter the appropriate width in the Default width field and click OK.


Modified Co-manager Style

Sometimes it is desirable that all second level managers including co‑managers are displayed as follows:

To line up co-managers and managers:

1 Select the boxes that you want to make co-managers.

2 Select Chart Styles from the Format menu and select the Co-Manager Style [image] option. The selected boxes are now represented as co‑managers.

3 Select all four subordinates and the manager.

4 Select Spacing from the Format menu and set the Manager spacing distance to 0.00.


Modified List Style

You can stack names out of boxes below a box.

To stack names below a box:

1 Select the subordinates and give them the list group style [image] .

à

2 Select the connecting lines and then select Hide from the Format menu.

à

3 Select the manager, select Spacing from the Format menu and then set the Co-worker spacing distances to 0.00.

à


Multiple Topmost Boxes

A chart can have multiple topmost boxes, like these.

To create multiple topmost boxes:

1 Add 2 co-workers to the topmost box.

2 Select the 3 topmost boxes.

3 Select Chart Styles from the Format menu and select the Co-Manager Style [image] option. The selected boxes are now represented as co‑managers.

4 Select the topmost lines and select Hide from the Format menu.


Multiple People in a Box - Employees Listed by Function

You can represent a manager and all subordinates in one box.

To place multiple people in a box:

1 Select the manager and the co-workers under the manager.

2 Select Chart Styles from the Format menu and select the following Co‑worker style [image] .

3 The manager and subordinates are now represented in one box.

In the above example only the names are shown in the large box, as their box layout was changed to remove other information. See Defining Fields in Boxes and Modifying Box Layout.


Multiple Charts on a Page

You can make it appear as if there are multiple charts on one page.

To create the appearance of multiple charts:

1 Use the Co-worker box tool to add co-workers to the topmost box, then construct a hierarchy under each manager.

2 Select the topmost connecting lines and then select Hide from the Format menu.


Repositioning Boxes within the Same Level

Sometimes boxes within the same level need to be repositioned for business reasons. The free-form tool (described in Free Dragging Boxes) can also be used to reposition boxes within the same level.

To reposition a box:

1 Choose the Select tool [image] .

2 Select the box you want to reposition.

3 Hold down the shift key while dragging the selected box. Release the mouse button when the box is in its new position.

à


Staggering Boxes on the Same Level

Sometimes boxes on the same level need to be staggered for business reasons. You can stagger boxes automatically or manually. The free form tool (described in the Free Dragging Boxes) can also be used to reposition boxes within the same level.

To automatically promote or demote a box:

1 Choose the Select tool [image] .

2 Right-click on the box that you want to promote or demote.

3 Select Actions | Demote Right or Actions | Demote Left to demote a box one level.

Note: Any box that has been demoted can be promoted by right-clicking on that box and selecting Actions | Promote.

To manually stagger boxes:

1 Choose the Select tool [image] . The following is an example of a chart whose boxes you want to stagger.

1 Select the boxes you want to stagger.

2 Select Chart Styles from the Format menu and then select a chart style for the selected boxes. Notice that the selected boxes will now be grouped separately from their peers.

3 Hold down the shift key while dragging the boxes. Release the mouse button when the box is in its new position.


Troubleshooting

We hope that you never have any problems while using OrgPlus, but sometimes things do go wrong. This appendix presents possible solutions to these difficulties. If you need further assistance, please visit our web site at www.orgplus.com.

NOTE: If your system does not meet the system requirements for OrgPlus, we cannot guarantee that the program will function correctly. See System Requirements.

In this book…

Installation

Printing

Using OrgPlus with Other Applications

Calculations

Disk Space

Memory & Resources


Installation

Here are solutions to common problems you may have when installing OrgPlus.

Problem

I get a "can’t find/locate file" error message when I install OrgPlus.

Possible Solution

· The door on your CD drive may be open. Close it.

· The CD may be damaged. Contact HumanConcepts Technical Support for assistance.

Problem

The following message is displayed: Not enough disk space to install.

Possible Solution

There is not enough free space on the destination drive. Delete unused files to make sure there is enough free space for installation.

Problem

I get a "file already exists" message when I install OrgPlus.

Possible Solution

Select Yes to All when the message is shown.


Printing

Here are solutions to common problems you may have when printing from OrgPlus.

Problem

Printing garbage characters.

Possible Solution

· Reset the printer by turning it off, then back on.

· Make sure you are using the correct printer driver.

See Also: Page Setup.

Problem

Printing slowly.

Possible Solution

Printing graphics can be slow. You can try printing at lower quality but the output won’t look as sharp.

Problem

Printing boxes without text.

Possible Solution

· Reset your printer by turning it off and then on. Then try printing again.

· Make sure you can see the text on your screen.

· Make sure you are using the correct printer driver.

See Also: Page Setup.

· Your computer may be running low on memory or resources. Close any other open applications and try again.

See Also: Memory & Resources.

Problem

Printing text without boxes.

Possible Solution

· Reset your printer by turning it off and then on.

· If you have chosen not to have box borders, they will not print. See if box borders are visible on screen.

· Make sure you are using the correct printer driver.

· Your computer may be running low on memory or resources. Close any other open applications and try again.

Problem

Text is printing outside boxes.

Possible Solution

· Reset your printer by turning it off and then on.

· Make sure you are using the correct printer driver.

· You may be using a font that is not scaling correctly. Try using a TrueType font such as Arial.

· Your computer may be running low on memory or resources. Close any other open applications and try again.

Problem

Letters are replaced with symbols.

Possible Solution

· Reset your printing by turning it off and then on.

· You may be using a symbol font, such as Fences or Wingdings.Try switching to a TrueType font such as Arial.

Problem

Nothing prints.

Possible Solution

· Reset your printer by turning it off and then on.

· You may have incorrect settings in Print Setup.

· Your computer may be running low on memory or resources.

· If you are using a network printer, the spooler may not be releasing your print job. Be sure that a time-out is set.


Page Setup

Problem

See previous printing-related problems.

Possible Solution

· Make sure that the printer defined in Page Setup from the File menu exactly matches the kind of printer you have. Contact your printer manufacturer or Microsoft for information on obtaining the correct printer driver.

· Try printing from another Windows program, such as WordPad or Paintbrush. If you experience the same problems, then the cause lies in your printer or Windows setup. Contact Microsoft or your printer manufacturer for assistance.

· Check your settings in the Windows Control Panel to verify that they match your system.

· Make sure you’re using the most current driver available for your printer. You can check the version by selecting Page Setup from the File menu. Select the Options button and then Advanced button. This displays a screen specific to your printer. Check information about the driver, including the version. Check with your printer manufacturer to see if you have the latest driver.

They can also tell you how to find out which version you have if you aren’t sure. Make sure that the printer driver is for the version of Windows that you are using.


Using OrgPlus with Other Applications

Here are some common problems you may encounter when using OrgPlus with other applications, and the possible solutions.

Problem

A linked chart is not updated in the client application.

Possible Solution

· Your update option is set to Manual. Use the Links command in the client application to change your update option to Automatic.

· You have embedded the chart or used the Paste command. Use the Links command in the client application to see if you linked the chart.

· Paste Link is not selectable in the client application.

· You did not save your chart in OrgPlus. Go back into OrgPlus and save your chart.

· You did not copy your chart to the Clipboard. Select your chart in OrgPlus and use the Copy from the Edit menu.

Problem

You double-clicked a chart object in client application but nothing happened.

Possible Solution

Your application is not an OLE client.

Problem

Chart fonts look different in the client application than in OrgPlus.

Possible Solution

You specified a very small area in which to place your chart in your client document. At high magnification, fonts may look different. Scale or resize the object to see if this problem is corrected. Using a TrueType font may also improve the appearance of the chart.

Problem

Text appears outside of boxes.

Possible Solution

Resize your chart proportionally. For example, if you reduce the size of your chart, make sure you reduce the height and width by the same percentage.

Problem

Cannot import a TIFF image of the chart or the image quality is poor.

Possible Solution

Your application does not support a version of TIFF that is compatible with OrgPlus. Try another graphics file format, such as WMF, BMP, JPG, or PCX.


Calculations

Problem

Computed amounts on your screen look incorrect.

Possible Solution

Hiding boxes and labels does not exclude them from computations even though you cannot see them. Excluding a label or box from calculations does not hide that box or label. Try the following:

· Some boxes may be hidden. Show all the boxes that you want to include.

· Select Box Properties from the Format menu. Use the Advanced tab to verify which fields are included in calculations and counts for each box. This is especially important for hidden boxes.

· Make sure that Auto Recalculation from the Data menu is selected or press <F9> to recalculate formulas.

Problem

OrgPlus is extremely slow when manipulating a chart with over 5,000 boxes.

Possible Solution

Try the following:

· Use the Sub-chart Wizard (Insert | Sub-chart | Create sub-charts…) to break your chart into sub-charts.

· With large charts, dynamic recalculation of formulas may require to much computational power. Make sure that Auto Recalculation from the Data menu is turned off. When needed, you will need to press <F9> to recalculate formulas.


Disk Space

Problem

Messages or problems related to a lack of disk space

Possible Solution

· Check the disk space available on the drive where OrgPlus saves your files. You generally need to have three times the size of your file available because of the way Windows programs save files. For example, if your file is 400,000 bytes, you actually need 1,200,000 bytes (1.2 MB) available to save it.


Memory & Resources

Problem

Available memory or resources fall too low, and your computer behaves unpredictably.

Possible Solution

Check System Resources by choosing Start | My Computer | Control Panel | System on your Windows desktop.

OrgPlus requires that you have at least 256 megabytes of physical memory (512 MB for newer Operating Systems) in your computer. You may be able to free memory by closing other programs. If all other programs are closed and you still don’t have enough memory available, exit and restart Windows. You may need to consider buying more memory for your computer


Off-line Registration

This appendix describes how to register OrgPlus by email, by fax or by phone. For information about online registration refer to Registration in Installation and Registration.

Once you have entered your product code and email address, OrgPlus tries to detect an Internet connection. If a connection cannot be established, OrgPlus displays the Registration Options dialog box.

You can choose to register by email, by fax, or by phone. You can also choose to register later, in which case you will be given access to a limited version of OrgPlus.

Select from:

Registering by Email

Registering by Fax

Registering by Phone


Registering by Email

1 In the Registration Options dialog box select Register by email and click Next.

2 You are then prompted to enter your registration information.

The Registration Information dialog box consists of two pages. Enter the required information and click Next after each page is complete. Fields marked with a "*" must be completed.

3 Click Send email. An email form is opened, containing your registration information. Send the email.

HumanConcepts will email your Unlock Code to the email address that you entered.

4 Click Next.

5 Click Finish to close the dialog box.

Your Unlock Code is sent to you by email from HumanConcepts.

6 After you receive your Unlock Code, double-click the OrgPlus icon [image] on your desktop.

7 Select the Unlock radio button and then click Next.

8 Enter the unlock code in the Unlock/Product Code field.

9 Enter your unlock code and email address and then click Next. If you entered the code correctly, you are informed that you have successfully unlocked OrgPlus. Click Close to begin using OrgPlus.


Registering by Fax

1 In the Registration Options dialog box select Register by fax and click Next.

2 You are then prompted to enter your registration information. The Registration Information dialog box consists of two pages. Enter the required information and click Next after each page is complete. Fields marked with an asterisk (*) must be completed.

3 When you have finished, click Print and fax the printout to the indicated fax number.

HumanConcepts will fax your Unlock Code to the fax number that you indicated.

Note: Allow two business days for responses to fax registration requests.

4 Click Next.

5 Click Finish to close the dialog box.

Your Unlock Code is sent to you by fax from HumanConcepts.

6 After you receive your Unlock Code, double-click the OrgPlus icon [image] on your desktop.

7 Select the Unlock radio button and then click Next.

8 Enter the unlock code in the Unlock/Product Code field.

9 Enter your unlock code and email address and then click Next. If you entered the code correctly, you are informed that you have successfully unlocked OrgPlus. Click Close to begin using OrgPlus.


Registering by Phone

1 In the Registration Options dialog box select Register by phone and click Next. A list of phone numbers is displayed. Call the phone number corresponding to your country or region.

2 After reaching a telephone representative, click Next.

3 Enter the Unlock Code which the telephone representative gives you and click Next.

4 Click Close to begin using OrgPlus.


Command Line Reference

A variety of OrgPlus functionality can be executed from the command prompt. This is useful for automating data import, publish and refresh tasks. For simple automation tasks, we recommend using the Scheduler, built into OrgPlus. This section discusses how to use OrgPlus from the command prompt, which enables you to build scripts and complex automation tasks.

The following commands can be performed from the command line:

Open Command

Import Command

Print Command

Publish Command

Refresh Command


Open Command

This section describes the command to open a file.

To open a .opx file:

Orgplus7.exe <Filename.opx> [-pass <password>]

<password> = Password for a protected input file

[options]:

-n

Suppress any upgrade messages at launch.


Print Command

This section describes the command to print an .opx file.

To print a .opx file:

Orgplus7.exe –p <Filename.opx>


Publish Command

This section describes the command to publish a chart.

To publish a chart:

Orgplus7.exe <–p*> <input filename> [output filename] [options] [-pass <password>]

Where:

<-p*> can be one of the following:

-po | Publish to OrgPlus Plug-in
-ppp | Publish to PowerPoint
-pw | Publish to Word
-phtml | Publish to HTML
-ppdf | Publish to PDF

[input filename] = Name of input file

[output filename] = Name of alternative output file

[options]:

-q or -f | Suppress the publish wizard dialog box.
-y | Suppresses the message “already exists. Do you want to replace it?" and replaces the file automatically.
-c or -NoLaunch | Do not open the output file after publishing.
-CloseOnError | Close OrgPlus if an error occurs during publish.
-u | Uses previous publishing options if republishing to the same input/output file combination.
-r | Refresh before publishing.
-RefreshToTemp | Refresh the input file without updating the original.

<password> = Password for a protected input file


Refresh Command

This section describes the refresh command.

To perform a data refresh:

Orgplus7.exe -r <input filename> [output file] [options]

Where:

[input filename] = Name of input file

[output file] = Alternative output filename. Valid only if -RefreshToTemp is specified.

[options]:

-CloseOnError | Suppress error messages.
-RefreshToTemp | Refresh the input file without updating the original.


Import Command

This section describes the command to import a file.

To start the Import Wizard:

Orgplus7.exe <Import Filename> [options]

The import file must be of a valid type such as.xls or .txt. The chart file created by the imported is saved using the same file name.

[options]:

-q or -f | Suppress the import wizard dialog box.
-y | Suppress the message “already exists. Do you want to replace it?" and replaces the file automatically.
-c or -NoLaunch | Close OrgPlus after import.
-t[template flags] <Template File> | Specify <Template File> to apply after import. Template flags are detailed in the next table.
-s1 <Number> | Insert sub-chart break every <Number> levels.
-s2 <Field Nane> | Insert sub-chart breaks based on <Field Name>.
-s3 <Number1, Number2,..> | Insert sub-chart breaks at levels <Number1>, <Number2>, etc.
-ss <Number> | Set the minimum number of boxes for smart sub-chart breaks. See Sub-chart Wizard section in this chapter.
-sn <Field Name> | Name sub-charts using field specified in the <Field Name> parameter.

Template Flags (Example: Orgplus7.exe “MyData.xls” -tdbo “MyTemplate.opxt”)

a | Copy all template elements.
o | Overwrite existing elements.
n | Add fields not defined in the current project.
d | Apply design template.
b | Apply branch template.
l | Apply box template.
i | Copy directories.
r | Copy reports.
g | Copy groups.
p | Copy profiles.
f | Copy conditional formats.
m | Copy master page elements.
h | Copy chart rules.
c | Copy constants.
s | Copy searches.


Glossary

Anchoring

Use anchoring to connect a free-floating object in your Chart to a Chart Box. When a free-floating object is anchored to a chart box, it moves each time the Chart Box moves.

Arrowhead

A directional pointer at the end of a line. Use arrowheads to highlight important information in your Chart or to indicate the flow of procedures or decisions.

Assistant

A box representing an individual who provides administrative assistance, advice, or managerial assistance to their Manager (sometimes referred to as a staff box).

Different Assistant Styles are available to show the particular type of relationship between the assistant and Manager.

Assistant Style

A way to represent the relationship of a Manager to an Assistant. Assistant styles are available from the Styles menu.

Banding

Banding ensures that each box stays on its current row when other boxes are added or deleted. This is useful if rows are used to represent seniority.

Bitmap (BMP)

A standard graphics image file format. OrgPlus can copy BMP images to and from the Clipboard. It can also copy or cut any visible portion of your Chart to the Clipboard in this format.

Branch

A box and all its descendants.

Branch Symbol

A small square in the lower right corner of manager boxes. It indicates that the box has Subordinate boxes. Click the branch symbol to show or hide the branch.

Chart

A graphical representation of hierarchical information.

Chart Box

The building block of a Chart. OrgPlus automatically draws Connecting Lines between boxes. The arrangement of chart boxes and the connections between them form a chart.

Chart Page Area

The area occupied by the chart. This area consists of a single page or a number of pages placed side by side to produce a larger rectangular area. Dotted lines indicate the borders between two adjacent pages. For example:

OrgPlus automatically adds and subtracts pages to and from the chart’s page area as needed to contain the chart. It preserves the basic page orientation specified in the Page Setup dialog box.

Chart Style

The particular arrangement of Subordinate boxes with respect to a Manager. Any Subordinate box can have its own chart style. Chart styles are located in the Chart Styles menu.

Clipboard

A temporary storage place in Windows. Use the cut and copy commands to place items on the Clipboard, and use the paste command to paste items from the Clipboard into your Chart.

Co-manager

One or more boxes that share responsibility for a group of subordinates. The highlighted boxes in the figure below are co-managers.

You can show this relationship using the Co-manager style.

Connecting Lines

The lines OrgPlus draws automatically to connect boxes in the Chart.

Co-workers

Boxes with the same Manager. Together, co-workers form a Group.

Demote

You can demote a box to a lower level within a multi-column chart style if the Maintain Banding option is selected.

Dotted-line Relationship

A special reporting relationship between two boxes in the Chart. A dotted line usually indicates that one box has some measure of authority over the other box.

Embed

You can embed an object in an OLE client document. When you embed an object in an OLE client document, you place a copy of the original object into the client document. It is then completely separate from the original chart. You can edit the embedded object independently from the original chart.

Field

An area in a Chart Box where you can type information such as a person’s name or salary.

Field Layout

The way Field are arranged in your Chart Box. Different boxes can have different field layouts.

Formula

A field type used for performing calculations in your Chart.

Group

All of the boxes reporting to the same Manager, excluding Assistant boxes. A group is also a set of boxes that all meet a specified condition.

Level

The Topmost Box in your chart is at level 1. The boxes reporting directly to it are at level 2. The boxes reporting to them are at level 3, and so on. The black boxes in the figure below are at level 4.

Linking

You can link an object to an OLE client document. When you link an object to an OLE client document, the object appears in the client document. The client document is automatically updated when you make a change to the original OrgPlus document.

Manager

A box that has subordinate boxes reporting to it.

Metafile (WMF)

A standard graphics image file format. Metafiles require less disk space than a regular Bitmap (BMP).

Object Linking and Embedding (OLE)

OrgPlus supports Object Linking and Embedding (OLE), a feature that lets you create and edit a chart in OrgPlus, and automatically transfer a copy of it to another application. Other applications that support OLE include word processors and desktop presentation programs. Once your chart is linked to or

Embedded in a Windows OLE client application, you can double-click to edit the chart from another application.

OLE Client

An application to which you can link or

Embed an OLE Object created by a OLE Server application. OrgPlus functions as a server application. An OLE client application, such as Microsoft Word, contains a copy of the chart.

OLE Object

A chart or a portion of a chart you can place in another Windows application using Object Linking and Embedding (OLE).

OLE Server

An application that can create OLE Object to link or embed in an OLE Client application. An OLE server application such as OrgPlus creates the chart; an OLE client application such as Microsoft Word contains the chart.

Page Lines

Pages lines demarcate header and footer areas, print margins, and page breaks. These lines do not print.

Promote

You can promote a box to a higher level within a multi-column chart style if the Maintain Banding option is selected.

Secondary (or Right) Mouse Button

When you click the secondary mouse button on an object or window, OrgPlus displays a context menu containing commands for that object or window.

Subgroup

A grouping of boxes within a larger group. In the figure below, a, b, and c belong to one subgroup, and d, e, and f belong to another subgroup. Both of these subgroups belong to the same Group because they have the same Manager.

Subordinate

Any box that reports to another box.

Tagged Image File Format (TIFF)

A graphics image file format supported by many DOS, Windows, and Macintosh applications.

Template

A template defines all the formatting parameters for a chart. Applying a template sets the formats for chart elements, such as boxes and lines. Using templates saves you the effort of formatting each individual chart element. Using templates in OrgPlus is very similar to using templates in Microsoft PowerPoint or Word.

Thumbnail Window

A window containing a miniature of the entire Chart. You can click in the thumbnail window to navigate to any part of your chart.

Topmost Box

The box at the top of the Chart.

Unicode

The universal character encoding, maintained by the Unicode Consortium (http://www.unicode.org/). This encoding standard provides the basis for processing, storage and interchange of text data in any language in all modern software and information technology protocols.

Wrapping

Allowing a phrase or sentence to split – or wrap – from one line to the next, as opposed to requiring it to fit on a single line. (This paragraph is wrapped.)


OrgPlus User Guide

Installation and Registration

System Requirements

Standard vs. Professional

OrgPlus Express

Installation

Registration

If you purchased OrgPlus directly from HumanConcepts

If you purchased OrgPlus from any other Vendor

Frequently Asked Questions about Registration

Starting OrgPlus

Launching OrgPlus

Learning OrgPlus

OrgPlus Help

Customer Support

Technical Support Checklist

Electronic Support

Standard 90-Day Technical Support from HumanConcepts

Online Store


OrgPlus User Guide

Tutorials

Tutorial 1: Creating Basic Charts

Creating New Charts

Entering Field Information

Adding and Deleting Boxes

Changing Branch Styles

Saving your Work

Tutorial 2: Formatting and Printing Charts

Opening Existing Chart

Formatting Boxes

Adding Fields

Displaying Fields

Adding Chart Titles

Printing Charts

Tutorial 3: Using Directories, Reports and Profiles

Opening Charts

Working with Directories

Working with Reports

Working with Profiles

Tutorial 4: Working with Sub-Charts

Opening Charts

Creating Sub-charts

Navigating within Sub-charts

Inserting or Removing Sub-chart Breaks

Tutorial 5: Creating Charts from External Data

Using the Import Wizard

Applying Templates

Saving Imported Charts

Refreshing Charts

Tutorial 6: Publishing Charts

Opening Charts

Publishing to the OrgPlus Plug-in

Publishing to PowerPoint


OrgPlus User Guide

Working with Charts: Basic Charting

Opening Projects

Creating Projects

Understanding Projects, Charts, and Templates

Creating New Projects

Saving and Closing Projects

Saving Your Work

Closing Projects

Adding and Deleting Boxes

Adding Boxes

Deleting Boxes

Selecting Objects

Selecting Boxes

Selecting Connecting Lines

Selecting All Objects of the Same Type

Selecting Fields

Selecting Levels

Moving Objects

Moving Boxes by Dragging and Dropping

Moving Free Objects by Dragging and Dropping

Free Dragging Boxes

Entering Field Information

Optimizing Files

Defining and Displaying Fields

Adding and Deleting Fields

Displaying Fields in Boxes

Inserting Pictures into Boxes

Modifying Box Layout

Formatting Boxes, Lines, Text, Fields, and Pictures

Formatting Boxes

Formatting Lines

Formatting Text

Formatting Fields

Formatting Pictures

Formatting Charts

Applying Chart Styles

Changing Chart Styles

Quick Chart Panel

Adding and Deleting Boxes Using the Quick Chart Panel

Moving Boxes Using the Quick Chart Panel

Editing Box Content Using the Quick Chart Panel

Formatting Boxes Using the Quick Chart Panel

Adding Fields Using the Quick Chart Panel

Box Layout Using the Quick Chart Panel

Applying Templates Using the Quick Chart Panel

Changing Branch Styles Using the Quick Chart Panel

Using Cut/Copy/Paste

Moving Boxes and Free Floating Objects by Cutting and Pasting

Copying Contents and Format

Printing

Defining Page Setup

Using Print Preview

Printing Charts


OrgPlus User Guide

Working with Charts: Navigation and Visualization

Viewing Charts

Zooming and Panning

Using the Thumbnail Window

Showing Selected Branches

Using Full Screen Mode

Hiding Boxes and Lines

Hiding Boxes and Lines

Showing Boxes and Lines

Basic Visualization Techniques

Showing Hidden Objects

Showing Levels

Finding by Photo

Working with Groups

Using Groups for E-mail Distribution


OrgPlus User Guide

Working with Charts: Utilities

Using Grids and Rulers

Working with the Photo Manager

Comparing Charts

Sorting Boxes

Using Find and Replace

Using Find

Using Advanced Find

Using Find and Replace

Using Advanced Find and Replace

Spell Check

Inserting Comments

Setting OrgPlus Options

Using the Options Panel

Protecting Projects


OrgPlus User Guide

Working with Charts: Advanced Charting

Using the Master Page

Viewing the Master Page

Scaling Master Page Elements

Adding Headers and Footers

Adding AutoText Elements

Adding Free Floating Objects

Drawing or Inserting Free Floating Objects

Formatting Free-floating Objects

Anchoring Free-floating Objects to Boxes

Binding Free-floating Objects

Changing Object Order

Aligning Objects

Adding Hyperlinks to Objects

Adding Auxiliary Lines

Adding Legends

Creating and Modifying Templates

Learning About Templates

Creating Design, Box, and Branch Templates

Multi-record Boxes and Templates

Modifying Templates

Using Templates

Using the Templates Panel

Applying Template Files

Defining Dynamic Fields

Adding Formulas

Available Formulas

Calculations

Formula Options

Using Formulas

Recalculating Formulas Automatically

Excluding Boxes from Formula Calculations

Using Constants

Adding and Deleting Constants

Referencing Constants

Working with Sub-charts

Inserting Sub-chart Breaks

Labeling Sub-chart Breaks

Removing Sub-chart Breaks

Navigating Sub-charts

Creating Sub-charts Using the Sub-chart Wizard

Using the Sub-chart Panel

Working with Multiple Charts

Creating New Charts

Renaming or Deleting Charts

Using Chart Tabs

Advanced Chart Layout

Grouping Boxes

Demoting Boxes

Spacing Chart Boxes

Optimizing Chart Layout

Positioning Charts

Multi-record Boxes

Conditional Formatting

Creating a Conditional Format

Modifying Conditional Formats

Chart Rules

Creating Chart Rules

Modifying Chart Rules

Creating Off-page References


OrgPlus User Guide

OrgPlus Panels

Working with Reports

Using the Reports Panel

Managing Reports

Displaying Reports

Working with Directories

Using the Directory Panel

Managing Directories

Displaying Directories

Other Directory Functions

Working with Profiles

Using the Profile Panel

Managing Profiles

Displaying Profiles

Working with Trees

Using the Tree Panel

Searching Charts

Managing Search Results

Using the Search Panel

Orphan Management

Working with Comments


OrgPlus User Guide

Importing and Exporting Data

Importing Data

Source Data Requirements

Using the Data Connection Wizard

Using the Import Wizard

Verifying the Hierarchy

Using the Hierarchy Mapper

Advanced Import

Duplicates

Merge Fields

Sort Criteria for Subordinate Boxes

Show Fields

Combining Multiple Records

Grouping Peers

Top of Chart

Filtering Data

Complex Hierarchies

Using LDAP

Refreshing Data

Refreshing your Chart Data

Changing Refresh Properties

Excluding Box Contents from Data Refresh

Exporting Data

Sending to Microsoft Excel

Exporting Data to Other Formats

Push Data

Consolidation

Creating an OrgTree File

Combining Charts

Data Refresh and Consolidation


OrgPlus User Guide

Automation

Republishing

Scheduling Tasks

Creating Tasks

Editing Tasks

Deleting Tasks

Checking Tasks

OrgPlus Enterprise


OrgPlus User Guide

Window Structure and Command Reference

Main Window

Menu Bar

Overview

OrgPlus Express

File Menu

Edit Menu

View Menu

Insert Menu

Format Menu

Tools Menu

Data Menu

Chart Menu

Window Menu

Help Menu

Toolbars

Overview

Standard Toolbar

Autotext Toolbar

Data Toolbar

Extras Toolbar

Format Toolbar

Full Screen Toolbar

Groups Toolbar

Insert Toolbar

Publish/Import Toolbar

Text Toolbar

Zoom Toolbar

Panels

Overview

Welcome Panel

Templates Panel

Directory Panel

Profile Panel

Reports Panel

Sub-charts Panel

Search Panel

Quick Chart Panel

Tree Panel

Comments Panel

Changing Panel Positions

Chart Selection Tabs

Status Bar


Overview

This section describes the various menu options available in OrgPlus.


Overview

This section describes the standard toolbars that are provided with OrgPlus, and the actions that you can perform with them. Some toolbars and toolbar options are not available in OrgPlus Express (refer to the Menu Bar topic for more information).

All the toolbars are dockable, meaning they may be dragged and placed anywhere in the window that is convenient for you. They can also be left as floating toolbars anywhere in the window.


OrgPlus User Guide

Keyboard and Mouse Shortcuts

Using Right-Click Menus

Using Keyboard Shortcuts

Creating Boxes

Entering Information

Viewing Your Chart

Selecting Boxes

Working with Files

Editing Text

Dragging Boxes

Moving Free Floating Objects

Using the Function and Control Keys

Using Function Keys

Using Control Keys


OrgPlus User Guide

Tips and Tricks

Extra-Wide Manager Boxes

Modified Co-manager Style

Modified List Style

Multiple Topmost Boxes

Multiple People in a Box - Employees Listed by Function

Multiple Charts on a Page

Repositioning Boxes within the Same Level

Staggering Boxes on the Same Level


OrgPlus User Guide

Off-line Registration

Registering by Email

Registering by Fax

Registering by Phone